Willkommen

3.0 Hilfe

Willkommen bei der Online-Hilfe zu XynX!® NetJet™ 3.0

Diese Hilfe führt Sie schnell und unkompliziert durch die Funktionen von XynX!® NetJet™ 3.0. Sollten Sie jedoch weitergehende Fragen haben, so wenden Sie sich direkt an uns unter support@xynx.de oder unter der Telefonnummer 0190 / 75 70 80 (€ 1,24/Min.).

© 1995-2001 XynX!® GmbH - Deutschland


Die Menüstruktur

Hier finden Sie eine vollständige Auflistung aller in NetJet enthaltenen Menüs. Bitte klicken Sie auf den betreffenden Eintrag, um nährere Informationen zu erhalten.

Das Menü "Datei"

Das Menü "Bearbeiten"

Das Menü "Einfügen"

Das Menü "Ansicht"

Das Menü "Tabelle"

Das Menü "Frames"

Das Menü "Publizieren"

Das Menü "Extras"

Das Menü "Optionen"

Das Menü "Fenster"

Das Menü "Hilfe"

Das Systemmenü "System"

Das Kontextmenü "HTML-Dokument"

Das Kontextmenü "Projektverwaltung - Projekteintrag"

Das Kontextmenü "Projektverwaltung - Sprungziele"

Das Kontextmenü "Projektverwaltung - Referenzen"

Das Kontextmenü "Projektverwaltung - Referenziert von"

Das Kontextmenü "Symbolleisten"


Das Menü "Datei"

Neu

Erstellt ein neues HTML-Dokument

NetJet unterscheidet zwischen der Verwendung der Taste und der des Menüeintrags: Wird ein neues Dokument per Menü erzeugt, erscheint automatisch der Dokumentenoptionen-Dialog, in dem dann sofort Optionen bearbeitet werden können. Bei Verwendung der Taste erscheint das Dokument sofort.

In allen Fällen wird in dem neuen Dokument - sofern bekannt - der Autor und das Erstellungsdatum eingetragen.

Öffnen

Öffnen eines bestehenden HTML-Dokuments

Schließen

Schließen des geöffneten HTML-Dokuments

Alles schließen

Schließen aller momentan geöffneten HTML-Dokumente (und Fenster)

Speichern

Speichert das geöffnete HTML-Dokument unter einem bestehenden Namen

Speichern unter...

Abspeichern eines HTML-Dokuments unter einem anderen Namen oder in einem anderen Verzeichnis. NetJet öffnet dazu das "Speichern unter"-Dialogfeld.

Wichtig: Wird für ein bestehendes Dokument z.B. ein anderes Laufwerk gewählt, paßt NetJet automatisch alle ihm bekannten Dateibezüge innerhalb dieses Dokuments an.

Alles speichern

Abspeichern aller geöffneten HTML-Dokumente sowie des geöffneten Projekts. Bisher unbenannte HTML-Dokumente können hier einen Namen bekommen.

Projekt-Assistent...

Öffnet einen Assistenten zum Erstellen eines neuen Web-Projektes basierend auf fertigen Vorlagen

Neues Projekt

Erstellt ein neues Projekt

Hierbei wird eine Reihe von Dialogfeldern angezeigt, in denen Angaben zum Projekt, wie z.B. der Dateiname der Startseite, Arbeitsverzeichnisse, Bearbeiter u.v.a.m. eingegeben werden können.

Site als neues Projekt

Erstellt ein neues Projekt aus den Dateien eines bestehenden Projekts. Die Site muß dabei komplett auf der lokalen Festplatte vorliegen.

Projekt öffnen

Öffnet ein bestehendes Projekt

Projekte haben immer die Dateierweiterung *.XDP.

Projekt speichern

Speichert das aktuell geöffnete Projekt

Projekt schließen

Projekt schließen Schließt das aktuelle Projekt

Projektinformationen

Ruft die aktuellen Inofrmationen zum aktuellen Projekt auf. Es erscheint das Fenster "Projektinformationen"

Drucken

Drucken des aktuellen HTML-Dokuments

Seitenansicht

Druckvorschau des aktuellen HTML-Dokuments

Die auszudruckenden Seiten werden in etwa so angezeigt, wie sie von dem gewählten Drucker ausgegeben würden.

Druckereinrichtung

Das erscheinende Dialogfeld dient zur Einrichtung des Druckers. Hier kann der zu verwendende Drucker, die Druckerverbindung sowie die Anzahl der Seiten etc. gewählt werden.

Projekt erneut öffnen

Eine Liste der zuletzt geöffneten NetJet-Projekte. Die Liste kann bis zu 8 Dateinamen enthalten.

Datei erneut öffnen

Eine Liste der zuletzt geöffneten HTML-Dokumente. Die Liste kann bis zu 10 Dateinamen enthalten.

Beenden

Beendet das NetJet-Programm

Eventuell noch geöffnete Dokumente werden, wenn notwendig, gesichert.


Das Menü "Bearbeiten"

Rückgängig | Macht den letzten Befehl rückgängig NetJet erlaubt es, bis zu 200 Aktionen zurückzunehmen
Wiederherstellen | Stellt die Gegebenheiten vor der Wahl des Befehls "Rückgängig" wieder her
Ausschneiden | Löscht die selektierten Elemente aus dem Dokument und überträgt sie in die Zwischenablage
Kopieren | Kopiert die selektierten Elemente in die Zwischenablage
Einfügen | Fügt einen Text aus der Zwischenablage in das aktuelle Dokument ein
Alles selektieren | Markiert das gesamte Dokument
Format kopieren | Kopieren der Textformatierungen
Format anwenden | Anwenden der kopierten Textformatierungen
Suchen… | Suchen einer beliebigen Zeichenkette innerhalb der geladenen Dokumente. Das Umschalten zwischen den Dokumenten kann jederzeit erfolgen, da der Suchen-Dialog nicht modal ist und die HTML-Darstellung den Fokus bekommen kann.
Wiederholen… | Die Suche mit dem zuletzt eingegebenen Suchbegriff in dem aktuellen Dokument an der aktuellen Einfügeposition fortführen. Ist noch kein Suchbegriff eingegeben worden, erscheint der Suchen-Dialog.
Ersetzen… | Sucht und ersetzt in dem aktuellen Dokument Vorkommen von Text. Auch hier kann jederzeit zwischen den geladenen Dokumenten umschaltet und gesucht werden.


Das Menü "Einfügen"

Bilder... | Fügt ein Bild in das Dokument ein
Referenz… | Fügt eine Referenz (Link) in das Dokument ein
Sprungziel… | Fügt ein Sprungziel in das Dokument ein
Horizontale Trennlinie | Fügt eine Trennlinie in den Text ein Wird diese Trennlinie doppelt angeklickt, können die entsprechenden Optionen eingestellt werden.
Formular | Fügt ein Formular, sichtbar als gestricheltes Rechteck, in das Dokument ein
eMail-Formular | Es erscheint ein Dialog, in dem eine eMail-Adresse als Empfänger für die eingegebenen Formulardaten angegeben werden kann. Anschließend wird das Formular als gestricheltes Rechteck in das Dokument einfügt.Das durch diese Option eingefügte Formular enthält alle notwendigen Angaben für den Versand der Daten als eMail.
Formularelemente | Fügt ein Formularelement in das Formular ein
Liste… | Fügt eine Liste ein
Beschreibungsliste | Fügt eine Beschreibungsliste ein
Meta-Elemente… | Fügt ein oder mehrere Meta-Elemente ein
Flash-Objekt... | Fügt ein ShockWave-Flash-Objekt in das Dokument ein
Multimedia-Element… | Fügt ein Multimedia-Element in das Dokument ein Elemente dieses Typs werden auch als eingebettete Elemente bezeichnet.
Hintergrundmusik… | Fügt eine Hintergrundmusik in das aktuelle Dokument ein
Laufschrift… | Fügt eine Laufschrift in das Dokument ein
Skript… | Einfügen eines direkt auszuführenden Skripts
Skriptblöcke… | Einfügen oder Bearbeiten der Skriptblöcke
NoSkript-Bereich… | Einfügen eines NoSkript-Bereichs
Applet... | Einfügen eines (Java™-) Applet-Elements
HTML-Tag... | Einfügen eines beliebigen HTML-Elements an der aktuellen Einfügeposition
BannerSurf-Code… | Einfügen der für XynX! BannerSurf notwendigen HTML-Tags an der aktuellen Einfügeposition
Datei... | Einfügen einer beliebigen Datei an der aktuellen Einfügeposition
Effekte | Hier befindet sich eine Auswahl von vorgefertigten JavaScripten zum einfachen Einfügen in das aktuelle HTML-Dokument
Datum und Uhrzeit… | Fügt das aktuelle Datum und/oder die aktuelle Uhrzeit in das Dokument ein Die erscheinende Dialogbox ermöglicht die Auswahl aus einem der gegebenen Datumsformate.


Das Menü "Ansicht"

Bearbeitungs-modus

Umschalten zwischen dem Bearbeitungs- und dem "Surf"-Modus. Im Bearbeitungsmodus können wie gewohnt HTML-Dokumente bearbeitet, d.h. editiert, werden. Im Surfmodus hingegen sind alle Bearbeitungselemente von NetJet ausgeschaltet und NetJet verhält sich ähnlich einem normalen Browser: Durch einfaches Anklicken von Verweisen können einfach und schnell Verweise überprüft werden.

Zur einfacheren Bedienung ist die Funktion außerdem auch in dem HTML-Dokument-Kontextmenü an erster Stelle enthalten.

Quelltext

Anzeigen des HTML-Quelltextes mit JetEdit.

Ein Dokument muss zuerst gespeichert werden, bevor es im Quelltext angezeigt werden kann. Welches Programm dafür verwendet werden soll, kann in Optionen | Externe Programme bzw. mit dann erscheinendem Dialogfeld "Externe Programme" eingestellt werden.

MS Internet Explorer

Anzeigen des aktuellen HTML-Dokuments mit dem Internet Explorer

Das Dokument muss zuerst gespeichert werden, bevor es angezeigt werden kann.

Netscape Navigator

Anzeigen des aktuellen HTML-Dokuments mit dem Navigator

Das Dokument muss zuerst gespeichert werden, bevor es angezeigt werden kann.

Opera

Anzeigen des aktuellen HTML-Dokuments mit Opera

Das Dokument muss zuerst gespeichert werden, bevor es angezeigt werden kann.

Weitere externe Programme

s.u.

Aktualisieren

Das aktuell angezeigte HTML-Dokument wird erneut geladen, um eventuelle Änderungen an der Datei auch im Speicher zu berücksichtigen.

Die Einträge dieses Menüs können von jedem Benutzer weitestgehend selbst eingestellt werden. Zum Bearbeiten der Einträge dient das Dialogfeld "Externe Programme" im Menü "Optionen | Externe Programme".

Beim ersten Programmstart versucht NetJet zu ermitteln, welche ihm bekannten Browser auf dem aktuellen System installiert sind. Gesucht wird nach JetEdit als Quelltext-Editor, dem Internet Explorer von Microsoft, Navigator von NetScape sowie nach Opera von Opera Software. Die Suche erfolgt allerdings nur dann, wenn keine von NetJet abgespeicherten Einträge gefunden werden können. In diesem Fall trägt NetJet in den ersten Eintrag das Programm JetEdit als Quelltext-Editor ein. Auf weiteren Plätzen folgen dann der Microsoft Internet Explorer, der Netscape Navigator und schliesslich Opera.


Das Menü "Tabelle"

Tabelle einfügen… | Fügt eine Tabelle in das Dokument ein Dabei können viele Optionen eingegeben werden.
Zeilen/Spalten einfügen… | Öffnet das Dialogfeld Zeilen/Spalten einfügen, in dem festgelegt werden kann, wie viele Zeilen oder Spalten in die Tabelle eingefügt werden sollen.
Zelle einfügen | Fügt eine Zelle direkt hinter dem Cursor in die aktuelle Tabelle ein
Überschrift einfügen | Fügt eine Überschrift in die aktuelle Tabelle ein
Zellen löschen | Löscht alle gerade markierten Tabellenzellen vollständig
Tabelle löschen | Löscht die gesamte Tabelle
Zellen verbinden | Verbindet die Inhalte der markierten Zellen zu einer einzigen
Zelle markieren | Markiert die Zelle, in der sich die Eingabemarkierung gerade befindet
Zeile markieren | Markiert die ganze Tabellenzeile, in der sich die Eingabemarkierung gerade befindet
Spalte markieren | Markiert die ganze Tabellenspalte, in der sich die Eingabemarkierung gerade befindet
Tabelle markieren | Markiert die ganze Tabelle, in der sich die Eingabemarkierung gerade befindet
Tabellenoptionen… | Öffnet ein Eingabefenster, in dem Optionen für eine Tabelle eingegeben werden können
Überschriften- optionen… | Öffnet ein Eingabefenster, in dem Optionen für die Tabellenüberschrift eingegeben werden können
Zellenoptionen… | Öffnet ein Eingabefenster, in dem Optionen für eine oder mehrere (alle markierten) Tabellenzelle(n) eingegeben werden können


Das Menü "Frames"

Frameset-Assistent

Einfügen eines Framesets in das aktuelle HTML-Dokument oder aber Einfügen eines weiteren Framesets anstelle des aktuellen Frames durch einen Assistenten, der alle notwendigen Angaben erfragt.

Der Menüpunkt ist nur dann verwendbar, wenn das aktuelle Dokument tatsächlich einen oder mehrere Framesets enthält und die Frames eingeblendet sind.Vor der ersten Verwendung von Frames sollten Sie jedoch die Zusatzinformationen lesen.

Frameset
einfügen

Einfügen eines Framesets in das aktuelle HTML-Dokument oder aber Einfügen eines weiteren Framesets anstelle des aktuellen Frames! Es erscheint der Frame-Generator-Dialog.

Der Menüpunkt ist nur dann verwendbar, wenn das aktuelle Dokument tatsächlich einen oder mehrere Framesets enthält und die Frames eingeblendet sind.Vor der ersten Verwendung von Frames sollten Sie jedoch die Zusatzinformationen lesen.

Frameset
auflösen

Löst den direkt zugrundeliegendenden Frameset vollständig auf!

Der Menüpunkt ist nur dann verwendbar, wenn das aktuelle Dokument tatsächlich einen oder mehrere Frameset enthält.

Hinweis: Gerade dann, wenn mehrere verschachtelte Framesets in dem aktuellen Dokument enthalten sind, passiert es leicht, dass mehr als geplant aufgelöst wurde. Aus diesem Grund empfiehlt es sich, vor der Auflösen-Aktion alle Dokumente zu sichern um so den alten Zustand durch den Menüpunkt "Frames | Aktualisieren" wiederherstellen zu können, denn diese Aktion kann nicht zurückgenommen werden.

Frameset-Optionen

Bearbeiten der Frameset-Optionen. Zu diesem Zweck erscheint der Framset-Optionendialog.

Der Menüpunkt ist nur dann verwendbar, wenn das aktuelle Dokument tatsächlich einen oder mehrere Frameset enthält.

Hinweis: Nur durch diesen Dialog ist es möglich, die Aufteilung der einzelnen Spalten und Zeilen individuell anzupassen. Das Ändern der Framegrößen in dem Hauptdokumentenfenster hat keinerlei Einfluß auf das Frameset-Dokument selbst!

Frame-Optionen

Bearbeiten der Frame-Optionen. Es erscheint der Frame-Optionendialog mit der zuletzt angezeigten Dialogseite.

Der Menüpunkt ist nur dann verwendbar, wenn das aktuelle Dokument tatsächlich einen oder mehrere Frames enthält.

Neues Dokument

Nach dem Erzeugen/Einfügen eines Frameset ist es notwendig, die entstandenen Frames mit Inhalten zu füllen. Entweder kann in den Frame-Optionen direkt ein Dokument bestimmt werden, oder aber es wird ein neues Dokument in dem Frame erzeugt.

Der Menüpunkt ist nur dann verwendbar, wenn das aktuelle Dokument tatsächlich einen oder mehrere Frames enthält.

Frames einblenden

Blendet die Frames ein bzw. aus. Ob die Frames gerade angezeigt werden, zeigt das Häkchen vor dem Menüpunkt an.

Der Menüpunkt ist nur dann verwendbar, wenn das aktuelle Dokument tatsächlich einen oder mehrere Framesets enthält.

Hinweis: Nur durch die Verwendung dieses Menüpunkts ist es möglich, einen NoFrames-Bereich in dem Frameset-Dokument anzulegen. Der NoFrames-Bereich wird immer dann angezeigt, wenn der verwendete Browser nicht dazu in der Lage ist, Frames überhaupt anzuzeigen.

Aktualisieren

Nach dem Aufrufen dieses Menüpunkts aktualisiert NetJet das gesamte Frameset-Dokument, d.h. also, dass nicht nur das aktuelle HTML-Dokument neu geladen wird, sondern alle diejenigen Dokumente, die zusammen das vollständige Frameset-Dokument bilden.

Der Menüpunkt ist nur dann verwendbar, wenn das aktuelle Dokument tatsächlich einen oder mehrere Framesets enthält.

Hinweis: Da es möglich ist, mit "Verweis verfolgen" gezielt Dokumente in den Frames nachzuladen, ist das Aktualisieren-Ergebnis u.U. nicht immer einsichtig.

Generell gilt, dass NetJet immer versucht, das Frameset-Dokument so zu laden, wie es auf der Festplatte abgelegt ist und das gilt besonders für die Angaben der Anfangsdateien, die für jedes Frame einzeln festgelegt werden können bzw. müssen (siehe dazu auch Dialogfeld "Frame-Optionen").


Das Menü "Publizieren"

Prüfen | Überprüfen des Projektes auf falsche und/oder ungültige Pfadangaben
Publizieren | Nach Auswahl dieses Menüeintrags kann eine Site per FTP an einen Server übertragen werden. Der FTP-Transfer wird durch mehrere Dialogfelder geführt, die nach der Eingabe der notwendigen Daten und Angaben anschließend der Reihe nach von selbst ablaufen.
Protokoll ansehen | Öffnet ein Dialogfeld in dem die aktuelle FTP-Protokolldatei betrachtet und auch geändert werden kann
Exportieren | Exportieren eines Projekts in ein (anderes) Verzeichnis auf der Festplatte Zur Eingabe der benötigten Daten erscheint das Dialogfeld "Projekt exportieren".


Das Menü "Extras"

Sitemanager | Ruft eine Siteübersicht für das aktuelle Dokument auf Die Siteübersicht zeigt auf, welche Dateien und Dokumente von dem aktuellen Dokument referenziert werden und welche Dateien sich auf das aktuelle Dokument beziehen.
Rechtschreibung | Überprüft die Rechtschreibung im aktuellen Dokument
Sprache | Ändert die Spracheinstellungen für die Korrekturhilfen
Zeichensatz | Ruft den Dokumentoptionen-dialog auf, um eine Änderung des Standardzeichensatzes zuzulassen Hinweis: Der Vorgabewert lautet ISO-8559-1 für die (west-) europäischen Staaten sowie für nordamerika und ist in den allermeisten Fällen auch ausreichend. NetJet ist nicht in der Lage, andere Zeichensätze als ISO-8559-1 richtig darzustellen.
Texteffekte | Formatiert den selektierten Text mit Texteffekten Hinweis: Diese Funktion wird nur angeboten, wenn sich die Markierung innerhalb eines Absatzes befindet.
Bildbearbeitung | Bearbeiten der aktuellen Bilddatei Es können einfache Effekte auf das gewählte Bild angewendet werden.
Button-Erstellung | Erstellt Bilder-Buttons Zu diesem Zweck ruft NetJet ein Zusatzprogramm auf, mit dem die Buttons einfach und schnell erstellt werden können.


Das Menü "Optionen"

Allgemein | Bei der Anwahl dieses Menüeintrags können verschiedene allgemeine Optionen eingegeben werden, z.B., ob Marquees (Laufbänder) während der Bearbeitung eines Dokumentes laufen sollen oder nicht, oder ob als blinkend gekennzeichnete Textteile tatsächlich blinken sollen oder nicht, sowie weitere Angaben zur Darstellung innerhalb von NetJet. Weiterhin finden sich hier jetzt auch die variablen Abgaben zur Rechtschreibprüfung.
Externe Programme | Öffnet ein Dialogfeld zur Anpassung der externen Programmangaben. Die in diesem Dialogfeld eingetragenen Angaben bestimmen maßgeblich das Ansicht-Menü.
Schriftenassistent | Öffnet einen Assistenten-Dialog, durch den z.B. eine vorhandene Schriftart zur Ausgabe nicht im System vorhandener Schriftarten verwendet werden kann.
Schriftgruppen | Öffnet ein Dialogfeld, in dem Schriftengruppen zusammenstellt werden können. Schriftengruppen können durch die Auswahlliste in der Schriften-Symbolleiste wie normale Schriftarten verwendet werden.
Symbolleisten | Öffnet ein Dialogfeld, in dem alle verfügbaren Symbolleisten ein- bzw. ausgeschaltet werden können. Dieses Dialogfeld ersetzt die vielen Symbolleisteneinträge des Ansicht-Menüs.
Projekt | Öffnet ein Eingabefenster für verschiedene Projektoptionen, wie z.B. Titel, Projektpfad etc.
Dokument | Bei der Anwahl dieses Menüeintrags können verschiedene Dokumentoptionen eingegeben werden. Diese Optionen betreffen im allgemeinen Teil z.B. Titel des Dokumentes, Autor und Bearbeitungsdatum. Im Darstellungsteil kann die Farbgebung des Dokumentes und Hintergrundbilder bestimmt werden. Hinweis: Hintergrundbilder können zwar sehr gut aussehen, jedoch benötigen sie einen recht hohen Anteil der Rechenzeit und verlangsamen somit die Bearbeitungsgeschwindigkeit erheblich. Aus diesem Grund ist es möglich, während der Bearbeitung eines Dokuments die Darstellung der Hintergrundbilder auszuschalten.
PlugIns | Es erscheint ein Untermenü, in dem alle verfügbaren PlugIns aufgelistet sind. Zu jedem Eintrag kann ein Informations-Dialog angefordert werden, der über die Art und Version des PlugIns Auskunft gibt
Schrift größer | Vergrößern der Schriftdarstellung
Schrift kleiner | Verkleinern der Schriftdarstellung


Das Menü "Fenster"

Überlappend | Sobald in NetJet mehrere Dokumente gleichzeitig geöffnet sind, können alle zugehörigen MDI-Fenster durch Aufrufen dieses Befehls überlappend angeordnet werden.
Nebeneinander | Alle MDI-Fenster nebeneinander anordnen.
Untereinander | Alle MDI-Fenster untereinander anordnen.
Symbole anordnen | Alle zu Symbolen verkleinerten MDI-Fenster werden am unteren Rand des NetJet-Fenster angeordnet.
Fensterbreite 640 Pixel | Ändert die Breite des aktuellen Dokumentenfensters auf 640 Pixel. Dadurch kann leicht überprüft werden, wie sich die Seite bei Verwendung geringerer/anderer Fenstergrößen verhalten wird.
Fensterbreite 800 Pixel | Ändert die Breite des aktuellen Dokumentenfensters auf 800 Pixel. Dadurch kann leicht überprüft werden, wie sich die Seite bei Verwendung geringerer/anderer Fenstergrößen verhalten wird.
Fensterbreite 1024 Pixel | Ändert die Breite des aktuellen Dokumentenfensters auf 1024 Pixel Dadurch kann leicht überprüft werden, wie sich die Seite bei Verwendung geringerer/anderer Fenstergrößen verhalten wird.
Fenster X | Die Titel aller geöffneten Dokumente werden an dieses Menü angehangen und von eins bis neun durchnumeriert. Sind mehr als neun Dokumente gleichzeitig geöffnet, erscheint bei Anwahl der letzten Menüpunkts (Weitere Fenster...) ein Dialogfeld, in dem dann alle geöffneten Dokumente angezeigt werden.
Fensterliste... | Es erscheint ein Dialogfeld, in dem alle geöffneten Dokumentenfenster bequem verwaltet werden können.


Das Menü "Hilfe"

Hilfethemen

Zeigt das Verzeichnis der Themen an, zu denen Hilfe verfügbar ist

Tipps und Tricks...

Zeigt Tipps und Tricks zu NetJet an

Lizensieren

Wenn Sie die Testlizenz nutzen, erscheinen während des Testzeitraums dieser sowie der folgende Eintrag.

In dem erscheinenden Dialogfeld kann dann eine gültige Lizenznummer eingegeben werden.

Bestellen

Innerhalb des Testzeitraums kann jederzeit das Bestellformular der XynX! GmbH im Internet abgerufen werden.

Zu diesem Zweck startet NetJet den aktuellen Standardbrowser Ihres Systems und geht direkt zum Bestellformular.

XynX! im Web

Durch Anwählen dieses Menüeintrags können Sie schnell und einfach Ihren Standardbrowser starten und gleich zur XynX! WebSite gehen.Sollte auf Ihrem System kein Standardbrowser eingerichtet worden sein, versucht NetJet, sowohl den Internet Explorer von Microsoft als auch den Netscape Navigator zu lokalisieren und anschließend zu starten. Kann NetJet jedoch auch auf diese Weise keinen ihm bekannten Browser finden, bricht NetJet die Aktion ab.

Info über...

Zeigt die Versionsinformationen und das Copyright von XynX! NetJet an


Das Menü "Toolbars"

Projekt-/Site- verwaltung | Ein- bzw. Ausblenden der Projekt-/Siteverwaltung.
Standard | Blendet die Standard-Symbolleiste ein bzw. aus.
Schrift | Blendet die Schrift-Symbolleiste ein bzw. aus.
Formatieren | Blendet die Formatieren-Symbolleiste ein bzw. aus.
Einfügen | Blendet die Einfügen-Symbolleiste ein bzw. aus.
Frames | Blendet die Frames-Symbolleiste ein bzw. aus.
Applets, Scripts | Blendet die Skript-Symbolleiste ein bzw. aus.
Bildverweise | Blendet die Bilder-Symbolleiste ein bzw. aus.
Formular | Blendet die Formular-Symbolleiste ein bzw. aus.
Sonderzeichen | Blendet die Sonderzeichen-Symbolleiste ein bzw. aus.
Information | Blendet die Informationsanzeige ein bzw. aus.
Anpassen... | Öffnet den Dialog zum Anpassen der Symbolleisten.


Das Systemmenü

Wiederherstellen

Verwenden Sie diesen Befehl, um das aktive Fenster in der Größe und Position wiederherzustellen, in der es sich vor der Auswahl der Befehle Vollbild oder Symbol befand.

Verschieben

Verwenden Sie diesen Befehl, um einen Vierfachpfeil anzeigen zu lassen, mit dem Sie das aktive Fenster oder Dialogfeld durch Drücken der Richtungstasten verschieben können.

Hinweis: Dieser Befehl ist nicht verfügbar, wenn das Fenster als Vollbild dargestellt wird.

Größe ändern

Verwenden Sie diesen Befehl, um einen Vierfachpfeil anzeigen zu lassen, mit dem Sie die Größe des aktiven Fensters durch Drücken der Richtungstasten ändern können.Nachdem der Zeiger zum Vierfachpfeil geworden ist, gehen Sie wie folgt vor:

  1. Drücken Sie eine der Richtungstasten, um den Zeiger zu dem Rand zu bewegen, den Sie verschieben möchten.

  2. Drücken Sie eine Richtungstaste, um den Rahmen zu bewegen.

  3. Drücken Sie die Eingabetaste, wenn die Fenstergröße Ihren Wünschen entspricht.

Hinweis: Dieser Befehl ist nicht verfügbar, wenn das Fenster als Vollbild dargestellt wird.

Minimieren

Verwenden Sie diesen Befehl zur Verkleinerung des Fensters von XynX! NetJet zu einem Symbol.

Maximieren

Verwenden Sie diesen Befehl zur Vergrößerung des aktiven Fensters, so dass es den gesamten verfügbaren Platz einnimmt.

Schließen

Verwenden Sie diesen Befehl zum Schließen des aktiven Fensters oder Dialogfelds. Ein Doppelklick auf das Systemmenüfeld hat dieselbe Wirkung wie die Auswahl des Schließen-Befehls.


Das Kontextmenü "HTML-Dokument"

Im "Maximalfall" enthält dieses Kontextmenü alle folgenden Einträge. Dieser Maximalfall tritt immer dann ein, wenn sich die Einfügemarke auf oder neben einem Bild befindet, das einen Verweis enthält und das sich wiederum innerhalb einer Tabelle und innerhalb eines Formulars und innerhalb einer Liste befindet.

Sie sehen schon, der Fall, dass Sie das vollständige Menü angezeigt bekommen, wird recht selten eintreten...

Bearbeitungsmodus

Umschalten zwischen dem Bearbeitungs- und dem "Surf"-Modus. Im Bearbeitungsmodus können wie gewohnt HTML-Dokumente bearbeitet werden. Im Surfmodus hingegen sind alle Bearbeitungselemente von NetJet ausgeschaltet und NetJet verhält sich ähnlich einem normalen Browser: Durch einfaches Anklicken von Verweisen können einfach und schnell Verweise überprüft werden.

Ausschneiden

Dieser Befehl löscht die selektierten Elemente aus dem Dokument und überträgt sie in die Zwischenablage.

Der Befehl entspricht dem Menüpunkt "Bearbeiten | Ausschneiden". Da das Kontextmenü jedoch besser erreichbar ist als das Hauptmenü, ist dieser Befehl hier zusätzlich vorhanden.

Und für die reinen Tastaturanwender gilt: Strg+X funktioniert auch.

Kopieren

Der Befehl kopiert die selektierten Elemente in die Zwischenablage.

Der Befehl entspricht dem Menüpunkt "Bearbeiten | Kopieren".

Und für die reinen Tastaturanwender gilt: Strg+C funktioniert auch.

Einfügen

Fügt einen Text aus der Zwischenablage in das aktuelle Dokument ein.

Der Befehl entspricht dem Menüpunkt "Bearbeiten | Einfügen".

Und für die reinen Tastaturanwender gilt: Strg+V funktioniert auch.

Alles selektieren

Markiert das gesamte Dokument.

Der Befehl entspricht dem Menüpunkt "Bearbeiten | Alles selektieren".

Und für die reinen Tastaturanwender gilt: Strg+A funktioniert auch.

Verweis bearbeiten...

Befindet sich die Einfügemarke auf einer Referenz, erscheint zusätzlich dieser Eintrag, mit dem schnell und bequem eine Referenz bearbeitet werden kann. Zur Bearbeitung selbst erscheint das Verweise-Dialogfeld.

Verweis verfolgen

Zur Überprüfung einer Referenz (Verweis) kann NetJet durch diesen Befehl sofort zum referenzierten Dokument springen. Ist die referenzierte Datei nicht vorhanden oder kein gültiges Dokument, passiert einfach nichts.

Der Eintrag "Verweis verfolgen" erscheint in diesem Kontextmenü nur dann, wenn sich die Einfügemarke auf einer Referenz befindet.

Zellen markieren

Siehe Menüpunkt "Tabelle | Zelle markieren".

Tabelle markieren

Siehe Menüpunkt "Tabelle | Zelle markieren".

Zeilen/Spalten einfügen...

Siehe Menüpunkt "Tabelle | Zeilen/Spalten einfügen" und Dialogfeld "Tabellenzeilen/-spalten einfügen".

Zelle einfügen

Siehe Menüpunkt "Tabelle | Zelle einfügen".

Zellen löschen

Siehe Menüpunkt "Tabelle | Zellen löschen".

Zellen verbinden

Siehe Menüpunkt "Tabelle | Zellen verbinden".

Frame-Optionen...

Siehe Menüpunkt "Frames | Frame-Optionen" oder auch das Dialogfeld "Frame-Optionen".

Formularoptionen

Siehe Menüpunkt "Einfügen | Formular" sowie die Informationen zu Formularen.

Bildoptionen...

Ruft den Dialog zur Bearbeitung der Bildoptionen auf. Diese Funktion ist vergleichbar mit einem Doppelklick auf ein Bild.

Bildbearbeitung...

Siehe Menüpunkt "Extras | Bildbearbeitung"

Dokument-Optionen...

Siehe Menüpunkt "Optionen | Dokument" und auch die Dokumentoptionen.

Tabellenoptionen

Siehe Menüpunkt "Tabelle | Tabellenoptionen" sowie die Tabellenoptionsdialogfelder.

Zellenoptionen

Siehe Menüpunkt "Tabelle | Zellenoptionen" sowie Dialogfelder Zellenoptionen.

Nummerierung und Aufzählungen...

Befindet sich die Einfügemarke innerhalb einer Nummerierung oder Aufzählung, können alle zugehörigen Optionen und Einstellungen über diesen Menüpunkt leicht geändert werden.

Zur Bearbeitung erscheint das Dialogfeld "Listeneinstellungen".

Listenelement-Optionen...

Befindet sich die Einfügemarke innerhalb eines Listenelements, kann durch diesen Befehl das Element bearbeitet werden.

Zur Bearbeitung erscheint das zugehörige Dialogfeld Aufzählungselement bzw. Nummerierungselement.

Nummerierung überspringen

Soll ein Absatz kein eigenständiges Listenelement sondern ein "normaler" Absatz werden, kann das mit diesem Befehl leicht erfolgen.

Dieser Befehl funktioniert auch wenn mehrere Listenelemente selektiert sind. Alle Elemente werden dann in jeweils eigene Absätze umgewandelt. Die entstehenden Absätze sind dem darüberliegenden Listenelement untergeordnet und dementsprechend eingerückt.

Nummerierung beenden

Ist die Liste fertig erstellt und es soll ein normaler Absatz folgen, führt dieser Befehl zum Ziel. Die Liste wird sofort beendet und aus dem aktuellen Listenelement wird ein einfacher Absatz.

Dieser Befehl funktioniert auch, wenn mehrere Listenelemente selektiert sind. Alle Elemente werden dann in jeweils eigene Absätze umgewandelt.

Schriftattribute

Siehe Dialogfeld "Schriftattribute".


Das Kontextmenü "Projektverwaltung - Sprungziele"

Dieses Kontextmenü erscheint immer dann, wenn in der Projektverwaltung ein Sprungziel ausgewählt ist.

Öffnen | NetJet lädt das zugehörige Dokument und setzt die Einfügemarke an das Sprungziel.
Informationen | Alle zu diesem Sprungziel verfügbaren Informationen werden in einem Extrafenster angezeigt. Zu den Informationen gehört, in welchem Dokument sich das Sprungziel befindet und von welcher Datei das Ziel angesprungen bzw. verwendet wird.


Das Kontextmenü "Projektverwaltung - Projekteintrag"

Jede der vier Projektanzeigen [image] besitzt einen eigenen Satz von Optionen. Das bedeutet, dass wenn Sie Einstellungen für die normale Darstellung ändern, diese nicht für die anderen Anzeigen gelten! Dadurch wird es möglich, unterschiedliche Darstellungen und z.B. Sortierungen für jede Anzeigeseite einzustellen.

Die so eingestellten Informationen werden mit dem Projekt selbst abgespeichert und stehen beim erneuten Laden des Projekts wieder zur Verfügung.

Öffnen

Das zum Projekteintrag gehörige Dokument wird geöffnet. Sollte das Dokument noch nicht existieren, kann auf Wunsch sofort ein neues Dokument erstellt werden.

Aufnehmen

Einträge in fetter Schrift deuten an, dass der Eintrag fest zum Projekt gehört. Ist eine Datei jedoch in normaler Schrift dargestellt, kennt NetJet zwar die Datei, verwaltet sie aber nicht.

Erst wenn die Datei manuell in die Verwaltung aufgenommen worden ist, wird sie z.B. beim FTP-Transfer berücksichtigt.

Das manuelle Aufnehmen ist nicht notwendig, wenn alle referenzierten Dateien automatisch aufgenommen werden. Die zugehörige Option befindet sich in den Dialogfeldern "Neues Projekt | Schritt 3" bzw. in "Projektoptionen | Optionen".

Austragen

Eine Datei kann jederzeit aus der Verwaltung ausgetragen werden. Nach dem Austragen wird die Datei nicht mehr "überwacht" und bei einem FTP-Transfer nicht berücksichtigt.

NetJet kann Dateien, die nicht länger referenziert werden, automatisch aus seiner Verwaltung austragen. Die zugehörige Option befindet sich in den Dialogfeldern "Neues Projekt | Schritt 3" bzw. in "Projektoptionen | Optionen".

Datei einfügen

Einfügen einer Datei (z.B. Bilder oder aber auch eines HTML-Dokuments) in das Projekt

Wenn es sich bei dem gewählten Objekt um ein HTML-Dokument handelt, werden zusätzlich alle referenzierten Dateien außer anderen HTML-Dokumenten in die Sitestruktur eingefügt.

Datei löschen

Die Datei wird aus der Verwaltung ausgetragen und von der Festplatte entfernt

Hinweis: Diese Aktion kann dann nicht rückgängig gemacht werden. Zur Sicherheit fragt NetJet nach, ob das wirklich gewünscht wird! Bei Dateien, die noch von anderen Dokumenten referenziert werden, werden zusätzlich Sicherheitsabfragen gestellt.

Dokumente

Ein-/Ausblenden der HTML-Dokumente in der Anzeige

Dieses kann z.B. dann hilfreich sein, wenn ein Überblick über die vorhandenen Bilder gewonnen werden soll und die vielen Dokumente die Darstellung "aufblähen".

Bilder

Ein-/Ausblenden der Bilder in der Anzeige

Externe Referenzen

Ein-/Ausblenden der externen Referenzen in der Anzeige

Sonstige Angaben

Ein-/Ausblenden der sonstigen Angaben in der Anzeige

Dokumententitel

Die Titelangaben der Dokumente ein- oder ausblenden

Die Angabe eines Titels erfolgt normalerweise durch den Menüeintrag "Dokumentenoptionen" im HTML-Kontextmenü oder aber unter "Optionen | Dokument".

Die Bearbeitung des Dokumenttitels erfolgt in dem Dialogfeld "Dokumentenoptionen - Allgemein".

Der Titel selbst wird in eckigen Klammern hinter dem Projekteintrag angezeigt (Beispiel: index.html [Dokumenttitel]).

Pfade

Ein-/Ausblenden der Pfadangaben innerhalb dieser Projektanzeige

Gerade dann, wenn viele Dateien in wenigen Unterverzeichnissen liegen, ergibt das Einblenden der Pfade eine recht unübersichtliche Darstellung und z.B. die Auswahl einer bestimmten Datei durch Angabe des Anfangsbuchstaben kann nicht funktionieren.

Bemerkung: Das Ein-/Ausblenden wird nur für Dateiangaben des lokalen Dateisystems durchgeführt. Absolute URL-Angaben der Form http://www.server.de/pfad/index.html bleiben davon unberührt.

Sortieren nach

Auswahl, nach welchen Kriterien die Sortierung der Eintrag erfolgen soll. Es stehen sieben Kriterien zur Verfügung:

unsortiert | Die Einträge für die Liste nicht sortiert. Die tatsächliche Reihenfolge ergibt sich aus der recht zufälligen Verarbeitungsreihenfolge.
Rel. URL | Die Angaben der relativen URL werden verglichen. In den relativen URL finden z.B. die Protokollangaben keine Berücksichtigung.
Abs. URL | Die absoluten URL werden verglichen. In diesen Angaben steht z.B. das Protokoll immer an erster Stelle, die Sortierung entspricht daher i.a. der Sortierart Protokoll.
Erweiterung | Zuerst werden die Angaben anhand der Erweiterung zu Gruppen zusammengestellt. Einträge mit der gleichen Erweiterung werden anschließend nach der absoluten URL sortiert.
Protokoll | Zuerst werden die Angaben anhand des Protokolls sortiert. Die entstehenden Gruppen werden anschließend noch nach der absoluten URL sortiert.
Datum | Das Datum entscheidet über die Sortierreihenfolge. Ältere Dateien befinden sich schließlich oben in der Liste.
Größe | Sortieren nach Größe. Die größten Dateien landen in der Liste ganz unten.

Groß-/Klein-schreibung beachten

Beim Sortieren von Zeichenketten kann eingestellt werden, ob Groß-/Kleinschreibung beachtet werden soll oder nicht. Wenn diese Option eingeschaltet ist, werden Wörter mit großen Anfangsbuchstaben vor denen mit kleinen Anfangsbuchstaben einsortiert, was u.U. recht verwirrend sein kann!

Fehler zuerst

Beim Sortieren werden fehlerhafte Einträge oben einsortiert

Startseite zuerst

Beim Sortieren wird die Startseite ganz oben einsortiert

Als Startseite festlegen

Die aktuelle Datei wird als Startseite festgelegt und bekommt als Kennzeichen das Haussymbol vorangestellt.

Bemerkung: Nur HTML-Dokumente können als Startseite fungieren.

Projekt aktualisieren

Aktualisiert die Projektverwaltung unmittelbar

Informationen

Anzeigen der verfügbaren Informationen zur diesem Projekteintrag

Zu den Informationen gehören entweder die Projektangaben oder aber allgemeine Dateiangaben sowie eine kleine Statistik und evtl. vorhandene Referenzen, je nachdem, ob Sie das Kontextmenü für das Projekt selbst oder für einen Projekteintrag aufgerufen haben.


Das Kontextmenü "Projektverwaltung - Referenziert von"

Dieses Kontextmenü erscheint immer dann, wenn in der Projektverwaltung ein "Wird verwendet von"-Eintrag selbst ausgewählt ist.

Öffnen

NetJet lädt das zugehörige Dokument und setzt die Einfügemarke an die Stelle der Referenz.

Auf diese Weise kann der Benutzer sehr schnell die tatsächliche und die gewünschte Funktionalität der Site überprüfen.

Dokumente

In der Liste alle Dokumente ein- bzw. ausblenden

Diese Einstellung gilt für alle "Wird referenziert von"-Einträge dieser einzelnen Projektanzeige.

Bilder

In der Liste alle Bilder ein- bzw. ausblenden

Externe Referenzen

In der Liste alle externen Referenzen ein- bzw. ausblenden

Sonstige Angaben

In der Liste alle sonstigen Angaben ein- bzw. ausblenden

Doppelte

Doppelte Einträge ein- bzw. ausblenden

Als doppelt vorhanden gilt ein Eintrag immer dann, wenn ein Dateiname identisch ist und schlußendlich auf denselben Projekteintrag zeigt.

Dokumententitel

Die Titelangaben der Dokumente ein- oder ausblenden

Die Definition eines Titels erfolgt normalerweise durch den Menüeintrag "Dokumentenoptionen" im HTML-Kontextmenü oder aber unter "Optionen | Dokument".

Die Bearbeitung des Dokumenttitels erfolgt in dem Dialogfeld "Dokumentenoptionen - Allgemein".

Der Titel selbst wird in eckigen Klammern hinter dem Projekteintrag angezeigt (Beispiel: index.html [Dokumenttitel]).

Pfade

Ein-/Ausblenden der Pfadangaben innerhalb dieser Projektanzeige

Gerade dann, wenn viele Dateien in wenigen Unterverzeichnissen liegen, ergibt das Einblenden der Pfade eine recht unübersichtliche Darstellung und z.B. die Auswahl einer bestimmten Datei durch Angabe des Anfangsbuchstaben kann nicht funktionieren.

Bemerkung: Das Ein-/Ausblenden wird nur für Dateiangaben des lokalen Dateisystems durchgeführt.

Sortieren nach

Auswahl, nach welchen Kriterien die Sortierung der Eintrag erfolgen soll. Es stehen sieben Kriterien zur Verfügung:

unsortiert | Die Einträge für die Liste nicht sortiert. Die tatsächliche Reihenfolge ergibt sich aus der recht zufälligen Verarbeitungsreihenfolge.
Rel. URL | Die Angaben der relativen URL werden verglichen. In den relativen URL finden z.B. die Protokollangaben keine Berücksichtigung.
Abs. URL | Die absoluten URL werden verglichen. In diesen Angaben steht z.B. das Protokoll immer an erster Stelle, die Sortierung entspricht daher i.a. der Sortierart Protokoll.
Erweiterung | Zuerst werden die Angaben anhand der Erweiterung zu Gruppen zusammengestellt. Einträge mit der gleichen Erweiterung werden anschließend nach der absoluten URL sortiert.
Protokoll | Zuerst werden die Angaben anhand des Protokolls sortiert. Die entstehenden Gruppen werden anschließend noch nach der absoluten URL sortiert.
Datum | Das Datum entscheidet über die Sortierreihenfolge. Ältere Dateien befinden sich schließlich oben in der Liste.
Größe | Sortieren nach Größe. Die größten Dateien landen in der Liste ganz unten.

Groß-/Klein-schreibung beachten

Beim Sortieren von Zeichenketten kann eingestellt werden, ob die Groß-/Kleinschreibung beachtet werden soll oder nicht. Wenn diese Option eingeschaltet ist, werden Wörter mit großen Anfangsbuchstaben vor denen mit kleinen Anfangsbuchstaben einsortiert, was u.U. recht verwirrend sein kann!

Fehler zuerst

Beim Sortieren werden fehlerhafte Einträge oben einsortiert

Startseite zuerst

Beim Sortieren wird die Startseite ganz oben einsortiert

Projekt aktualisieren

Aktualisiert die Projektverwaltung unmittelbar

Informationen

Anzeigen der verfügbaren Informationen zur diesem Eintrag


Das Kontextmenü "Projektverwaltung - Referenzen"

Dieses Kontextmenü erscheint immer dann, wenn in der Projektverwaltung eine Referenz ausgewählt ist.

Öffnen

NetJet lädt das zugehörige Dokument und setzt die Einfügemarke an die Stelle der Referenzdefinition.

Dokumente

In der Liste der Referenzen alle Dokumente ein- bzw. ausblenden

Diese Einstellung gilt für alle Referenzen dieser einzelnen Projektanzeige.

Bilder

In der Liste der Referenzen alle Bilder ein- bzw. ausblenden

Externe Referenzen

In der Liste der Referenzen alle externen Referenzen ein- bzw. ausblenden

Sonstige Angaben

In der Liste der Referenzen alle sonstigen Angaben ein- bzw. ausblenden

Doppelte

Doppelte Einträge ein- bzw. ausblenden

Als doppelt vorhanden gilt ein Eintrag immer dann, wenn ein Dateiname identisch ist und schlußendlich auf denselben Projekteintrag zeigt.

Dokumententitel

Die Titelangaben der Dokumente ein- oder ausblenden

Die Definition eines Titels erfolgt normalerweise durch den Menüeintrag Dokumentenoptionen im HTML-Kontextmenü oder aber unter "Optionen | Dokument".

Die Bearbeitung des Dokumenttitels erfolgt in dem Dialogfeld "Dokumentenoptionen - Allgemein".

Der Titel selbst wird in eckigen Klammern hinter dem Projekteintrag angezeigt (Beispiel: index.html [Dokumenttitel]).

Pfade

Ein-/Ausblenden der Pfadangaben innerhalb dieser Projektanzeige

Gerade dann, wenn viele Dateien in wenigen Unterverzeichnissen liegen, ergibt das Einblenden der Pfade eine recht unübersichtliche Darstellung und z.B. die Auswahl einer bestimmten Datei durch Angabe des Anfangsbuchstaben kann nicht funktionieren.

Bemerkung: Das Ein-/Ausblenden wird nur für Dateiangaben des lokalen Dateisystems durchgeführt.

Sortieren nach

Auswahl, nach welchen Kriterien die Sortierung der Eintrag erfolgen soll. Es stehen sieben Kriterien zur Verfügung:

unsortiert | Die Einträge für die Liste nicht sortiert. Die tatsächliche Reihenfolge ergibt sich aus der recht zufälligen Verarbeitungsreihenfolge.
Rel. URL | Die Angaben der relativen URL werden verglichen. In den relativen URL finden z.B. die Protokollangaben keine Berücksichtigung.
Abs. URL | Die absoluten URL werden verglichen. In diesen Angaben steht z.B. das Protokoll immer an erster Stelle, die Sortierung entspricht daher i.a. der Sortierart Protokoll.
Erweiterung | Zuerst werden die Angaben anhand der Erweiterung zu Gruppen zusammengestellt. Einträge mit der gleichen Erweiterung werden anschließend nach der absoluten URL sortiert.
Protokoll | Zuerst werden die Angaben anhand des Protokolls sortiert. Die entstehenden Gruppen werden anschließend noch nach der absoluten URL sortiert.
Datum | Das Datum entscheidet über die Sortierreihenfolge. Ältere Dateien befinden sich schließlich oben in der Liste.
Größe | Sortieren nach Größe. Die größten Dateien landen in der Liste ganz unten.

Groß-/Klein-schreibung beachten

Beim Sortieren von Zeichenketten kann eingestellt werden, ob Groß-/Kleinschreibung beachtet werden soll oder nicht. Wenn diese Option eingeschaltet ist, werden Wörter mit großen Anfangsbuchstaben vor denen mit kleinen Anfangsbuchstaben einsortiert, was u.U. recht verwirrend sein kann!

Fehler zuerst

Beim Sortieren werden fehlerhafte Einträge oben einsortiert

Startseite zuerst

Beim Sortieren wird die Startseite ganz oben einsortiert

Projekt aktualisieren

Aktualisiert die Projektverwaltung unmittelbar

Informationen

Anzeigen der verfügbaren Informationen zur diesem Referenzeintrag


Die Symbolleisten

Hier finden Sie eine vollständige Auflistung aller in NetJet enthaltenen Symbolleisten. Bitte klicken Sie auf den betreffenden Eintrag, um nährere Informationen zu erhalten.

Die Symbolleiste "Standard"

Die Symbolleiste "Formatieren"

Die Symbolleiste "Schrift"

Die Symbolleiste "Einfügen"

Die Symbolleiste "Frames"

Die Symbolleiste "Formular"

Die Symbolleiste "Applets, Scripts"

Die Symbolleiste "Bildverweise"

Die Symbolleiste "Sonderzeichen"


Die Symbolleiste "Standard"

Projektverwaltung ein-/ausblenden

Neues Dokument

Seiten-Assistent

Öffnen

Speichern

Alles speichern

Ausschneiden

Kopieren

Einfügen

Text-Formatierung kopieren

Text-Formatierung anwenden

Zurücknehmen

Wiederherstellen

Drucken

Seitenansicht

FTP-Transfer

Rechtschreibprüfung

Suchen

Bearbeitungsmodus

640 Pixel Fensterbreite einstellen

800 Pixel Fensterbreite einstellen

1024 Pixel Fensterbreite einstellen

HTML-Quelltext anzeigen

Microsoft Internet Explorer aufrufen

Netscape Navigator aufrufen

Opera aufrufen

Aktualisieren

Schriftvergrößerung

Kontextsensitive Hilfe


Die Symbolleiste "Formatieren"

Formatvorlagen

Absatz linksbündig

Absatz zentriert

Absatz rechtsbündig

Blocksatz

Numerierung

Aufzählung

Beschreibungsliste einfügen

Beschreibungsliste - Datenbegriff einfügen

Beschreibungsliste - Datenbeschreibung einfügen

Einzug verkleinern

Einzug vergrößern

Hilfslinien anzeigen/verbergen

Absatzmarken anzeigen/verbergen


Die Symbolleiste "Schrift"

Schriftart / Schriftgruppe

Fett

Kursiv

Unterstrichen

Durchgestrichen

Nichtproportional

Schriftfarbe

Schrift größer

Schrift kleiner

Schriftgröße 1

Schriftgröße 2

Schriftgröße 3

Schriftgröße 4

Schriftgröße 5

Schriftgröße 6

Schriftgröße 7

Hochgestellt (Superscript)

Tiefgestellt (Subscript)

Alle Attribute entfernen

Text-Effekte

Alle von NetJet einstellbaren Attribute sind für NetJet auch "nur" HTML-Tags, die in einer bestimmten Art und Weise in dem Dokument angeordnet werden.

Und wie immer, kann diese Anordnung geschickt oder auch ungeschickt erfolgen. Eine geschickte Anordnung sorgt für einigermaßen kompakte und schnell darstellbare Dokumente, die ungeschickte leider nicht.

Wie man mit NetJet effizient Attribute verwenden kann, beschreibt der Abschnitt Effiziente Dokumente.


Die Symbolleiste "Einfügen"

Tabelle

Bilder

RollOver-Bildeffekt

Verweise

Sprungziel

Laufschrift (Marquee)

Multimedia-Element (Embed)

Hintergrundmusik

Trennlinie

BannerSurf


Die Symbolleiste "Frames"

Frameset einfügen

Frameset auflösen

Frameset-Optionen

Frame-Optionen

Neues Dokument


Die Symbolleiste "Formular"

Formular erstellen/bearbeiten

Eingabefeld

Paßworteingabe

Auswahlfeld

Optionsschaltfläche

Dateiauswahl

Bildschaltfläche

Absenden-Schaltfläche

Zurücksetzen-Schaltfläche

Schaltfläche

Verborgene Variablen

Auswahlliste

Textbereich


Die Symbolleiste "Skripts"

Die Symbolleiste "Scripts"

Direkt ausführbares Skript

Skriptblöcke

NoSkript-Bereich

Applets

ShockWave-Flash-Objekt


Die Symbolleiste "Bildverweise"

Auswählen

Rechteck

Kreis

Polygon

Hervorheben

Verweise

Weitere Informationen:

Was ist ein Bildverweis?

Bearbeiten der Bildverweise


Die Symbolleiste "Sonderzeichen"

Trademark-Zeichen ( &trade; )

Copyright-Zeichen ( &copy; )

Registered-Zeichen ( &reg; )

Besonderes (geschütztes) Leerzeichen ( &nbsp; ). An diesem Leerzeichen findet kein Umbruch statt.

Euro-Zeichen

Anführungszeichen unten

Anführungszeichen oben nach links

Anführungszeichen oben nach rechts

Drei Punkte-Zeichen

Promille-Zeichen

Hinweis: Natürlich gibt es noch sehr viel mehr Sonderzeichen. Die meisten davon sind jedoch landesspezifisch und werden in vielen HTML-Dokumenten nicht benötigt. Zusätzlich sind die am häufigsten benötigten Zeichen in den jeweiligen Ländern auf der Tastatur vorhanden und somit schon wesentlich besser erreichbar als z.B. über eine Symbolleiste.

Sollten aber trotzdem einmal besondere Zeichen benötigt werden, können alle im aktuellen Zeichensatz vorhandenen Zeichen auch über die Zeichentabelle von Windows in das Dokument eingefügt werden.


Tastaturkommandos

Symbol | Kommando | Beschreibung
 | Umschalt + Enter Umschalt + Return | Einfachen Zeilenumbruch einfügen
 | Enter Return | Normalen Zeilenumbruch einfügen, d.h. aktuellen Paragraph (Absatz) abschließen und neuen Paragraphen einfügen
 | Alt + 0 | Projektverwaltung ein-/ausblenden
 | Alt + Enter Alt + Return | Optionen von HTML-Elementen bearbeiten (Dialogbox) z.B. bei Bildern, Marquees und Formularelementen und einfachen Zeilenumbrüchen
 | Strg+ Leertaste | Besonderes (geschütztes) Leerzeichen ( &nbsp; )
 | Strg + Umschalt + 1 | Schriftgröße 1
 | Strg + Umschalt + 2 | Schriftgröße 2
 | Strg + Umschalt + 3 | Schriftgröße 3
 | Strg + Umschalt + 4 | Schriftgröße 4
 | Strg + Umschalt + 5 | Schriftgröße 5
 | Strg + Umschalt + 6 | Schriftgröße 6
 | Strg + Umschalt + 7 | Schriftgröße 7
 | Strg + Umschalt + F | Fett
 | Strg + Umschalt + E | Extra (besonders) fett
 | Strg + Umschalt + K | Kursiv
 | Strg + Umschalt + U | Unterstrichen
 | Strg + Umschalt + D | Durchgestrichen
 | Strg + Umschalt + T | Nichtproportional
 | Strg + Umschalt + A | Farbe einstellen (Farbdialog)
 | Strg + Umschalt + G | Grafiken (Bilder)
 | Strg + Umschalt + M | Multimedia-Elemente (Embed)
 | Strg + Umschalt + R | Referenzen (Verweise)
 | Strg + L | Absatz linksbündig
 | Strg + E | Absatz zentriert
 | Strg + R | Absatz rechtsbündig
 | Strg + B | Absatz in Blocksatz formatieren
 | Strg + Umschalt + Tab | Einzug verkleinern
 | Strg + Tab. | Einzug vergrößern
 | Strg + Num. + | Schriftdarstellung vergrößern
 | Strg + Num. - | Schriftdarstellung verkleinern
 | Strg + Z | Rückgängig (Undo)
 | Strg + Y | Wiederherstellen (Redo)
 | Strg + X Umschalt + Entf | Ausschneiden
 | Strg + CStrg + Einfg | Kopieren
 | Strg + V Umschalt + Einfg | Einfügen
 | Strg + A | Alles selektieren
 | Strg + N | Neu
 | Strg + O | Öffnen
 | Strg + P | (Print) Drucken
 | Strg + S | Speichern
 | Strg + Umschalt + S | Alles speichern
 | Strg + F | Suchen
 | Strg + H | Ersetzen
 | F1 | Hilfe anzeigen
 | Umschalt + F1 | Hilfe für Objekt anzeigen (kontextsensitive Hilfe)
 | Strg + F4 | Schließen des aktuellen Dokuments
 | Strg + Umschalt + F4 | Schließen aller geöffneten Dokumente
 | F3 | (Suche) wiederholen
 | F5 | Dokument aktualisieren
 | F6 | Nächstes Dokument anzeigen (Fenster umschalten)
 | Umschalt + F6 | Vorheriges Dokument anzeigen (Fenster umschalten)
 | F7 | Rechtschreib-Prüfung
 | F12 | Datei speichern unter


Die Titelzeile

Andere Fensterelemente

Hier finden Sie eine Auflistung aller von NetJet weiterhin verwendeten Fensterelemente:

Die Titelzeile

Die Statusleiste

Die Kontexthilfe

Die Seitenansicht

Die Bildlaufleisten


Die Titelzeile

Die Titelleiste erstreckt sich über den oberen Rand eines Fensters. Sie enthält den Namen der Anwendung und des Dokuments. Zusätzlich erhält der Name des Dokuments immer dann ein * hinter dem Dateinamen, wenn in dem zugehörigen Dokument Änderungen vorgenommen, diese aber noch nicht auf der Festplatte gespeichert wurden.

Zum Verschieben des Fensters kann die Titelleiste gezogen werden.

Hinweis: Auch Dialogfelder lassen sich durch Ziehen an ihrer Titelleiste verschieben.

Eine Titelleiste kann folgende Elemente enthalten:

  • Schaltfläche des Dokument-Systemmenüs

  • Anwendungsname

  • Projektdateiname

  • Dokumentname bzw. FrameSet-Dokumentname plus aktuelles Dokument

  • * als "geändert"-Anzeige

  • Schaltfläche für Minimieren - Systemmenü Symbol

  • Schaltfläche für Maximieren - Systemmenü Vollbild

  • Schaltfläche für Wiederherstellen

  • Schaltfläche des Systemmenüs Schließen der Anwendung

Bemerkung: Bei der eben beschriebenen Reihenfolge handelt es sich um die Darstellung unter Windows 95 und Windows NT 4.0 und höher. Unter Windows NT 3.5x fehlt die Schaltfläche [image] und die Schaltflächen für Minimieren/Maximieren sehen etwas anders aus. Die Funktionalität bleibt jedoch erhalten.


Die Statuszeile

Die Statusleiste oder auch Statuszeile wird am unteren Rand des Fensters von NetJet angezeigt. Sie können die Statusleiste im Dialogfeld "Symbolleisten" aus dem Menü "Optionen | Symbolleisten" ein- oder ausblenden.

Während Sie sich mit den Richtungstasten durch Menüs bewegen, beschreibt der linke Bereich der Statusleiste die Funktion der Menüeinträge. Entsprechend dazu werden in diesem Bereich auch Beschreibungen zur Wirkung der Schaltflächen der Symbolleiste angezeigt, wenn Sie diese niederdrücken und gedrückt halten. Wenn Sie den zu einer Schaltfläche der Symbolleiste zugehörigen Befehl nicht ausführen wollen, nachdem Sie seine Beschreibung gelesen haben, lassen Sie die Maustaste los, während sich der Mauszeiger nicht mehr auf der Schaltfläche befindet.

Im mittleren Bereich der Liste befindet sich ein Feld, das über die Dauer der Datenübertragung für das aktuelle HTML-Dokument Auskunft gibt. Beim Anklicken des Feldes mit der rechten Maustaste erscheint ein Menü mit Angabe der Übertragungszeiten für die wichtigsten Übertragungsgeschwindigkeiten wie z.B. ISDN:

In den rechten Bereichen der Statusleiste wird angezeigt, welche der folgenden Tasten festgestellt sind:

Anzeige | Beschreibung
UF Num RF | Die Feststelltaste (Caps Lock) ist aktiviert. Die Taste "Num" ist festgestellt. Die Taste "Rollen" ist festgestellt.


Die Kontexthilfe

Verwenden Sie die kontextsensitive Hilfe, um Hinweise zu einem bestimmten Teil des NetJet zu erhalten. Wenn Sie die Schaltfläche "Kontexthilfe" bzw. das Symbol [image] aus der Symbolleiste auswählen, ändert sich der Mauszeiger zu einem Pfeil mit Fragezeichen. Klicken Sie dann mit der Maus irgendwo in das Fenster von NetJet, zum Beispiel auf eine andere Schaltfläche in der Symbolleiste. Das dem angeklickten Element entsprechende Hilfethema wird daraufhin angezeigt.

Als Abkürzung kann auch Umschalt+F1 auf der Tastatur verwendet werden.


Die Seitenansicht

Verwenden Sie diese Ansicht, um das aktive Dokument so anzuzeigen, wie es gedruckt aussehen würde.

Bei der Auswahl dieses Befehls "Seitenansicht" [image] im Menü Datei wird das Hauptfenster durch ein Seitenansichtsfenster ersetzt, in dem ein oder zwei Seiten im Druckformat dargestellt werden. Mit der Symbolleiste dieser Seitenansicht haben Sie die Möglichkeit, festzulegen, ob Sie ein oder zwei Seiten gleichzeitig betrachten wollen. Weiterhin können Sie sich im Dokument vor- und zurückbewegen, Seiten vergrößert und verkleinert darstellen lassen oder einen Druckauftrag starten.

In der Symbolleiste der Seitenansicht stehen die folgenden Optionen zur Verfügung:

Drucken | Hiermit gelangen Sie in das Dialogfeld Drucken, in dem Sie einen Druckauftrag des aktuellen HTML-Dokuments starten können.
Nächste | Weiterblättern zur nächsten Seite des Dokuments.
Vorherige | Zurückblättern zur vorherigen Seite des Dokuments.
Zwei Seiten/ Eine Seite | Bestimmt, ob eine oder zwei Seiten gleichzeitig sichtbar sein sollen.
Vergrößern | Mit dieser Option können Sie die Seite näher betrachten.
Verkleinern | Gibt Ihnen einen größeren Überblick über die Druckseite.
Schließen | Beendet die Seitenansicht.


Die Bildlaufleisten

Bildlaufleisten werden am rechten und am unteren Rand des Dokumentfensters angezeigt. Die Bildlauffelder im Inneren der Bildlaufleisten geben die vertikale und horizontale Position innerhalb des angezeigten HTML-Dokuments wieder. Mit der Maus können Sie einen Bildlauf zu anderen Teilen des Dokuments durchführen.

Hinweis: Die Einfügemarke ändert ihre Position dadurch normalerweise nicht! Das bedeutet, dass wenn Sie per Bildlaufleisten einen anderen Ausschnitt gewählt haben und anschließend z.B. eine Buchstabentaste drücken, sofort zur aktuellen Einfügeposition zurückkehren.


Standard-Dialoge

Hier finden Sie eine Auflistung aller von NetJet weiterhin verwendeten Standard-Dialoge:

Das Dialogfeld "Datei öffnen"

Das Dialogfeld "Öffnen als"

Das Dialogfeld "Textdatei konvertieren"

Das Dialogfeld "Datei überschreiben"

Das Dialogfeld "Verzeichnis wählen"

Das Dialogfeld "Druckereinrichtung"

Das Dialogfeld "Drucken"

Das Dialogfeld "Druckfortschrittsanzeige"

Das Dialogfeld "Externe Programme"

Das Dialogfeld "Symbolleisten"

Das Dialogfeld "Tipps & Tricks"

Das Dialogfeld "Info über"


Das Dialogfeld "Datei öffnen"

Die Optionen dieses Dialogs erlauben Ihnen, die zu öffnende Datei zu spezifizieren. Dabei verwendet NetJet immer den bekannten Windows-Systemdialog für die Dateiauswahl.

In der Auswahlliste für den Dateityp bietet NetJet die entsprechend sinnvollen Dateierweiterungen an, also z.B. *.htm, *.html, *.txt und in der Regel *.*.

In neueren Versionen des Windows-Systems kann die Darstellung dieses Dialogfeldes stark variieren. An der Funktionalität ändert sich jedoch nichts.


Das Dialogfeld "Öffnen als"

Immer dann, wenn NetJet nicht entscheiden kann, ob es sich tatsächlich um ein HTML-Dokument oder aber um eine "normale" Textdatei handelt, fragt er sicherheitshalber den Benutzer um Rat.

Wenn Sie bei einem Dokument, das HTML-Befehle enthält die Option "Datei als normale Textdatei öffnen" wählen, wird NetJet das Dokument wie im Quelltext-Editor anzeigen und zum Bearbeiten zur Verfügung stellen, allerdings kann es dabei passieren, dass die Darstellung sich später sehr von der Vorherigen unterscheidet..


Das Dialogfeld "Textdatei konvertieren"

Wann immer Sie eine zu öffnende Datei unbekannten Typs angeben, werden Sie von NetJet gefragt, wie mit der Datei zu verfahren ist. Stellt NetJet fest, dass es sich um eine Textdatei handelt, bietet er die folgenden Möglichkeiten zur Konvertierung an:

einfache Absätze

Alle Textzeilen werden einfach übernommen. Bei einer Leerzeile beendet NetJet den aktuellen Absatz und öffnet einen neuen Absatz.

einfache Absätze mit Zeilenumbrüchen

Alle Zeilen werden übernommen und bei jeder Zeilenschaltung im Originaltext wird ein <BR>-Tag eingesetzt. Leerzeilen führen wie bei einfachen Absätzen zu einem neuen Paragraphen.

einen formatiertern Absatz mit Zeilenumbrüchen

Der Text wird als formatiert angesehen und in einem Absatz abgelegt. Alle Zeilenschaltungen werden übernommen.

formatierte Absätze mit Zeilenumbrüchen

Der Text wird als formatiert angesehen und an Leerzeilen in Absätze unterteilt. Alle Zeilenschaltungen werden übernommen.


Das Dialogfeld "Datei speichern unter..."

Die Optionen dieses Dialogs erlauben Ihnen, die zu speichernde Datei genau zu spezifizieren. Dabei verwendet NetJet immer den bekannten Windows-Systemdialog für die Dateiauswahl.

In der Auswahlliste für den Dateityp bietet NetJet die entsprechend sinnvollen Dateierweiterungen an, also z.B. *.htm, *.html, *.txt und in der Regel *.*. Wenn Sie einen Dateinamen ohne Dateierweiterung angeben, hängt NetJet automatisch die per Allgemeine Optionen gewählte Dateierweiterung an.

In neueren Versionen des Windows-Systems kann die Darstellung dieses Dialogfeldes stark variieren. An der Funktionalität ändert sich jedoch nichts.


Das Dialogfeld "Datei überschreiben"

Wenn Dateien in das jeweilige Arbeitsverzeichnis kopiert werden sollen, kann es passieren, dass eine Datei gleichen Namens schon in dem Verzeichnis enthalten ist. In diesem Fall stellt NetJet die aktuellen Daten der beiden Dateien dar und lässt den Benutzer entscheiden, was zu tun ist.

Die Tasten am unteren Dialogrand haben die folgenden Bedeutungen:

Ja

Die vorhandene Datei wird überschrieben.

Ja für alle

Die vorhandene Datei wird überschrieben und bei evtl. weiteren Nachfragen erscheint dieses Dialogfeld nicht mehr; es wird die Antwort Ja für alle weiteren Dateien verwendet.

Nein

Die vorhandene Datei wird nicht überschrieben.

Nein für alle

Die vorhandene Datei wird nicht überschrieben und bei evtl. weiteren Nachfragen erscheint dieses Dialogfeld nicht mehr; es wird die Antwort Nein für alle weiteren Dateien verwendet.

Abbrechen / Esc-Taste

Die gesamte Kopier-Aktion wird abgebrochen.


Das Dialogfeld "Verzeichnis wählen"

Dieses Dialogfeld wird immer dann verwendet, wenn der Benutzer ein Verzeichnis wählen soll. Es können nur bestehende Verzeichnisse ausgewählt werden.

In diesem Dialog können nur bestehende Verzeichnisse ausgewählt werden. Um neue Verzeichnisse auf der Festplatte zu erstellen, verwenden Sie z.B. den Windows-Dateiexplorer.


Das Dialogfeld "Drucken"

Die folgenden Optionen ermöglichen es Ihnen anzugeben, wo und wie das Dokument gedruckt werden soll:

Drucker

Hier wird der aktive Drucker und Druckeranschluss angezeigt. Wählen Sie die Option "Eigenschaften", um den Drucker und den Druckeranschluss zu ändern.

Druckbereich

Geben Sie die Seiten an, die Sie ausdrucken wollen:

Alle

-

Druckt das gesamte Dokument.

Seiten

-

Druckt den in den Grenzen "von-bis" angegebenen Seitenbereich.

Markierungen

-

Druckt den markierten Text.

Exemplare

Geben Sie an, wie viele Kopien vom oben eingestellten Seitenbereich gedruckt werden sollen. Weiterhin können Sie auf die Reihenfolge durch die Option "Sortieren" Einfluss nehmen.

Hinweis: Bei der Angabe des Druckbereiches ist die Option "Markierungen" immer deaktiviert. Obwohl es in NetJet möglich ist, einen Bereich zu selektieren, kann das Dokument immer nur als ganzes bzw. seitenweise vom Anfang her gedruckt werden.

In neueren Versionen des Windows-Systems kann die Darstellung dieses Dialogfeldes stark variieren. An der Funktionalität ändert sich jedoch nichts.


Das Dialogfeld "Druckereinrichtung"

Mit den folgenden Optionen können Sie den Drucker und seinen Anschluss bestimmen:

Drucker

Wählen Sie hier den Drucker aus, den Sie benutzen wollen. Wählen Sie entweder den "Standarddrucker", oder verwenden Sie die Option "Spezieller Drucker" und wählen dann einen der installierten Drucker aus dem Feld aus. Zum Installieren von Druckern und Einstellen von Druckeranschlüssen verwenden Sie die Systemsteuerung von Windows.

Papier - Größe/Quelle

Wählen Sie die Größe des Papiers und ggf. die Papierquelle, auf dem das Dokument gedruckt werden soll. Einige Drucker besitzen mehrere Schächte für verschiedene Arten der Papierzufuhr. Wählen Sie hier bei Bedarf den gewünschten Schacht aus.

Ausrichtung

Wählen Sie Hoch- oder Querformat.

Netzwerk...

Verwenden Sie diese Schaltfläche, um eine Verbindung über ein bestehendes Netzwerk zu einem bestimmten Netzwerkdrucker herzustellen.

In neueren Versionen des Windows-Systems kann die Darstellung dieses Dialogfeldes stark variieren. An der Funktionalität ändert sich jedoch nichts.


Das Dialogfeld "Druckfortschrittsanzeige"

Während NetJet die Ausgabe an den Drucker sendet, wird das Dialogfeld Druckfortschrittanzeige angezeigt. An der Seitennummer erkennen Sie, wie weit das Drucken fortgeschritten ist.

Wählen Sie "Abbrechen" zum vorzeitigen Abbruch des Druckvorgangs.


Das Dialogfeld "Externe Programme"

In diesem Dialogfeld können Sie bis zu 10 externe Programme angeben, die dazu verwendet werden können, das aktuelle HTML-Dokument darzustellen.

Als Standardvorgabe verwendet NetJet die ersten vier Einträge. Wenn Sie nach vielen Änderungen einmal zu diesen Grundangaben zurückgehen möchten , löschen Sie einfach alle Angaben, beenden NetJet und starten ihn anschließend neu. In diesem Fall findet NetJet beim Programmstart keine gültigen Einträge und trägt die vom System gelieferten Standardwerte wieder ein.

Mit der Taste "..." kann per Dialog "Datei auswählen" für jede Zeile einfach eine ausführbare Datei ausgewählt werden.

Bemerkung: In dem Menü "Ansicht" erscheinen nur vollständige Einträge. Es reicht also z.B. nicht aus, nur den Menüeintrag (erste Spalte) einzugeben, sondern es muß auch ein Programm in der zweiten Spalte eingetragen sein. Das &-Zeichen bedeutet, dass der darauf folgende Buchstabe unterstrichen dargestellt wird und somit als Tastenkürzel verwendet werden kann. Sie sollten allerdings darauf achten, nicht mehrere gleiche Buchstaben als Tastenkürzel zu verwenden.


Das Dialogfeld "Tipps & Tricks"

Dieses Dialogfeld dient der Anzeige verschiedener kleiner Tipps und Tricks für das Arbeiten mit NetJet.


Das Dialogfeld "Symbolleisten"

Durch diesen Dialog haben Sie vollen Zugriff auf alle in NetJet verwendeten Symbollleisten. Jede einzelne Symbolleiste kann ein- oder ausgeschaltet werden. Wenn Sie NetJet beenden, wir der aktuelle Zustand gespeichert.


Das Dialogfeld "Info über..."

Dieses Dialogfeld dient der Anzeige des Copyright-Hinweises sowie der Versionsnummer dieser Kopie von XynX! NetJet.


HTML-Elemente

Hier finden Sie eine Aufzählung aller von NetJet bereitgestellten HTML-Elemente bzw. der zur Bearbeitung verwendeten Dialoge.

Das Dialogfeld "Bilder"

Das Dialogfeld "Bildinformationen

Das Dialogfeld "Verweise"

Das Dialogfeld "Sprungziel auswählen"

Das Dialogfeld "Meta-Elemente"

Das Dialogfeld "Meta-Element"

Das Dialogfeld "Sprungziel"

Das Dialogfeld "Laufschrift"

Das Dialogfeld "Horizontale Trennlinie"

Das Dialogfeld "Listeneinstellungen - Darstellung"

Das Dialogfeld "Listenelement - Darstellung"

Das Dialogfeld "BannerSurf"

Das Dialogfeld "HTML-Element"

Das Dialogfeld "Datum und Uhrzeit"

Der Farbdialog

Das Dialogfeld "Tabelle - Darstellung"

Das Dialogfeld "Tabelle - Farben"

Das Dialogfeld "Tabelle - Zellenangaben"

Das Dialogfeld "Tabellenzellen - Darstellung"

Das Dialogfeld "Tabellenzellen - Farben/Bilder"

Das Dialogfeld "Tabellenüberschriften - Ausrichtung"

Das Dialogfeld "Tabellenzeilen/-spalten einfügen"

Das Dialogfeld "Verweise in sensitiven Grafiken"

Das Dialogfeld "Zeilenumbruch"

Das Dialogfeld "Schriftattribute"


Das Dialogfeld "Der Farbdialog"

Der Farbdialog

Der Farbdialog unterteilt sich in zwei Bereiche:

  1. die benannten Farben und

  2. die Standardfarben.

Bei den benannten Farben zeigt NetJet diejenigen 140 Farben dieses Spektrums an, die einen eindeutigen Namen bekommen haben.

Als Standardfarben für Browser gelten 224 Farben, die von Netscape als solche festgelegt wurden. Alle anderen Hersteller von Browsern haben sich, soweit bekannt, diesem Standard angeschlossen. Die Felder "R G B" zeigen die dezimalen Rot-Grün-Blau-Werte der selektierten Farbe an.

Weitere Farben können durch Anklicken der Taste "Wählen" bestimmt werden. Hierzu wird dann der Windows-Farbdialog aufgerufen.

Wird das Option „Aktuelle Grundfarbe verwenden (keine Farbe wählen)“ angeklickt, so wird die aktuelle Hintergrundfarbe des Dokuments verwendet, es wird also keine (neue) Farbe eingestellt.

Mit der neu hinzugekommen Pipette ist es möglich, eine Farbe vom Bildschirm zu verwenden, deren Angaben man u.U. gerade nicht im Kopf hat oder auch gar nicht nachsehen kann, wenn die gewünschte Farbe z.B. innerhalb eines Bildes verwendet wird.


Das Dialogfeld "Bilder"

Der Bilder-Dialog erscheint immer dann, wenn ein Bild neu in das Dokument aufgenommen oder aber ein bestehendes Bild bearbeitet werden soll. Um die Darstellung eines bestehenden Bildes zu verändern muss das Bild doppelt angeklickt werden.

Bild-Quelle / Durchsuchen

In die Eingabezeile kann direkt der Pfad und der Dateiname des Bildes eingegeben werden. Alternativ wird mit "Durchsuchen" der Dialog "Bilddatei suchen/einsetzen" angezeigt.

Hinweis: Um die Kompatibilität zu den im Internet weit verbreiteten Unix-Dateisystemen herzustellen, kommt es bei der Dateiangabe auf die Groß-/Kleinschreibung an. Wenn Sie also den Namen "freihändig" eingeben und dabei einen derartigen Schreibfehler machen, wird NetJet u.U. die gewünschte Datei nicht finden! Aus diesem Grund wird dringend geraten, Dateien per "Durchsuchen" von NetJet selbst eintragen zu lassen und nur in Ausnahmefällen die Eingabe per Hand zu erledigen.

Breite

Breite des einzusetzenden Bildes. Vorgegeben ist die tatsächliche Breite. Änderungen bewirken, dass sich das Bild in der Breite ändert. Statt der Eingabe eines absoluten Wertes, z.B. wie hier 260, kann auch ein Prozentwert eingegeben werden, z.B. 150%. Dadurch würde sich die Breite des Bildes auf 150% der aktuellen Fensterbreite vergrößern.

Höhe

Höhe des einzusetzenden Bildes. Vorgegeben ist die tatsächliche Höhe. Änderungen bewirken, dass sich das Bild in der Höhe ändert. Statt der Eingabe eines absoluten Wertes, z.B. wie hier 260, kann auch ein Prozentwert eingegeben werden, z.B. 150%. Dadurch würde sich die Höhe des Bildes auf 150% der Fensterhöhe vergrößern.

Ausrichtung

Ausrichtung eines Bildes. Möglich Angaben sind: Oben, Mitte, Unten, Links, Rechts, Basiszeile, Texthöhe, Absolute Mitte, Absolut Unten.

Beispiel: Ein Bild wird neben eine Überschrift eingesetzt und erhält die Ausrichtung "Basiszeile". In diesem Fall liegt die Unterkante des Bildes genau auf der Höhe der Unterkante der Schrift. Wird dagegen "Absolut Unten" gewählt, stimmt die Unterkante des Bildes mit der Unterkante der Unterlängen des Schriftzuges überein.

Alternativtext

Der Text, der vom Browser angezeigt werden soll, falls das Bild nicht dargestellt werden kann, weil z.B. der Browser das entsprechende Bildformat nicht kennt.

Inzwischen ist es auch möglich, zwar diese Option anzuwählen, jedoch keinen Text anzugeben. Dieses Vorgehen kann dann sehr nützlich sein, wenn man vermeiden will, dass textorientierte Browser wie z.B. Lynx an der Stelle überhaupt etwas darstellen.

Niedrige Auflösung

Diese Option ist vor allem für sehr große Bilder nützlich. Ist ein Bild beispielsweise 100 KB groß, so kann es insbesondere bei schlechten/langsamen Verbindungen eine ganze Weile dauern, bis es vollständig angezeigt wird.

Wird diese Option angeklickt, wird die danebenliegende Eingabezeile aktiv. In diese Eingabezeile kann direkt der Pfad und der Dateiname des in niedriger Auflösung vorhandenen Bildes eingegeben werden. Alternativ wird mit "Suchen" der Dialog "Bilddatei suchen/einsetzen" angezeigt.

Dieses kleinere Bild wird zuerst übertragen und angezeigt. Wurden für das große Bild die Kontrollkästchen "Breite" und "Höhe" angeklickt, wird im allgemeinen durch den Browser das kleine Bild auf die Originalgröße vergrößert (und damit in niedrigerer Auflösung dargestellt) oder aber ein Rahmen angezeigt, so dass die übrigen Elemente der HTML-Datei trotzdem korrekt angezeigt werden. Sobald nun das große Bild geladen wurde, ersetzt es das kleine Bild.

Hotspot

Ein Hotspot-Bild muss grundsätzlich eine gültige Referenz (Anker) aufweisen, um ausgewertet werden zu können. Es wird folgendermaßen von Browser und Server ausgewertet:

Der Browser überträgt die genauen Koordinaten eines Klicks mit der Maus auf das Bild. Auf dem Server (bzw. der referenzierten Adresse) werden die Koordinaten von einem CGI-Script oder einer Exe-Datei verarbeitet. Je nach der angeklickten Stelle, bzw. Bereich, kann dann eine andere Aktion erfolgen. Das Prinzip ähnelt einer Image-Map. Bei einer solchen wird aber eine referenzierte HTML-Datei, die auf dem Server liegt, an den Browser übermittelt, während beim Hotspot eine beliebige (programmgesteuerte) Aktion erfolgen kann.

Kopie im Arbeits-verzeichnis ablegen

Ist dieses Kontrollkästchen angeklickt, wird eine Kopie im jeweiligen Arbeitsverzeichnis angelegt. Angenommen, im Projekt wurde ein Verzeichnis angegeben, in das die Bilder kopiert werden sollen (z.B. "images"), dann werden die Bilder hierhin kopiert. Diese Funktion ist besonders nützlich, wenn ein komplettes Projekt hinterher auf den Server geladen werden soll. Dann liegen diese Bilder immer richtig relativ zum Pfad des HTML-Dokuments, d.h., der Fall, das Bilder nicht gefunden werden können, tritt erst gar nicht auf.

Bild-informationen

Es erscheint das Dialogfeld "Bildinformation", mit dem Bilder in einer Vorschau betrachtet werden können. Gleichzeitig werden die Bildinformationen, also Größe, Anzahl der im Bild enthaltenen Farben, die Dateigröße und, ob das Bild transparent ist oder nicht, angegeben.

Rahmen

Wenn vom Benutzer gewünscht, kann jedes Bild einen Rahmen bekommen, Als Farbe für den Rahmen wird immer die normale Textfarbe verwendet, es sei denn das Bild befindet sich innerhalb einer Referenz, denn dann wird die jeweilige Referenzfarbe genommen.

Wird als Wert 0 eingestellt, wird kein Rahmen gezeichnet.

Horiz. Freiraum

Mit dieser Option wird der obere und untere Abstand des Bildes zu den umgebenden Elementen festgelegt. Die Angabe erfolgt immer in Pixel.

Vert. Freiraum

Mit dieser Option wird der linke und rechte Abstand des Bildes zu den umgebenden Elementen festgelegt. Die Angabe erfolgt immer in Pixel.

Die Taste "Vorgaben..." führt sofort zu dem Dialogfeld "Bilder-Vorgaben", in dem die Vorgabewerte für Bilder jederzeit neu einstellt werden können. Erfolgt dann ein Bestätigen des Dialogfeldes mit OK, werden die Werte sofort in diesen Dialog übernommen.


Das Dialogfeld "Bild-Informationen"

Wenn z.B. im Dialogfeld "Bilder" die Schaltfläche "Bildinformationen" angewählt wird, erscheint dieses Dialogfeld, in dem die angewählte Bilddatei in seiner Originalgröße dargestellt wird. Das Bild wird grundsätzlich in seinem Originalzustand abgebildet, d.h. auch wenn das Bild als transparent gekennzeichnet ist, wird diese Information nicht verwendet.

Hinweis: Dieses Dialogfeld hat immer eine gewisse Mindestgröße. Sollte das Bild größer sein als der verfügbare Raum, werden Bildlaufleisten eingeblendet.


Das Dialogfeld "Verweise in sensitiven Grafiken"

Im großen und ganzen entsprechen Bildverweise den normalen Verweisen. Auf einen Mausklick hin lädt der Browser z.B. ein anderes Dokument. Der einzige Unterschied bei Bildverweisen liegt darin, dass der Verweis hier nicht einer Zeichenkette oder einem ganzen Bild zugeordnet ist, sondern nur einem Bildausschnitt.

Natürlich kann der Ausschnitt auch das Bild vollständig abdecken, aber keinesfalls können die Bereiche außerhalb des Bildes liegen.

Protokoll

Wenn es sich um eine lokale Datei handelt, brauchen Sie kein Protokoll auswählen.

Die Protokollangabe befindet sich bei einer absoluten URL immer an erster Stelle. Durch die Angabe weiß der Browser, welches Transportprotokoll er zum Transport der Daten einschalten soll. Allerdings werden absolute URLs nur recht selten innerhalb einer Site benötigt. Die meisten Verweise finden innerhalb der Site statt und benötigen daher nur die sogenannten relativen URL. Die relativen URL bekommt man am einfachsten mit der Durchsuchen-Schaltfläche und der anschließenden Auswahl einer Datei der Site.

Bemerkung: Auch hier spielt die schon bei Bildern besprochene Groß-/Kleinschreibung eine entscheidende Rolle. Derartige Schreibfehler äußern sich eigentlich immer darin, dass das angesprochene Dokument nicht geladen werden kann.

Server

Geben Sie hier den Namen des Rechners im Netz an. Die Angabe kann entweder durch den regulären Namen oder aber durch die vierstellige IP-Adresse erfolgen.

Port

Diese Angabe braucht normalerweise nicht gesetzt zu werden.Falls aber doch, schreiben Sie hier einfach die Dezimalzahl des jeweiligen Ports hinein. Der notwendige Doppelpunkt zur Abtrennung des Ports vom Servernamen fügt NetJet selbsttätig ein.

Pfad

Tragen Sie hier den Pfad für die Referenz ein. Absolute Pfade sollten immer mit einem einfachen Schrägstrich "/" beginnen.

Datei

Hier steht der Dateiname der Referenz.

Sprungziel

Innerhalb eines Dokuments kann ein beliebiges Sprungziel direkt angesprungen werden. Sprungzielangaben beginnen immer mit einem #. Das #-Zeichen dient als Trenner zwischen dem Dateinamen und der Zeichenkette des Sprungziels.

URL

Hier sehen Sie die Zusammenstellung der gemachten Angaben. Anhand dieser Ausgabe kann leicht kontrolliert werden, ob die URL so wie vorgesehen aussieht.

Zielframe

Eingabe des Zielframes. Hier kann angegeben werden, in welches Zielframe verzweigt werden soll.Vorgegeben sind in dem Eingabeelement bereits die reservierten Namen "_blank", "_parent", "_top" und "_self"; die Bedeutung kann bei den Frame-Optionen nachgesehen werden.

Alternativtext

Wenn der Mauszeiger den zu diesem Verweis gehörenden Bereich betritt, zeigen manche Browser diesen Text als Hinweis an den Benutzer an.

Hinweis: An einfachsten erreichen Sie eine (relative) URL innerhalb Ihrer Site, wenn Sie die Durchsuchen-Schaltfläche verwenden. Nach der Auswahl eines bestehenden Dokuments trägt NetJet alle notwendige Angaben in die entsprechenden Felder ein.

Beim Verlassen des Dialogfeldes per OK wird die relative Angabe nochmals überprüft und gegebenenfalls korrigiert.


Das Dialogfeld "Verweise"

Das A und O einer Site sind die Sprungmöglichkeiten zu anderen Dokumenten und natürlich auch zu anderen Sites. In NetJet können leicht alle möglichen Arten von Verweisen eingegeben werden:

Protokoll

Aus den gegebenen Protokollen können Sie einfach eines auswählen. Die Protokollangabe befindet sich bei einer absoluten URL immer an erster Stelle. Durch die Angabe weiß der Browser, welches Transportprotokoll er zum Holen der Daten einschalten soll.

Allerdings werden absolute URLs nur recht selten innerhalb einer Site benötigt. Die meisten Verweise finden innerhalb der Site statt und benötigen daher nur die sogenannten relativen URL. Die relativen URL bekommt man am einfachsten mit der Durchsuchen-Schaltfläche und der anschließenden Auswahl einer Datei der Site.

Bemerkung: Auch hier spielt die schon bei Bildern besprochene Groß-/Kleinschreibung eine entscheidende Rolle. Derartige Schreibfehler äußern sich eigentlich immer darin, dass das angesprochene Dokument nicht geladen werden kann.

Server

Geben Sie hier den Namen des Rechners im Netz an. Die Angabe kann entweder durch den regulären Namen oder aber durch die vierstellige IP-Adresse erfolgen.

Port

Diese Angabe braucht normalerweise nicht gesetzt zu werden.Falls aber doch, schreiben Sie hier einfach die Dezimalzahl des jeweiligen Ports hinein. Der notwendige Doppelpunkt zur Abtrennung des Ports vom Servernamen fügt NetJet selbsttätig ein.

Pfad

Tragen Sie hier den Pfad für die Referenz ein. Absolute Pfade sollten immer mit einem einfachen Schrägstrich ( / ) beginnen.

Datei

Hier steht der Dateiname der Referenz.

Sprungziel

Innerhalb eines Dokuments kann ein beliebiges Sprungziel direkt angesprungen werden. Sprungzielangaben beginnen immer mit einem #. Das #-Zeichen dient als Trenner zwischen dem Dateinamen und der Zeichenkette des Sprungziels.

URL

Hier sehen Sie die Zusammenstellung der gemachten Angaben. Anhand dieser Ausgabe kann leicht kontrolliert werden, ob die URL so wie vorgesehen aussieht.

Zielframe

Eingabe des Zielframes.Hier kann angegeben werden, in welches Zielframe verzweigt werden soll.Vorgegeben sind in dem Eingabeelement bereits die reservierten Namen "_blank", "_parent", "_top" und "_self"; die Bedeutung kann bei den Frame-Optionen nachgesehen werden.

Hinweis: An einfachsten erreichen Sie eine (relative) URL innerhalb Ihrer Site, wenn Sie die Durchsuchen-Schaltfläche verwenden. Es erscheint der übliche Dateiauswahl-Dialog. Nach der Auswahl eines bestehenden Dokuments trägt NetJet alle notwendige Angaben in die entsprechenden Felder ein.

Innerhalb eines Projekts können Verweise sogar noch einfacher erreicht werden. Sobald NetJet ein Projekt geladen hat, ist die Taste "Im Projekt..." aktiviert. Beim Betätigen der Taste erscheint ein weiteres Dialogfeld, in dem einfach auf die im Projekt enthaltenen Dateien und auch Sprungziele verwiesen werden kann. Ein Beschreibung des zusätzlichen Dialogfeldes finden Sie auf im folgenden Abschnitt.

Beim Verlassen des Dialogfeldes per OK wird die relative Angabe nochmals überprüft und gegebenenfalls korrigiert.

Die Entfernen-Schaltfläche löscht alle Eingabefelder. Wenn Sie anschließend den Dialog per OK verlassen, wird die zugehörige Referenz im Dokument entfernt.

Alle anderen Arten von Referenzen bzw. deren Protokollangaben (z.B. mailto, ftp, nntp) lassen sich einfach durch die Protokoll-Auswahlliste aussuchen. NetJet kennt die folgenden Protokolle, verwendet zum Dateitransfer jeodch nur "file", also Dateizugriffe auf der eigenen Festplatte:
file, http, ftp, telnet, mailto, news, nntp, gopher, wais.

Weitere Informationen:

Das Dialogfeld "Sprungziel auswählen"


Das Dialogfeld "Sprungziel auswählen"

Durch dieses Dialogfeld kann auf einfache Art und Weise ein bestehendes Ziel in einem Projekt ausgewählt werden.

Um die Darstellung des Dialogfeldes den eigenen Wünschen ein wenig anpassen zu können, existieren die Opionsschaltflächen "Dokumenttitel anzeigen" und "Pfade anzeigen".

Dokumenttitel werden in eckigen Klammern hinter dem Dokumentennamen angezeigt, wenn ein Titel für das Dokument angegeben wurde. Die Pfadangaben lassen sich ausblenden, um eine kürzere und meist auch übersichtlichere Darstellung zu erreichen. Außerdem wird es so auch möglich, einzelne Dateien durch die Eingabe eines Buchstabens schnell und gezielt auszuwählen.

Immer dann, wenn vor einem Dateinamen ein Kästchen mit einem Pluszeichen zu sehen ist, enthält das Dokument benannte Sprungziele, die ebenfalls als Ziel für einen Verweis dienen können. Der Browser lädt dann das angegebene Dokumente und springt anschließend sofort zu dem benannten Sprungziel.

Weitere Informationen:

Das Dialogfeld "Verweise"


Das Dialogfeld "Sprungziel"

Innerhalb eines Dokuments können beliebig viele Sprungziele definiert werden. Die Namen der Sprungziele können frei gewählt werden, jedoch sollten ausschließlich normale ASCII-Zeichen Verwendung finden.

Sprungziele dienen dazu, bei Verweisen auf ein Dokument gleich zu einer bestimmten Position zu springen, damit der Besucher der Site nicht erst noch z.B. weit nach unten scrollen muss, um die gewünschten Informationen zu bekommen.

Hinweis: Solange sich in dem Eingabefeld keine Zeichen befinden, ist die OK-Schaltfläche deaktiviert, denn "leere" Sprungziele sind nicht zulässig.

Weitere Informationen:

Das Dialogfeld "Verweise"


Das Dialogfeld "Multimedia-Elemente"

Viele interessante Möglichkeiten bei der Benutzung des Internet wurden durch die Einführung des Multimedia-Elements "EMBED" in den neueren Browsergenerationen geschaffen. Mit diesem Element ist es möglich, beliebige Objekte in ein HTML-Dokument einzubinden. Inzwischen findet man im Internet recht häufig z.B. Videosequenzen und Klangdateien, ebenso stellen manche Radiosender ihr vollständiges Programm auch im Netz der Netze zur Verfügung.

Diese Objekte werden normalerweise durch die Dateierweiterung klassifiziert und zeigen dem Browser an, mit welchem ausführbaren Programm die Datei verbunden ist. Bei der Anzeige der so eingebetteten Dateien startet der Browser allerdings nicht einfach ein externes Programm, das dann in einem eigenen Fenster vor sich hin werkelt, sondern die Anzeige erfolgt innerhalb des Browserfensters in einem genau festgelegten Bereich.

Der Nachteil ist allerdings, dass ein solches Programm (zumindest unter Windows) OLE-fähig sein muss (z.B. WinWord) oder aber es muss ein für die gegebene Dateierweiterung eingetragenes sogenanntes PlugIn im Browser installiert sein. Sehen Sie hierzu in den Dokumentationen der einzelnen Browser für weitergehende Einzelheiten nach. Allgemein kann jedoch gesagt werden, dass die "großen" Browser für die gängigsten Erweiterungen (z.B. *.AVI, *.WAV, *.AU) brauchbare PlugIns mitliefern, die dann auch automatisch installiert werden.

Quelldatei/
Durchsuchen

In die Eingabezeile kann direkt der Pfad und der Dateiname einer Multimedia-Datei eingegeben werden. Alternativ wird mit „Durchsuchen“ der Dialog „Datei suchen“ angezeigt.

Hinweis: Um die Kompatibilität zu den im Internet weit verbreiteten Unix-Dateisystemen herzustellen, kommt es bei der Dateiangabe auf die Groß-/Kleinschreibung an. Wenn Sie also den Namen „freihändig“ eingeben und dabei einen derartigen Schreibfehler machen, wird NetJet u.U. die gewünschte Datei nicht finden. Aus diesem Grund wird dringend geraten, Dateien per „Durchsuchen“ von NetJet selbst eintragen zu lassen.

Breite

Breite des einzusetzenden Elements. Vorgegeben wird die Breite, die das Element bzw. die verwendete Abspielanzeige in Pixel benötigt.

Höhe

Höhe des einzusetzenden Bildes. Vorgegeben ist die tatsächliche Höhe - soweit sie sich ermitteln läßt - oder durch die Art der Anzeige für die angegebene Datei.

Ausrichtung

Ausrichtung eines Elements. Mögliche Angaben sind: Oben, Mitte, Unten, Links, Rechts, Basiszeile, Texthöhe, Absolute Mitte, Absolut Unten.

Beispiel: Ein Element wird neben eine Überschrift eingesetzt und erhält die Ausrichtung „Basiszeile“. In diesem Fall liegt die Unterkante des Elements genau auf der Höhe der Unterkante der Schrift. Wird dagegen „Absolut Unten“ gewählt, stimmt die Unterkante des Elements mit der Unterkante der Unterlängen des Schriftzuges überein.

Das Verhalten ist identisch mit dem von normalen Bildern.

Horiz. Freiraum

Mit dieser Option wird der obere und untere Abstand des Elements zu den umgebenden Elementen festgelegt. Die Angabe erfolgt immer in Pixel.

Vert. Freiraum

Mit dieser Option wird der linke und rechts Abstand des Elements zu den umgebenden Elementen festgelegt. Die Angabe erfolgt immer in Pixel.

Unsichtbar /Verborgen

Das Element soll nicht angezeigt werden sondern nur im Speicher gehalten werden.

Kopie anlegen

Ist dieses Kontrollkästchen angeklickt, wird eine Kopie im jeweiligen Arbeitsverzeichnis angelegt. Das Arbeitsverzeichnis für Multimedia-Dateien ist das "Downloaddateien-Verzeichnis" des aktuellen Projekts.

Angenommen, im Projekt wurde ein Verzeichnis angegeben, in das die Multimedia-Dateien kopiert werden sollen (z.B. "files"), dann werden die Dateien hierhin kopiert. Diese Funktion ist besonders nützlich, wenn ein komplettes Projekt hinterher auf den Server geladen werden soll. Dann liegen diese Bilder immer richtig relativ zum Pfad der HTML-Datei, d.h., der Fall, dass Dateien nicht gefunden werden können, tritt erst gar nicht auf.

Es soll ein Multimedia-Element in das aktuelle Dokument eingefügt werden. Die Datei heißt clock.avi und gehört zu den Multimedia-Dateien des Windows-Betriebssystems. Nach Betätigen der Durchsuchen-Taste mit anschließender Auswahl der genannten AVI-Datei erscheinen in den Feldern Breite und Höhe die Angaben 321x321 Pixel (NetJet ist in der Lage, aus AVI-Dateien die benötige Framegröße zu ermitteln). Wenn diese Werte geändert werden, passt sich die Größe des Ausgabefensters entsprechend an, jedoch wird der Filminhalt nicht gestaucht oder gestreckt - die nicht sichtbaren Bereiche werden einfach abgeschnitten.

Ähnlich verhält es sich bei Klangdateien. Wenn die Abspieleranzeige nicht in das von Ihnen angegebene Rechteck paßt, wird sie nur zum Teil dargestellt.

Ganz anders verhält es sich jedoch z.B. bei VRML-Dateien. Hier sind die Abspielprogramme meist dazu in der Lage, sich der gegebenen Größe dynamisch anzupassen und somit machen auch Angaben wie z.B. Breite und Höhe 100% wieder einen Sinn. Das Ausgabefenster innerhalb der Browserdarstellung bekommt in diesem Fall in etwa die Größe des Browserfensters und die VRML-Darstellung findet in dem ganzen Bereich statt. Natürlich können Sie hier auch einfache Pixelangaben machen. Nachteiliger Fakt ist jedoch, dass je größer die Ausgabefläche für die VRML-Welt ist, die Darstellung immer langsamer wird.

Hinweis: Es müssen immer beide Werte oder aber kein Wert für die Breite und Höhe angegeben werden. Ist nur einer der Werte vorhanden, wird dieser ignoriert und das Element wie ein verstecktes Element behandelt. Damit auch die versteckten Elemente weiterhin bearbeitet werden können, zeigt NetJet immer mindestens dem Inhalt der Datei entsprechendes Symbol an.

Noch ein Hinweis: Die meisten Browser sind nicht dazu in der Lage, doppelte Elemente innerhalb einer Seite zu verarbeiten (d.h. keine Multimedia-Datei sollte zwei- oder mehrfach in einem HTML-Dokument referenziert werden). Vermeiden Sie also am besten z.B. das einfache Kopieren von Elementen ohne anschließende Nachbearbeitung der Quelldateiangabe.


Das Dialogfeld "Meta-Elemente"

Dieses Dialogfeld dient der Eingabe und Festlegung von Meta-Elementen.

In Meta-Elementen können verschiedene nützliche Anweisungen für WWW-Server, Browser und automatische Suchprogramme im Internet ("Robots") notiert werden. So können die Meta-Elemente Angaben zum Autor und zum Inhalt des HTML-Dokuments enthalten. Es ist aber auch möglich, dort HTTP-Befehle abzusetzen, um z.B. den Browser automatisch zu einer anderen Adresse weiterzuleiten.

Nicht geeignet sind Meta-Angaben um in einem HTML-Dokument persönliche Anmerkungen oder Kommentare einzusetzen!

Weitere Informationen:

Das Dialogfeld "META-Element"

Das Dialogfeld "Autom. Weiterleitung"

Das Dialogfeld "Zwischenspeicherung"

Das Dialogfeld "Suchmaschinen"


Das Dialogfeld "Meta-Element"

Mit Meta-Angaben wird leider viel Missbrauch getrieben. Da viele Meta-Befehle keine unmittelbar nachvollziehbare Wirkung am Bildschirm haben und andererseits mit Suchdiensten zu tun haben, regen sie offenbar magisch die Phantasie mancher Geister an, die meinen, mit einem Mammutaufgebot irgendwo aufgeschnappter Meta-Angaben würden sie über Nacht zum Superstar, da ihre Homepage dann immer ganz oben bei den Suchtreffern eines Suchdienstes erscheint. Dazu nur so viel: Homepages werden nicht durch Meta-Angaben erfolgreich, sondern durch Inhalt. Zu einer sauber gemachten Homepage gehört aber auch der sinnvolle Einsatz von Meta-Angaben.

Die hier beschriebenen Meta-Angaben sind am verbreitetsten, werden von Suchmaschinen in der Regel erkannt und in der HTML-Spezifikation erwähnt.

Sie können für Suchprogramme Ihre Autorenschaft, eine Kurzbeschreibung des Inhalts, charakteristische Stichwörter und das Publikationsdatum einer HTML-Datei als Meta-Angabe im Kopf der HTML-Datei notieren. Geläufige Angaben für den Namen sind z.B. "description", "author", "date" und "keywords". Alle diese Angaben können zusätzlich auch in dem Dokumentenoptionen-Dialogfeld eingegeben werden.

In das Inhaltsfeld kann dann anschließend eine Zeichenkette mit den entsprechenden Angaben eingesetzt werden.

Hinweis: Das hier angegebene Beispieldatum folgt der Richtlinie des IETF zur Datumsbeschreibung. Da diese Angabe von Hand jedoch nicht gerade einfach einzugeben ist, besitzt der Dokumentenoptionen-Dialog eine Taste, um in einem Dokument das aktuelle Datum sekundengenau einzusetzen.

Recht oft werden Meta-Elemente verwendet, um vom Browser automatisch weitere Dateien und/oder Dokumente nachzuladen bzw. um den Browser zu einer anderen Adresse umzuleiten. Wenn das HTML-Dokument dann aufgerufen wird, ruft der Browser sofort oder nach einem frei wählbaren Timeout eine andere gewünschte Datei auf. Zum Erreichen dieses Verhaltens, kann die folgende Eingabe erfolgen:

Inhalt | 10; URL=http://www.xynx.de/
HTTP-Equiv | refresh

Durch diese beiden Angaben wird der Browser veranlasst, nach 10 Sekunden die Startseite von [image] www.xynx.de nachzuladen. Natürlich kann der URL auch auf eine beliebige andere Stelle im WWW verweisen. Zu beachten ist allerdings, dass wenn eine Datei ohne Protokollangabe referenziert wird (also z.B. Inhalt "5; URL=index.htm", dem zugrundeliegenden Projekt diese Datei u.U. auch bekannt gemacht werden muss (s. Dialogfeld "Zusatzdateien"), damit sie beim FTP berücksichtigt werden kann.

Hinweis: Dieser HTML-Befehl funktioniert auch ohne HTTP-Protokoll, also lokal auf jedem Rechner. Verlassen Sie sich nicht darauf, dass dieser Befehl in jedem Browser funktioniert. Wenn Sie etwa eine Weiterleitung zu einer neuen Adresse eingeben, notieren Sie am besten auf der gleichen Seite zur Sicherheit noch einen normalen Verweis zu der neuen Adresse. So finden auch Anwender, bei denen die Meta-Angabe nicht funktioniert, den Weg zu Ihrer neuen Heimat.

Bemerkung: Wesentlich leichter können Sie diese automatische Weiterleitung durch Verwendung des Dialogs "Autom. Weiterleitung" in den Dokumentoptionen erreichen. NetJet stellt dann alle gemachten Angaben in eine korrekte Meta-Angabe und Sie brauchen sich nicht mit den oben beschriebenen kryptischen Details herumplagen.

Weitere Informationen:

Das Dialogfeld "Autom. Weiterleitung"

Das Dialogfeld "Zwischenspeicherung"

Das Dialogfeld "Suchmaschinen"


Das Dialogfeld "Laufschrift"

Mit einer Laufschrift (Marquee) kann ein „Band“ quer durch die Seite oder eine Tabelle angezeigt werden. Der Text ist dabei beliebig und darf auch Sonderzeichen enthalten.

Breite

Breite der Laufschrift. Vorgegeben ist die gesamte Fensterbreite (100%). Änderungen bewirken, dass sich die Laufschrift in der Breite ändert. Statt der Eingabe eines prozentualen Wertes, z.B. wie hier 100%, kann auch ein absoluter Wert in Pixel eingegeben werden. Dies ist jedoch im allgemeinen nicht sehr sinnvoll, da dann die Laufschrift bei einem Fenster, das kleiner ist als die angegebene Pixelzahl, im rechten Rand teilweise nicht angezeigt wird.

Höhe

Höhe des Hintergrundfarbfeldes der einzusetzenden Laufschrift.

Ausrichtung

Ausrichtung einer Laufschrift. Mögliche Angaben sind: Oben, Mitte, Unten, Links, Rechts, Basiszeile, Texthöhe, Absolute Mitte, Absolut Unten.

Beispiel: Eine Laufschrift mit absoluter Breite wird in eine Tabelle neben eine Überschrift eingesetzt und erhält die Ausrichtung „Basiszeile“. In diesem Fall liegt die Unterkante der Laufschrift genau auf der Höhe der Unterkante der Schrift. Wird dagegen „Absolut Unten“ gewählt, stimmt die Unterkante der Laufschrift mit der Unterkante der Unterlängen des Schriftzuges überein.

Verhalten

Legt das Umlaufverhalten der Laufschrift fest. Vorgesehen sind die folgenden Möglichkeiten:

Umlaufend | Die Schrift läuft immer wieder von rechts nach links in das Fenster hinein.
Hineinlaufend | Die Schrift läuft von rechts nach links in das Fenster hinein. Wenn sie den linken Rand erreicht hat, bleibt sie stehen.
Alternierend | Die Schrift bewegt sich abwechselnd von rechts nach links und umgekehrt, sobald sie den jeweiligen Rand berührt. Ist der Schriftzug so lang, dass er gleich breit oder breiter als das Fenster ist, bleibt sie stehen.

Umläufe

Anzahl der Umläufe der Laufschrift. Es bestehen die folgenden beiden Möglichkeiten: Entweder "Unendlich" oder eine feste Anzahl von Umläufen. Im letzteren Fall kann eine beliebige Zahl eingegeben werden.

Horizontaler
Freiraum

Seitlicher Abstand zwischen der Laufschrift und den rechts und/oder links danebenliegenden Elementen.

Vertikaler
Freiraum

Abstand zwischen der Laufschrift und den oben und/oder unten liegenden Elementen.

Laufrichtung

Die Laufschrift kann von rechts nach links oder von links nach rechts laufen.

Schrittweite
in Pixel

Dies ist einer der beiden Faktoren, welche die "Geschwindigkeit" der Laufschrift beeinflussen. Wird beispielsweise "1" eingestellt, läuft die Schrift sehr ruhig über den Bildschirm, da sie sich pro eingestellten Zeittakt (Schrittabstand in ms) immer um genau einen Pixel nach links oder rechts bewegt. Je höher dieser Wert eingestellt ist, desto schneller bewegt sich die Schrift über den Bildschirm, desto unruhiger wirkt sie aber auch, da sie dann „springt“.

Schrittabstand
in ms

Je geringer dieser Wert eingestellt ist, desto schneller läuft die Laufschrift über den Bildschirm.

Hintergrund-
farbe

Wird diese Option gewählt, wird die danebenliegende Taste „Wählen“ aktiv. Der nachstehend beschriebene Farbdialog wird angezeigt. Die gewählte Farbe bildet den Hintergrund des Laufbandes.

Hinweis: Laufschriften dieser Art wurden von Microsoft eingeführt. Aus diesem Grund beherrschen viele andere Browser - so z.B. der Netscape Navigator - diese Option nicht. Eine Möglichkeit trotzdem eine Laufschrift anzuzeigen bestehen bei Java-fähigen Browsern z.B. darin, ein entsprechendes Applet oder Java-Script zu verwenden.


Das Dialogfeld "Horizontale Trennlinie"

Horizontale Trennlinien können z.B. dazu dienen, unterschiedliche Inhalte optisch voneinander zu trennen. Die von HTML angebotenen Trennlinien haben die folgenden Optionen:

Breite | Geben Sie hier die Breite der Trennlinie an. Die Angabe kann entweder in einer Prozentangabe bzgl. der Fensterbreite oder aber in einer absoluten Pixelangabe erfolgen.
Höhe | Anzahl der Pixel, die die Trennlinie in der Höhe haben soll.
Ausrichtung | Ausrichtung der Trennlinie. Zur Auswahl stehen Links, Zentriert und Rechts.
Farbe | Farbe der Trennlinie. Wird diese Option gewählt, bekommt die Linie ausschließlich die angegebene Farbe, der 3D-Effekt einer "normalen" Linie geht somit verloren!
Ausgefüllt | Wird diese Option gewählt, stellt sich die Trennlinie ausgefüllt dar. Die Linie bekommt zur optischen Absetzung im NetJet abgerundete Ecken, welche Darstellung andere Browser verwendet, hängt jedoch z.T. von der gewählten Höhe ab.

Hinweis: Mit der Übernehmen-Taste können Sie noch während der Bearbeitung überprüfen, wie NetJet die Trennlinie darstellt.


Das Dialogfeld "Listeneinstellungen - Darstellung"

Diese Dialogfelder ermöglichen die Erstellung neuer Listeneinträge. Da HTML nur eine Art von Listenelementen kennt, sind hier beide Dialogfelder zu einem Dialog zusammengefasst.

Eine in diesem Dialogfeld vollführte Änderung wirkt sich also auf alle folgenden Elemente der Liste bzw. des selektierten Bereichs aus.

Typ | Die oberen fünf Symbole stehen für die zur Verfügung stehenden Nummerierungen, die drei Symbole darunter für die möglichen Aufzählungen.
Beginnen bei | Jede Liste kann an einer beliebigen Stelle mit der Nummerierung beginnen. Nur dann, wenn jedoch auch eine Nummerierung selektiert ist, kann ein Startwert angegeben werden.
Kompakt | Wenn diese Option angewählt ist, wird für die Liste eine spezielle Markierung gesetzt, die dem Browser anzeigt, dass zwischen den einzelnen Listenelementen sowie dem Anfangs- und Endelement der Liste weniger Freiraum gelassen werden soll. Viele Browser ignorieren diese Angabe jedoch völlig.


Das Dialogfeld "Listenelement - Darstellung"

Diese Dialogfelder ermöglichen die Bearbeitung bestehender Listeneinträge. Da HTML nur eine Art von Listenelementen kennt, sind auch hier beide Dialogfelder zusammen aufgeführt.

Jedoch ist es nicht möglich, innerhalb einer Aufzählung einfach ein Nummerierungselement (oder umgekehrt) zu verwenden. Die Art der Liste wird ausschließlich durch die Liste selbst festgelegt.

In diesen Dialogfeldern vorgenommene Änderungen wirken also auf alle folgenden Elemente der Liste bzw. innerhalb des selektierten Bereichs. Am besten betrachten Sie das Ergebnis einer Änderung durch die Übernehmen-Schaltfläche.

Typ

Alle Elemente innerhalb einer Liste bekommen als Voreinstellung die Darstellung der Liste (also z.B. numerisch). Um jedoch Listen besonders zu gestalten oder hervorzuheben, ist es möglich, einzelnen Listenelementen eine andere Darstellungsart zu geben.

Nummer

Hier kann diejenige Zahl eingestellt werden, die bei der Ausgabe des Elements dargestellt werden soll. So kann z.B. eine Listennummerierung unterbrochen werden.

Hinweis: Die Nummerierung einer Liste beginnt immer bei 1, sofern in den Listeneinstellungen nichts anderes vorgegeben wurde.

Auch Aufzählungselemente können einen Wert zugewiesen bekommen, auf die Darstellung hat diese jedoch keinerlei Einfluss. Bei einer Umwandlung der Aufzählung in eine Nummerierung werden diese Werte allerdings verwendet.


Das Dialogfeld "BannerSurf"

Durch dieses Dialogfeld kann auf sehr einfache Weise der für XynX! BannerSurf notwendige HTML-Quelltext eingefügt werden.

In die beiden Eingabefelder werden einfach die Angaben zur Benutzer- sowie die Unterseiten-Kennung eingetragen. Die erste der beiden Angaben bekommen sie per eMail zugeschickt, wenn Sie sich bei XynX! BannerSurf anmelden.

Bei der Angabe der Unterseite (SubPage)-Kennung können Sie sich im Bereich von 1 bis 9999 frei bewegen.

In die Liste der Banner-Bilddateien können Sie diejenigen (Bild-)Dateien eintragen, die z.B. bei XynX! BannerSurf (aber auch bei jedem anderen Bannertausch-Dienst) verwendet werden sollen. NetJet nimmt die dort angegebenen Dateien in die Projektdatei mit auf und sorgt bei einem FTP-Transfer dafür, dass die Dateien auf den Server kopiert werden.

Weitere Informationen:

www.bannersurf.de

www.erosurf.de


Das Dialogfeld "HTML-Element"

In diesem Dialog kann ein einzelnes HTML-Element als ASCII-Zeichenfolge von Hand in das aktuelle Dokument importiert werden. Bei der Eingabe ist zu beachten, dass die Zeichenfolge unbedingt ein richtiges HTML-Element ergeben muss. Zur Unterstützung ist eine Prüffunktion enthalten, die die aktuelle Eingabe auf Syntaxfehler hin untersucht.

In der HTML-Darstellung werden die so eingegebenen Elemente mit den folgenden Symbolen angezeigt: , [image] und [image].

Das einfache Fragezeichen steht für ein beliebiges HTML-Element, das NetJet als unbekannt eingestuft hat. Das Fragezeichen mit dem Schrägstrich davor ist ein sogenanntes Ende-HTML-Element, also der Abschluß eines unbekannten HTML-Elements.

Das Symbol mit dem Ausrufezeichen steht für einen Kommentar. Kommentare werden sehr oft von denjenigen verwendet, die ihre HTML-Dokumente von Hand im ASCII-Editor wie JetEdit bearbeiten um die Übersicht zu behalten. Aber auch zur Verwendung von bestimmten Server-Eigenschaften können solche Kommentare verwendet werden.

Hinweis: In diesem Dialog können Sie nur ein HTML-Tag einfügen. Die Eingabe von mehreren Tags wird von dem Dialog abgefangen. Damit Sie aber doch komplexeren HTML-Code (z.B. Counter) importieren können, gibt es folgende Möglichkeit:

  1. Öffnen Sie den Windows-Editor Notepad (Startmenü | Programme | Zubehör | Editor) oder JetEdit und fügen Sie in die erste Zeile folgende HTML-Befehl ein: <HTML>

  2. In die weiteren Zeilen kopieren Sie Ihren HTML-Code

  3. Speichern Sie das Dokument ab.

  4. Öffnen Sie NetJet und das Dokument, in welches der HTML-Code eingefügt werden soll.
    Setzen Sie den Cursor an die Stelle, an der später der HTML-Code (HTML-Objekt) erscheinen soll.

  5. Rufen Sie im Menü Einfügen den Eintrag Datei... auf und wählen Sie die unter dem Punkt 3 abgespeicherte Datei aus.

  6. NetJet fügt nun den Inhalt der Datei als HTML-Code in das Dokument ein und stellt diesen als neues HTML-Objekt dar.


Das Dialogfeld "Datum und Uhrzeit"

Durch dieses Dialogfeld kann das aktuelle Datum als Zeichenkette in das geöffnete Dokument an die Einfügeposition direkt eingesetzt werden. Zur Verfügung stehen die in der Liste aufgeführten Formate.

Das Einfügen der Zeichenfolge geschieht entweder durch Selektieren eines Listeneintrags mit anschließender Bestätigung oder aber durch einen Doppelklick auf das gewünschte Element.


Das Dialogfeld "Hintergrundmusik"

Über diesen Dialog können Sie Hintergrundmusik in Ihr Dokument einbinden. In das Feld Quelldatei tragen Sie den Namen der Musikdatei ein. Es kann sich dabei um eine externe URL oder eine auf Ihrer Festplatte befindliche Datei handeln. Letztere können Sie mit Hilfe des Buttons "…" auswählen.

Über die Option Durchläufe können Sie steuern, wie oft das Musikstück hintereinander abgespielt werden soll. Die Standardeinstellung ist dabei "unendlich".

Wenn Sie die Option "Kopie im Arbeitsverzeichnis anlegen" aktivieren, kopiert NetJet die entsprechende Datei automatisch in das Projektverzeichnis.

Hinweis: Dieses Element wird momentan nur vom Internet Explorer verwendet. Der Netscape Navigator ignoriert dieses vollständig.


Das Dialogfeld "Zeilenumbruch"

Selbst die einfache Zeilenumbrüche besitzen eine Option: Es kann eingestellt werden, an welcher Stelle die folgende Ausgabe erscheinen soll, wenn der Zeilenumbruch links oder rechts neben einem Element mit Ausrichtung links oder rechts stattfindet.

Besitzt der Zeilenumbruch keine Optionsabgabe, "fließt" der Text normalerweise neben dem Bild; durch Angabe einer der aufgeführten Optionen kann die Ausgabe jedoch gleich unterhalb des Bildes fortgesetzt werden.

Hinweis: Die Ausrichtung auf links bzw. rechts einstellen lassen sich z.B. bei Bildern, Tabellen und Applets.


Das Dialogfeld "Texteffekte"

Mit Hilfe der Texteffekte können Sie auf einfache Art und Weise Pepp in Ihre Texte bringen. Dazu stehen Ihnen die folgenden Optionen zur Verfügung.

Einfache Effekte

Mit der Option Sperren können Sie zwischen jedem Buchstaben einen Freiraum einrichten. NetJet fügt dazu zwischen jeden Buchstaben ein Leerzeichen.

Mit der Option Großbuchstaben wird der markierte Text in Großbuchstaben umgewandelt. Die Option Kleinbuchstaben bewirkt genau das Gegenteil.

Optische Effekte

NetJet bietet verschiedene optische Effekte an. Dazu zählen zum Beispiel Zoom In, Zoom Out, Welle und Bogen. Diese Effekte werden jeweils durch die Veränderung der Schriftgrößen erreicht. Mit Hilfe der Punkte Anfang, Mitte und Ende können Sie die jeweilige Start-, Mittel- und Endgröße des Textes festlegen.

Farbverlauf

Mit Hilfe dieser Option können Sie einen farblichen Verlauf in Ihren Text bringen. Sie haben dabei die Möglichkeit den Verlauf über bis zu 5 verschiedene Farben laufen zu lassen. Die einzelnen Farben können Sie mit Hilfe der Optionen 1. - 5. Farbe auswählen. Standardmäßig liefert NetJet eine Reihe von fertigen Farbverläufen mit.

Mit der Option Spiegelverkehrt können Sie die aktuell angezeigten Farbverlauf um 180 Grad drehen.

Hinweis: Eine nachträgliche Bearbeitung der Texteffekte ist nicht möglich. Sie können nur mit Hilfe der Taste "Attribute entfernen" die Schriftformatierung entfernen und danach die Texteffekte erneut anwenden.


Das Dialogfeld "Schriftattribute"

Wird Text markiert oder steht der Cursor innerhalb von Text, zeigt das HTML-Kontextmenü den Eintrag "Schriftattribute…".

Wird dieser Eintrag gewählt, erscheint das folgende Dialogfeld "Schriftattribute". Mittels dieses Dialogfeldes lassen sich mehrere Attribute gleichzeitig ändern. Allerdings haben einige dieser Attribute keine Auswirkung auf die Darstellung des Textes. Wie verschiedene Browser den Text dann anzeigen, wird im Folgenden anhand der Darstellungen beim Microsoft Explorer und Netscape Navigator aufgezeigt.

Fett Kursiv Durchgestrichen Extra fett Unterstrichen Nichtproportional | Stellt Text fett dar. Stellt Text kursiv dar. Stellt Text durchgestrichen dar. Stellt Text extra fett dar. Stellt Text unterstrichen dar. Stellt Text nichtproportional dar.
Tastatureingaben Programmcode Variable Definition Zitat Zitat 2 Beispiel Hervorgehoben Blinkend | Stellt Tastatureingaben dar. Stellt Programmcode dar. Stellt Variablen dar. Stellt eine Definition dar. Stellt ein Zitat dar. Stellt ebenfalls ein Zitat dar. Stellt ein Beispiel dar. Stellt Text kursiv hervorgehoben dar. Stellt Text blinkend dar (nur Netscape).


Das Dialogfeld "Tabelle - Darstellung"

Tabellen sind in HTML ein wichtiges Hilfsmittel zur Formatierung und Gestaltung von Seiten geworden. So lassen sich z.B. zweispaltige Seiten ausschließlich durch Blindtabellen (d.h. Tabellen mit einer Rahmendicke von Null) erstellen.

Spaltenanzahl

Legt die Anzahl der Spalten der Tabelle fest. Diese Anzahl kann später durch den Menüpunkt "Tabelle | Zeilen-/Spalten einfügen" jederzeit erhöht werden.

Zeilenanzahl

Legt die Anzahl der Zeilen der Tabelle fest. Diese Anzahl kann später durch den Menüpunkt "Tabelle | Zeilen-/Spalten einfügen" jederzeit erhöht werden.

Ausrichtung

Hiermit wird die Ausrichtung der Tabelle festgelegt. Mögliche Angaben sind links, rechts und zentriert.

Hinweis: Zentrierte Tabellen dieser Art sind erst mit neueren Browserversionen möglich, da NetJet hier die Ausrichtung der Tabelle selbst und nicht die der Umgebung festlegt.

Breite

Die Angabe der Breite einer Tabelle kann in Prozentwerten erfolgen oder in absoluten Pixelwerten. Werden für Tabellen Werte gewählt, die kleiner als die Mindestbreite der darin enthaltenen Elemente ist, so wird die Tabelle mit der Mindestbreite dargestellt.

Rahmen

Wenn gewählt, wird ein Rahmen um die Tabelle und die einzelnen Zellen gebildet. Bei Blindtabellen (s.o.) wird diese Option ausgeschaltet. Statt dessen sollte hierbei "Hilfslinien anzeigen" gewählt werden.

Höhe

Die Angabe der Höhe einer Tabelle kann in Prozentwerten erfolgen oder in absoluten Pixelwerten. Werden für Tabellen Werte gewählt, die kleiner als die Mindesthöhe der darin enthaltenen Elemente ist, so wird die Tabelle mit der Mindesthöhe dargestellt.

ACHTUNG: NetJet übernimmt diese Angabe zwar, stellt sie aber nicht visuell dar.

Weitere Informationen:

Das Dialogfeld "Tabelle - Farben"

Das Dialogfeld "Tabelle - Zellenangaben"


Das Dialogfeld "Tabelle - Farben"

Hintergrundfarbe | Hiermit wird die Hintergrundfarbe für die gesamte Tabelle festgelegt. Nach dem Anklicken der Taste "Wählen" wird der Farbdialog aufgerufen.
Rahmenfarbe | Hiermit wird die Rahmenfarbe für die Tabelle festgelegt. Nach dem Anklicken der Taste "Wählen" wird der Farbdialog aufgerufen.
Rahmenfarbe (hell) | Hiermit wird die innere Rahmenfarbe für die Tabelle festgelegt. Nach dem Anklicken der Taste "Wählen" wird der Farbdialog aufgerufen.
Rahmenfarbe (dunkel) | Hiermit wird die äußere Rahmenfarbe für die Tabelle festgelegt. Nach dem Anklicken der Taste "Wählen" wird der Farbdialog aufgerufen.
Hintergrundbild | Legen Sie hier ein Hintergrundbild für Ihre Tabelle fest. NetJet verwendet dafür die Netscape-Darstellung. D. h., dass das Hintergrundbild in jeder Zelle neu beginnt.

Weitere Informationen:

Das Dialogfeld "Tabelle - Darstellung"

Das Dialogfeld "Tabelle - Zellenangaben"


Das Dialogfeld "Tabelle - Zellenoptionen"

Zellenrand | Mindestabstand der Elemente in den Zellen vom Zellenrand in Pixel.
Zwischenraum | Zwischenraum zwischen den einzelnen Zellen (und zum Zellenrand).
Vertikale Ausrichtung | Ausrichtung der in den Tabellenzellen angeordneten Elemente. Diese Ausrichtung wird für die Zellen unwirksam, die separat eingestellt worden sind.
Zeilenumbrüche verhindern | Verhinderung des automatischen Zeilenumbruch innerhalb der Zellen. Ein Zeilenumbruch findet nur dann statt, wenn eine explizite Zeilenschaltung (Umschalt+Return-Taste) eingegeben wird.

Weitere Informationen:

Das Dialogfeld "Tabelle - Darstellung"

Das Dialogfeld "Tabelle - Farben"


Das Dialogfeld "Tabellenzellen - Darstellung"

Mindestbreite

Hier kann die Mindestbreite einer Tabellenzelle so festgelegt werden, dass sie auch dann noch diese Breite aufzeigt, wenn das anzeigende Fenster so verkleinert ist, dass die Zelle normalerweise schmaler dargestellt würde. Der Startwert ist die von NetJet vorgegebene aktuelle Zellenbreite.

Mindesthöhe

Hier kann die Mindesthöhe einer Tabellenzelle festgelegt werden. Der Startwert ist die von NetJet vorgegebene aktuelle Zellenhöhe.

Horizontale Ausrichtung

Horizontale Ausrichtung der Elemente in einer einzelnen Zelle. Zur Verfügung stehen die Optionen: Links, Rechts, Zentriert.

Vertikale Ausrichtung

Vertikale Ausrichtung der Elemente in einer einzelnen Zelle. Zur Verfügung stehen die Optionen: Oben, Mitte, Unten.

Bemerkung: In Tabellen ohne spezielle Angabe der vertikalen Ausrichtung verwenden alle Browser standardmäßig implizit die Angabe "Mitte". Da dieses jedoch sehr ungewöhnlich wirkt, schaltet NetJet automatisch die Option mit Vorgabe "Oben" ein.

Spalten verbinden

"Verbindet" zwei oder mehr Spalten miteinander. Dies entspricht dem HTML-Attribut "COLSPAN". Das Wort "Verbinden" als Übersetzung dieses Begriffs ist allerdings etwas irreführend. Sie sollten vor der ernsthaften Benutzung dieser Option mit einer Testtabelle experimentieren, damit Sie keine unliebsamen Überraschungen erleben.

Zeilen verbinden

"Verbindet" zwei oder mehr Zeilen miteinander. Dies entspricht dem HTML-Attribut "ROWSPAN". Das Wort "Verbinden" als Übersetzung dieses Begriffs ist allerdings ebenfalls etwas irreführend. Sie sollten vor der ernsthaften Benutzung dieser Option mit einer Testtabelle experimentieren, damit Sie keine unliebsamen Überraschungen erleben.

Kopfzelle

Kopfzellen befinden sich normalerweise am oberen Rand und/oder linken Rand einer Tabelle (sie können jedoch auch innerhalb einer Tabelle vorkommen). In einer solcherart formatierten Zelle wird der Text automatisch zentriert und fett dargestellt, um die Zelle gegenüber den normalen Zellen hervorzuheben.

Umbruch vermeiden

Verhinderung des automatischen Zeilenumbruchs innerhalb der Zelle. Ein Zeilenumbruch findet nur dann statt, wenn eine Zeilenschaltung eingegeben wird.

NetJet bietet inzwischen die Möglichkeit, die Zellenoptionen mehrerer Zellen einer Tabelle gleichzeitig zu ändern. Dazu muß eine Selektierung innerhalb einer Tabelle über mehrere Zellen hinweg erfolgen. Anschließend steht das Kontextmenü wie gewohnt zur Verfügung.

In dem Dialogfeld können die Optionsschaltflächen jetzt drei Zustände annehmen (aus/an/undefiniert). Beim Bestätigen des Dialoges mit OK bedeuten die Zustände dann folgendes:

(aus) | Die Option wird in allen Zellen ausgeschaltet.
(an) | Die Option wird mit dem gegebenen Parameter in allen Zellen gesetzt.
(undef.) | Die Option bleibt in allen Zellen so gesetzt, wie sie beim Aufruf des Dialogfelds war.


Das Dialogfeld "Tabellenzellen - Farben/Bilder"

Hintergrundfarbe | Wählen Sie hier die Hintergrundfarbe des gewählten Tabellenzelle(n). Diese Farbe hat Vorrang vor einer Farb- oder Bildangabe sowohl vom Dokument als auch von übergeordneten Tabellen.
Hintergrundbild | Wählen Sie hier ein Hintergrundbild für die aktuelle Tabellenzelle(n). Dieses Bild hat Vorrang vor einer Farb- oder Bildangabe sowohl vom Dokument als auch von übergeordneten Tabellen.
Kopie im Arbeitsverzeichnis anlegen | Soll das gewählte Bild in das zugehörige Arbeitsverzeichnis kopiert werden?


Das Dialogfeld "Tabellenzeilen/-spalten einfügen"

In eine bestehende Tabelle können durch diesen Dialog nachträglich beliebig viele Zeilen und Spalten eingefügt werden.

In dem Dialogfeld muss dazu eingestellt werden, ob entweder Zeilen oder Spalten eingefügt werden sollen (beides gleichzeitig ist nicht möglich). Zusätzlich kann festgelegt werden, ob die neuen Zellen ober- oder unterhalb der Selektierung platziert werden sollen.

Um diese Funktion kennenzulernen, empfiehlt es sich, damit ein wenig zu experimentieren und die Resultate zu beobachten.


Das Dialogfeld "Tabellenüberschriften - Ausrichtung"

Vertikale Ausrichtung | Festlegen der vertikalen Ausrichtung der Überschrift. Es kann eingestellt werden, ob die Tabelle eine Überschrift oder eine Tabellenunterschrift bekommen soll.
Horizontale Ausrichtung | Soll die Über-/Unterschrift linksbündig, zentriert oder aber rechtsbündig ausgerichtet sein? Hinweis: Manche Browser stellen Tabellenunterschriften nicht richtig dar und setzen sie statt dessen als Überschriften ein.


Allgemeines zu Formularen

Lange Zeit gab es in HTML überhaupt keine Möglichkeit, ein Dokument interaktiv zu gestalten. Erst mit der Einführung von Formularen bzw. den Formularelementen konnte diesem Manko ein wenig abgeholfen werden. Inzwischen finden Formularelemente reichlich Verwendung - und zwar nicht nur in Bestellformularen oder einfachen Serveranfragen. So können Formulare verwendet werden, um den "Surfer" nach Informationen und Vorlieben zu fragen, um dann auf die gegebenen Antworten entsprechend zu reagieren.

Formulare bilden heute jedoch nur noch den kleinsten gemeinsamen Nenner der Interaktivität. Gewaltige Konkurrenz existiert z.B. durch Applets, ShockWave-Objekte und ActiveX, allerdings können mit diesen Erweiterungen nicht alle Browser etwas anfangen - mit Formularen hingegen schon.

Nun will NetJet aber kein Handbuch oder Experte beim Erstellen von Formularen sein, sondern ein Hilfsmittel für das Design. Und aus diesem Grund werden hier nur die möglichen HTML-Elemente kurz vorgestellt, jedoch nicht ausführlich erläutert.

Formular erstellen/bearbeiten

eMail-Formular erstellen

Eingabefeld

Paßworteingabe

Auswahlfeld

Optionsschaltfläche

Dateiauswahl

Bildschaltfläche

Absenden-Schaltfläche

Zurücksetzen-Schaltfläche

Schaltfläche

Verborgene Variablen

Auswahlliste

Textbereich


Das Dialogfeld "Formular - Allgemein"

In diesem Dialogfeld lassen sich recht einfach und bequem die möglichen Optionen eines Formulars bearbeiten bzw. neu erstellen.

Aktion

In diesem Feld geben Sie die Aktion an, die der Browser ausführen soll, wenn das Formular "abgesendet" werden soll. Angegeben werden kann hier z.B. eine Internet-Adresse, an die das ausgefüllte Formular übermittelt werden soll. Die Internet-Adresse sollte dann immer eine vollständige URL sein.

Es kann aber auch eine bestehendes HTML-Dokument angegeben werden. In diesem Fall lädt der Browser dann einfach das Dokument. Um diese Art der Eingabe einfacher zu gestalten, bietet NetJet die Durchsuchen-Schaltfläche an, mit der Sie gezielt eine Datei als Aktionsziel auswählen können.

Bemerkung: In diesem zweiten Fall müssen Sie als Methode GET angeben, sonst funktioniert das Verfahren nicht.

Hinweis: Wenn Sie den Inhalt des Formulars per eMail erhalten möchte, müssen Sie "mailto:IhrName@domain.de" eintragen und als Methode POST auswählen. Alternativ können Sie aber auch die Option "eMail-Formular…" aus dem Menü Einfügen / Formular verwenden.

MIME-Typ

Hier kann eine Zeichenkette angegeben werden, die den MIME-Typ der übertragenen Informationen enthält. Der Standardwert lautet "application/x-www-form-urlencoded" und braucht nicht extra angegeben zu werden.

Im Normalfall sollte hier keine Angabe erfolgen, es sei denn Sie wissen genau was Sie tun. Zum Beispiel bei einem Versand der Daten per eMail. Dann sollten Sie als Wert "text/plain" eintragen.

Methode

Hier geben Sie die Methode an, mit der die Formulardaten an den Server-Rechner übermittelt werden.

Wenn Sie GET wählen, werden die Daten des ausgefüllten Formulars auf WWW-Servern mit installiertem HTTP-Protokoll in der Standard-Umgebungsvariablen QUERY_STRING gespeichert. Das CGI-Programm muß den Inhalt dieser Umgebungsvariablen auslesen und verarbeiten. Wenn Sie dagegen POST wählen, werden die Daten des ausgefüllten Formulars auf dem Server-Rechner von "stdin" zur Verfügung gestellt, und das CGI-Programm muß sie behandeln wie eine Benutzereingabe, die auf der Kommandozeile gemacht wurde. Da in diesem Fall kein EndOfFile-Signal (EOF) gesendet wird, muß das CGI- Programm die Standard-Umgebungsvariable CONTENT_LENGTH auslesen, um die Länge der übermittelten Daten und damit deren Ende zu ermitteln.

Zielframe

Eingabe des Zielframes.

Hier kann angegeben werden, in welches Zielframe verzweigt werden soll. Vorgegeben sind in dem Eingabeelement bereits die reservierten Namen "_blank", "_parent", "_top" und "_self", die die folgenden Bedeutungen haben:

_blank | Das Verweisziel wird in einem neuen Fenster angezeigt.
_parent | Das Verweisziel wird im übergeordneten Fenster angezeigt. Falls es kein übergeordnetes Fenster gibt, wird das Verweisziel im gleichen Fenster angezeigt wie der Verweis selbst.
_top | Das Verweisziel wird im ersten Fenster einer Fensterhierarchie angezeigt. Falls es kein übergeordnetes Fenster gibt, wird das Verweisziel im gleichen Fenster angezeigt wie der Verweis selbst.
_self | Das Verweisziel wird im gleichen Fenster angezeigt wie der Verweis.

Weitere Informationen:

Das Dialogfeld "Formular - Variablen"

Das Dialogfeld "Formular - Event"


Das Dialogfeld "Formular - Variablen"

Sie können Felder in einem Formular definieren, die dem Anwender nicht angezeigt werden Versteckte Felder können jedoch Daten enthalten. Beim Absenden des Formulars werden versteckte Felder ebenso mit übertragen wie Sichtbare. Die Reihenfolge der Angaben spielt keine Rolle, allerdings sammelt NetJet die Angaben direkt hinter der Formular-Definition zur einfacheren internen Bearbeitung.

Zur Bearbeitung einer einzelnen Variablen erscheint der folgende Dialog:

Name | Hier muß der Name der versteckten Variablen eingetragen werden. Der Name sollte nicht zu lang sein und darf keine Leerzeichen und keine deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".
Wert | Die hier angegebene Zeichenkette liefert der WWW-Browser beim Senden des Formulars an den Server.

Eine mögliche Anwendung könnte z.B. bei mehrsprachigen Sites bestehen, bei denen ein einziges Skript die Auswertung des Formulars übernehmen soll, auch wenn die (Bezeichner-)Angaben in der jeweiligen Landessprache erscheinen. Als versteckte Variable könnte ein Hinweis untergebracht werden, in welcher Sprache das Formular dargestellt wird um dem Anwender die Antwort in der richtigen Sprache zuzusenden.

Weitere Informationen:

Das Dialogfeld "Formular - Darstellung"


Das Dialogfeld "eMail-Formulare"

Wenn zum Versand der im Formular eingegebenen Angaben kein CGI- oder PHP-Skript zur Verfügung steht, kann man sich von dem Browser des Surfers die Daten auch als einfache eMail zuschicken lassen.

Voraussetzung dafür ist allerdings, dass der Surfer einen eMail-fähigen Browser verwendet! Ist das nicht der Fall, ignoriert der Browser diese Aktion vollkommen und der Surfer kann die Daten nicht abschicken. Allerdings sind eigentlich alle heute verwendeten Browser eMail-fähig, so dass man sich darüber keine großen Gedanken mehr machen muss.

NetJet bietet zur schnellen Erstellung eines solchen Formulars diesen Dialog an.

In diesem Dialog muss nur noch angegeben werden, an welche eMail-Adresse die Daten gesendet werden sollen. Alle weiteren Angaben erledigt NetJet selbständig.

Hinweis: Bei der Eingabe überprüft NetJet, ob es sich bei der Angabe um eine korrekte eMail-Adresse der Form "name@host.de" handelt. Ist das nicht der Fall, weist Sie das Programm darauf hin. Die Angabe mailto:, die sonst erforderlich ist, wird von NetJet automatisch eingesetzt. Um das Formular bzw. die Formular-Optionen später noch weiteren Bedürfnissen anzupassen, steht der normale Formularoptionen-Dialog zur Verfügung.

Die Erstellung des weiteren Formulars erfolgt wie bisher. Platzieren Sie einfach die benötigten Elemente innerhalb der Formular-Umrandung und geben Sie den Elementen eindeutige Namen, damit Sie die Angaben des Surfers später wiederfinden.

Weitere Informationen:

Das Dialogfeld "Formulare - Darstellung"


Das Dialogfeld "Einfache Texteingabe - Darstellung"

Häufig auch als einzeilige Eingabefelder bezeichnet.

Einfache Texteingabefelder dienen zur Aufnahme von einem oder wenigen Wörtern oder einer Zahl. In diesem Zusammenhang siehe auch Passworteingaben.

Name | Jedes Eingabefeld muss einen Feldnamen erhalten.Der Name sollte nicht zu lang sein und darf keine Leerzeichen und keine deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".
Vorgabe | Eine hier angegebene Zeichenkette wird als Vorgabe in das Formularelement eingesetzt. Wird diese Angabe vom Anwender nicht überschrieben, erscheint sie auch in den Daten, die das Formular an den Server übermittelt.
Breite in Zeichen | Bei der Anzeige durch den WWW-Browser bekommt das Feld diese Gesamtbreite. Wie breit das Feld dann aber tatsächlich dargestellt wird, hängt sehr vom verwendeten Browser ab.
Höhe in Zeichen | Hier kann dem Feld eine neue Höhe bei der Anzeige mitgegeben werden. Als Vorgabe steht dort immer eine 1 und andere Werte machen auch wenig Sinn, denn das Eingabefeld wird auch bei größeren Werten nicht mehrzeilig!
Maximale Eingabelänge | Gibt an, wieviele Zeichen das Feld maximal aufnehmen kann.
Passwort | Bei Feldeingaben, die verdeckt erfolgen sollen, verwenden Sie die Angabe "Ja". Bei der Dateneingabe erscheinen dann nur Sternchen "*" im Eingabefeld.

Weitere Informationen:

Das Dialogfeld "Passworteingabe - Darstellung"


Das Dialogfeld "Passworteingabe - Darstellung"

Für Passworteingabefelder gilt prinzipiell das gleiche wie für einfache Texteingaben.

Name | Jedes Eingabefeld muss einen Feldnamen erhalten. Der Name sollte nicht zu lang sein und darf keine Leerzeichen und keine deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".
Vorgabe | Eine hier angegebene Zeichenkette wird als Vorgabe in das Formularelement eingesetzt. Wird diese Angabe vom Anwender nicht überschrieben, erscheint sie auch in den Daten, die das Formular an den Server übermittelt.
Breite in Zeichen | Bei der Anzeige durch den WWW-Browser bekommt das Feld diese Gesamtbreite. Wie breit das Feld dann aber tatsächlich dargestellt wird, hängt sehr vom verwendeten Browser ab.
Höhe in Zeichen | Hier kann dem Feld eine neue Höhe bei der Anzeige mitgegeben werden. Als Vorgabe steht dort immer eine 1 und andere Werte machen auch wenig Sinn, denn das Eingabefeld wird auch bei größeren Werten nicht mehrzeilig!
Maximale Eingabelänge | Gibt an, wie viele Zeichen das Feld maximal aufnehmen kann.
Passwort | Bei Feldeingaben, die verdeckt erfolgen sollen, verwenden Sie die Angabe "Ja". Bei der Dateneingabe erscheinen dann nur Sternchen "*" im Eingabefeld.

Hinweis: Es handelt sich dabei nicht um ein Passwortsystem für Ihre Homepage. Dieses Eingabefeld bewirkt nur, dass die eingegebenen Zeichen verschlüsselt (Sternchen) dargestellt werden.

Weitere Informationen:

Das Dialogfeld "Einfache Texteingabe - Darstellung"


Das Dialogfeld "Auswahlfelder - Darstellung"

Auswahlfelder werden oft auch als "Checkbox" bezeichnet.

Auswahlfelder bilden eine Gruppe von beschrifteten Elementen, aus der der Anwender keinen, einen oder mehrere markieren ("ankreuzen") kann.

Name

Hier muss der Name des Auswahlfeldes eingetragen werden.

Alle Auswahlfelder innerhalb eines Formulars, die den gleichen Namen haben, bilden eine Gruppe, d.h. von diesen Feldern kann der Anwender keinen, einen oder mehrere ankreuzen.

Der Name sollte nicht zu lang sein, darf keine Leerzeichen und keine deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".

Wert

Die hier angegebene Zeichenkette liefert der WWW-Browser beim Senden des Formulars an den Server.

Vorgabe

Soll diese Schaltfläche standardmäßig angekreuzt sein?


Das Dialogfeld "Optionsschaltfläche - Darstellung"

Optionsschaltfläche ist ein recht umständlicher Begriff für einen "Radio-Button".

Radio-Buttons bilden normalerweise eine Gruppe von beschrifteten Feldern, aus der der Anwender genau einen markieren kann. Dabei kann immer nur einer der Buttons markiert sein und weiterhin ist immer mindestens ein Radio-Button markiert.

Name

Hier muß der Name des Radio-Buttons eingetragen werden.

Alle Radio-Buttons innerhalb eines Formulars, die den gleichen Namen tragen, bilden eine Gruppe, d.h. von diesen Buttons kann der Anwender genau einen markieren.

Der Name sollte nicht zu lang sein und darf keine Leerzeichen und keine deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".

Wert

Die hier angegebene Zeichenkette liefert der WWW-Browser beim Senden des Formulars an den Server.

Vorgabe

Soll diese Schaltfläche standardmäßig markiert sein?

Sind mehrere Radiobuttons innerhalb einer Gruppe mit dieser Option gekennzeichnet, wird normalerweise nur der erste markiert, bei den restlichen Elementen die Option also ignoriert.


Das Dialogfeld "Dateiauswahl - Darstellung"

Das Dateiauswahlelement erlaubt es dem Anwender, eine Datei von seinem lokalen Rechner zusammen mit dem Formular zu übertragen. Wenn ein CGI-Script die ankommenden Formulardaten auf dem Server-Rechner verarbeitet, ist es dadurch möglich, dem Anwender das Hochladen (Upload) von Dateien auf den Server-Rechner zu ermöglichen.

Das Element besitzt die folgenden Optionen:

Name | Jedes Formularelement muss einen eindeutigen Namen erhalten. Dieser Name sollte nicht zu lang sein und darf weder Leerzeichen noch deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".
Breite in Zeichen | Bei der Anzeige durch den WWW-Browser bekommt das Feld diese Gesamtbreite. Wie breit das Feld dann aber tatsächlich dargestellt wird, hängt sehr vom verwendeten Browser ab.
Maximale Eingabelänge | Gibt an, wie viele Zeichen das Feld maximal aufnehmen kann.
Erlaubte Dateien | Hier können Sie angeben, welche Dateiarten übertragen werden dürfen. Die Angabe erfolgt in als normale MIME-Typ-Angabe, so z.B. "text/*" oder "image/*".

Sobald der Browser auf das Dateiauswahlelement in einem HTML-Formular stößt, stellt er es ungefähr so dar:

Der Surfer kann nun einen Dateinamen angeben oder durch den Dateiauswahldialog aussuchen. Diese Datei wird dann (nach dem Drücken der Absenden-Schaltfläche) an den Server gesendet. I.d.R. kann immer nur eine einzelne Datei versendet werden.

Zusätzlich ist es möglich, nur bestimmte Dateiarten auswählen zu lassen. Das geschieht durch die Angabe in dem Eingabefeld Erlaubte Dateien, indem NetJet die entsprechenden Werte dort einträgt. Wie die Angaben konkret auszusehen haben und welche Arten es überhaupt gibt, können Sie jedem besseren HTML-Buch entnehmen.

Hinweis: Wichtig ist, dass Sie im zugehörigen Formular-Element die als MIME-Typ die Angabe "multipart/form-data" eintragen, wenn das Formular eine Datei-Schaltfläche enthält.

Weitere Informationen:

Das Dialogfeld "Formular - Darstellung"


Das Dialogfeld "Bildschaltfläche - Darstellung"

Bildschaltflächen erscheinen beim Surfen im Internet als normale Bilder. Als besondere Eigenschaft kann dieses Bild jedoch angeklickt werden. In diesem Fall sendet der Browser sofort die Formulardaten an den HTTP-Server.

Name

Jedes Formularelement muss einen eindeutigen Namen erhalten. Dieser Name sollte nicht zu lang sein und darf weder Leerzeichen noch deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".

Bild-Quelle / Suchen&hellip;

In die Eingabezeile kann direkt der Pfad und der Dateiname des Bildes eingegeben werden. Alternativ wird mit "Suchen&hellip;" der Dialog "Bilddatei suchen/einsetzen" angezeigt.

Hinweis: Um die Kompatibilität zu den im Internet weit verbreiteten Unix-Dateisystemen herzustellen, kommt es bei der Dateiangabe auf die Groß-/Kleinschreibung an. Wenn Sie also den Namen "freihändig" eingeben und dabei einen derartigen Schreibfehler machen, wird NetJet u.U. die gewünschte Datei nicht finden. Aus diesem Grund wird dringend geraten, Dateien per "Durchsuchen" von NetJet selbst eintragen zu lassen und nur in Ausnahmefällen die Eingabe per Hand zu erledigen.

Alternativtext

Der Text, der vom Browser angezeigt wird, wenn das Bild nicht gefunden werden kann oder das Bildformat dem Browser unbekannt ist.

Inzwischen ist es auch möglich, zwar diese Option anzuwählen, jedoch keinen Text anzugeben. Dieses Vorgehen kann dann sehr nützlich sein, wenn man vermeiden will, dass textorientierte Browser wie z.B. Lynx an der Stelle überhaupt etwas darstellen.

Ausrichtung

Ausrichtung eines Bildes. Möglich Angaben sind: Oben, Mitte, Unten, Links, Rechts, Basiszeile, Texthöhe, Absolute Mitte, Absolut Unten.

Beispiel: Ein Bild wird neben eine Überschrift eingesetzt und erhält die Ausrichtung "Basiszeile". In diesem Fall liegt die Unterkante des Bildes genau auf der Höhe der Unterkante der Schrift. Wird dagegen "Absolut Unten" gewählt, stimmt die Unterkante des Bildes mit der Unterkante der Unterlängen des Schriftzuges überein.

Kopie anlegen

Ist dieses Kontrollkästchen angeklickt, wird eine Kopie im jeweiligen Arbeitsverzeichnis angelegt. Angenommen, im Projekt wurde ein Verzeichnis angegeben, in das die Bilder kopiert werden sollen (z.B. "images"), dann werden die Bilder hierhin kopiert. Diese Funktion ist besonders nützlich, wenn ein komplettes Projekt hinterher auf den Server geladen werden soll. Dann liegen diese Bilder immer richtig relativ zum Pfad des HTML-Dokuments, d.h., der Fall, dass Bilder nicht gefunden werden können, tritt erst gar nicht auf.

Auf der Basis dieses Elements lassen sich "andersartige" Schaltflächen als die normalen Buttons leicht erzeugen. Der Nachteil besteht allerdings darin, dass für die vollständige Darstellung des Formulars immer auch das angegebene Bild mit geladen werden muss. Weiterhin ist es nicht möglich, das Bild zu strecken oder zu stauchen, das Bild muss also im richtigen Format und der richtigen Größe vorliegen!


Das Dialogfeld "Absenden-Schaltfläche - Darstellung"

Schaltflächen werden von allen Browsern als normale Schaltflächen dargestellt. HTML unterscheidet zwischen drei verschiedenen Schaltflächenarten:

Absenden-Schaltfläche

Zurücksetzen-Schaltfläche

Normale Schaltfläche

Absenden-Schaltflächen werden normalerweise dazu verwendet, ein ausgefülltes Formular an einen Server zu übermitteln. Die Gestaltung der Schaltfläche selbst kann ein wenig variieren.

Der Typ einer Absenden-Schaltfläche ist immer "Submit", während der an den Server übermittelte Name frei gewählt werden kann. Das bedeutet, dass der Server, der das Formular zur Bearbeitung zugeschickt bekommt, dann den hier angegebenen Name zu sehen bekommt oder aber, falls der Name nicht angegeben wurde, die Zeichenkette "SUBMIT".

Die Aufschrift enthält diejenige Zeichenfolge, die beim Surfen auf der Schaltfläche erscheinen soll. Verwendet wird diese Möglich sehr häufig, wenn ein CGI-Script die Auswertung auch der fremdsprachigen HTML-Formulardokumente übernehmen soll. Wird hier kein Bezeichner angegeben, tragen die Browser selbständig z.B. "Submit" als Zeichenfolge ein.

Weitere Informationen:

Das Dialogfeld "Zurücksetzen-Schaltfläche - Darstellung"

Das Dialogfeld "Schaltfläche - Darstellung"


Das Dialogfeld "Zurücksetzen-Schaltfläche - Darstellung"

Schaltflächen werden von allen Browsern als normale Schaltflächen dargestellt. HTML unterscheidet zwischen drei verschiedenen Schaltflächenarten:

Absenden-Schaltfläche

Zurücksetzen-Schaltfläche

Normale Schaltfläche

Zurücksetzen-Schaltflächen werden dazu verwendet, ein Formular in den ursprünglichen Zustand zurückzuversetzen. Der ursprüngliche Zustand ist dabei derjenige, den das Dokument beim Laden vom Server hat, es werden also die Angaben eingestellt, die in dem HTML-Dokument vorgegeben sind. Das Formular kommuniziert hierbei also nicht mit dem Server.

Für die Angaben eines Namens und des Bezeichners gelten die gleichen Regeln wie für die Absenden-Schaltfläche, nur dass als Zeichenfolge "RESET" verwendet wird.

Allerdings macht hier die Vergabe eines Namens recht wenig Sinn, da keine Daten an den Server übermittelt werden. Der Bezeichner erscheint wie gewohnt als Schriftzug auf der Schaltfläche.

Weitere Informationen:

Das Dialogfeld "Absenden-Schaltfläche - Darstellung"

Das Dialogfeld "Schaltfläche - Darstellung"


Das Dialogfeld "Schaltfläche - Darstellung"

Schaltflächen werden von allen Browsern als normale Schaltflächen dargestellt. HTML unterscheidet zwischen drei verschiedenen Schaltflächenarten:

Absenden-Schaltfläche

Zurücksetzen-Schaltfläche

Normale Schaltfläche

Bei diesen Schaltflächen handelt es sich um einfache "Buttons". Der an den Server übermittelte Typ lautet immer "BUTTON", Name und Bezeichner sind nicht optional aber frei wählbar.

Hinweis: Die Namen der Schaltflächen sollten nur aus normalen ASCII-Zeichenfolgen bestehen. Umlaute z.B. können große Probleme verursachen, da beinahe jedes Betriebssystem eine andere interne Darstellung verwendet.

Weitere Informationen:

Das Dialogfeld "Absenden-Schaltfläche - Darstellung"

Das Dialogfeld "Zurücksetzen-Schaltfläche - Darstellung"


Das Dialogfeld "Mehrzeiliger Textbereich - Darstellung"

Mehrzeilige Textbereiche bieten die Möglichkeit, wesentlich mehr Text als z.B. die einfachen Texteingaben aufzunehmen. So ist z.B. möglich, den Benutzer bzw. Leser des Dokuments einen ganzen Roman, Notizen oder Nachrichten eingeben zu lassen. Allerdings können im allgemeinen nur "normale" Zeichenfolgen eingegeben werden, also keine aufwendigen Formatierungen o.ä.

Name des Feldes | Hier muß der Name des Formularelements eingetragen werden. Der Name sollte nicht zu lang sein und darf keine Leerzeichen und keine deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".
Vorgabe | Hier kann eine Vorgabe-Zeichenkette eingetragen werden, die beim ersten Aufbau des Dokuments in dem Element enthalten sein soll. Denkbar wäre z.B. die folgende Aufforderung:"Lassen Sie ihrer Kreativität freien Lauf und erzählen Sie mir Ihre Version der Geschichte". Dadurch wird der Benutzer aufgefordert, den bisherigen Inhalt des Formularelements zu überschreiben.
Breite in Zeichen | Definiert die Breite des Textelements in Zeichen. Dabei ist allerdings zu beachten, dass der Autor des Dokuments vorher nur selten weiß, wie breit ein Zeichen auf dem Zielrechner sein wird.
Höhe in Zeilen | Definiert die Höhe des Elements in Zeilen. Auch hier gilt, das die genaue Höhe einer Zeile in den meisten Fällen unbekannt sein dürfte und die genaue Höhe des Textbereiches somit unbekannt.

WWW-Browser statten die mehrzeiligen Eingabefelder bei der Anzeige üblicherweise mit vertikalen und horizontalen Bildlaufleisten aus, so dass der Anwender bei längeren Eingaben "scrollen" kann.

Bemerkung: Die Standardvorgaben 20 Zeichen Breite und 10 Zeilen Höhe sind von NetJet vorgegeben und dürften in den meisten Fällen für die Eingabe von Daten durchaus reichen. Ohne Angabe von Werten entscheidet der jeweilige Browser selbst über die Ausdehnung, oft mit kuriosen Folgen.


Das Dialogfeld "Auswahlliste - Darstellung"

Anwender und Leser eines HTML-Dokuments werden häufig nach Wünschen und anderen Eingaben befragt. Sehr häufig sind die Leser dann gezwungen, immer und immer wieder dieselben Informationen einzugeben. Solche Eingabeelemente sind zwar oft sehr sinnvoll, jedoch bietet HTML auch die Möglichkeit, den Leser aus vorgegebenen Listen eine oder sogar mehrere Optionen auswählen zu lassen.

Genau zu diesem Zweck existieren in HTML die Auswahllisten. Der Ersteller eines Formular-Dokuments definiert eine Auswahlliste und stellt anschließend verschiedene Optionen (Auswahlmöglichkeiten) bereit.

Name des Feldes | Hier muss der Name des Formularelements eingetragen werden. Der Name sollte nicht zu lang sein und darf keine Leerzeichen und keine deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".
Höhe in Zeilen | Definiert die Anzahl der Zeilen, die das Element maximal belegen darf. Als Besonderheit ergibt sich, dass wenn genau eine Zeile eingestellt ist, die Auswahlliste die Form einer sogenannten ComboBox annimmt. In allen anderen Fällen erscheint eine normale ListBox. Ist die Option nicht markiert, entscheidet der Browser (bzw. auch schon NetJet), welche Darstellung zu verwenden ist.
Mehrfach- auswahl | Je nach Einstellung dieser Option ist es dem Benutzer erlaubt, nur genau eine Option oder aber mehrere Optionen in der Auswahlliste gleichzeitig zu selektieren.

Weitere Informationen:

Das Dialogfeld "Auswahlliste - Vorgaben"


Das Dialogfeld "Auswahlliste - Vorgaben"

Damit eine Auswahlliste nicht so ganz leer daherkommt, können beliebig viele Daten als Vorgabe eingerichtet werden. Das Bearbeiten der einzelnen Vorgaben erfolgt recht bequem durch das folgende Dialogfeld:

Bezeichner | Der Bezeichner ist derjenige Wert, unter dem die Option später bei der Auswertung durch den Server identifiziert wird. Daher sollten Optionen immer unterschiedliche Bezeichner aufweisen.
Markiert | Definiert den Anfangszustand der Option.
Wert | Diese Zeichenkette erscheint in der Auswahlliste in der Anzeige. Wird dieser Wert nicht angegeben, wird einfach die Zeichenkette des Bezeichners verwendet. Das Setzen dieser Option ist z.B. dann sinnvoll, wenn ein Dokument in mehreren Sprachen erstellt wird und die Auswertung sich immer nur auf die Bezeichnerzeichenketten stützt, während die Anzeige selbst landesspezifisch erscheint.

Weitere Informationen:

Das Dialogfeld "Auswahlliste - Darstellung"


Das Dialogfeld "Formular-Ereignisse"

Formular-Ereignisse werden im folgenden diejenigen Ereignisse genannt, die hauptsächlich bei Formularelementen auftreten können. Insgesamt gibt es die folgenden sechs Ereignisse:

OnFocus | Aktion, wenn ein Formularelement den Fokus bekommt.
OnBlur | Aktion, wenn ein Formularelement den Fokus verliert.
OnSubmit | Aktion, wenn ein Formular durch Betätigen des Absenden-Schaltfläche an den Server gesendet wird.
OnReset | Aktion ,wenn ein Formular durch Betätigen der Zurücksetzen-Schaltfläche in den Anfangszustand versetzt wird.
OnChange | Aktion, wenn z.B. ein Eingabefeld eine Änderung erfährt. Änderungen können aber auch das Anklicken einer Optionsschaltfläche sein.
OnSelect | Aktion, wenn in einem Eingabefeld ein Textbereich selektiert wird.
Skripte bearbeiten | Läßt ein weiteres Dialogfeld erscheinen. In diesem neuen Dialog können beliebig viele Skriptblöcke definiert werden.

Hinweis: Bei einigen Elementen sind nicht alle diese Optionen verfügbar bzw. vorgesehen. So bietet das Texteingabe-Element eine Eingabe von OnSubmit und OnReset-Ereignissen erst gar nicht an.

Weitere Informationen:

Das Dialogfeld "Formular - Darstellung"


Allgemeines zu Frames

Frames teilen das Hauptfenster eines Browsers in getrennte Bereiche auf, in denen jeweils eine eigene Seite angezeigt werden kann. Eine Gruppe von Frames wird Frameset genannt. In dem Frameset kann die Größe und die Position jedes einzelnen enthaltenen Frames definiert werden.

Damit der Browser die Frames jedoch überhaupt erst darstellen kann, muss ein spezielles Dokument, das sogenannte Frameset-Dokument erstellt bzw. geladen werden.

In dem einfachsten Frameset-Dokument befinden sich zwei Frames: Ein Frame zeigt ein HTML-Dokument an, das z.B. Hyperlinks (Referenzen) auflistet, und der andere Frame zeigt diejenigen Dokumente an, auf die die Hyperlinks zeigen. Jedes Mal, wenn ein Benutzer eine Referenz im ersten Frame anklickt, wird das Dokument, auf das die Referenz zeigt, im zweiten Frame angezeigt. Das Frameset-Dokument selbst enthält im Normalfall keinen Inhalt und keine Seite, sondern es enthält nur Referenzen zu vorhandenen Dokumenten, die in den Frames angezeigt werden. Eine Ausnahme davon bildet der NoFrame-Bereich, in dem festgelegt werden kann, was ein Browser darstellen soll, der nicht in der Lage ist, Frames anzuzeigen.

Sie erstellen ein neues Frameset-Dokument, indem Sie in einem neuen (oder auch einem bestehenden) Dokument einen Frameset einfügen. Das geschieht durch Betätigen des Menüpunkts "Frames / Frameset einfügen" in dem dann erscheinenden Dialogfeld "Frame-Generator".

Sollte der angegebene Menüpunkt jedoch nicht verfügbar sein (grau unterlegt) befinden Sie sich wahrscheinlich gerade in der NoFrames-Ansicht. Wechseln Sie dann erst durch "Frames / Frames einblenden" in die Frame-Ansicht.

Achtung: Wenn in einem bestehenden Dokument ohne Frames jetzt Frame(set)s hinzugefügt werden, wird der aktuelle Dokumentinhalt automatisch in einen NoFrame-Bereich umgewandelt. Genauso verhält es sich, wenn in einem Dokument der letzte Frameset aufgelöst wird: Der NoFrame-Bereich wird dann automatisch das aktuelle HTML-Dokument - so als hätte es die Frames gar nicht im Dokument gegeben.

Framesets und natürlich auch Frames bieten eine Menge an Optionen an, die durch die Dialogfelder "Frameset-Optionen" und "Frame-Optionen" fast beliebig eingestellt werden können.

Allerdings stellt NetJet nicht alle eingestellten Eigenschaften der Frames dar, da es sonst unmöglich wäre, die Dokumente richtig zu bearbeiten. So werden z.B. die Bildlaufleisten und das Teilungsfenster immer dargestellt, auch wenn die zugehörigen Frame-Optionen ausgeschaltet sind.

Wenn ein Benutzer auf einen Hyperlink zu einem Frameset-Dokument klickt, lädt der Browser das angegebene Dokument und anschließend die Startseiten, die jeweils für die einzelnen Frames angegeben wurden. In der Regel handelt es sich bei jeder Frame-Startseite, die in einem Frame angezeigt wird, um eine "normales" HTML-Dokument. Ein Frame kann jedoch auch eine anderes Frameset-Dokument enthalten. In diesem Fall handelt es sich bei dem Frame um den übergeordneten Frame derjenigen Frames, die sich in der neuen "verschachtelten" Framesseite befinden. NetJet ist jedoch nicht in der Lage dieses Verhalten der Browser zu 100 Prozent nachzubilden. Das Verschachteln von Framesets ist jedoch problemlos durch den o.a. Menüpunkt "Frames | Frameset einfügen" möglich.

Es muss jedoch deutlich gesagt werden, dass zu sehr verschachtelte Framesets die Übersichtlichkeit der Darstellung nicht gerade erhöhen und wieder einmal der Grundsatz gilt: Weniger ist mehr!

Weitere Informationen:

Frame-Darstellung in NetJet

Der Frame-Generator

Das Dialogfeld "Frameset-Optionen"

Das Dialogfeld "Frame-Optionen - Referenz"

Das Dialogfeld "Frame-Optionen - Darstellung"


Frame-Darstellung in NetJet

Die Darstellung der Frames während der Bearbeitung in NetJet gleicht der Darstellung der Browser. Damit der Designer jedoch nicht den so schnell Überblick verliert, enthalten die Titelzeilen der Bearbeitungsfenster Zusatzangaben der beteiligten Dokumente:

In diesem Fall wird gerade ein Frameset-Dokument namens index.htm bearbeitet. Das aktuelle bearbeitete HTML-Dokument lautet links.htm.

Wenn ein Frameset-Fenster auf Maximalgröße vergrößert wird, erscheinen in der Titelzeile zusätzlich noch der Programmname, die eben beschriebenen Frameset-Daten werden wie üblich in Klammern gesetzt dahinter aufgeführt:

Findet die Bearbeitung zusätzlich innerhalb eines Projekts statt, wird auch noch der Projektname in die Titelzeile des Programms aufgenommen.


Der Frame-Generator

Aus den Vorgaben kann leicht eine der vorgefertigten Frame-Anordnungen ausgewählt werden. Zu jedem Eintrag in der Liste erscheint in dem Feld oben rechts eine kurze Beschreibung und die Vorschau gibt einen ersten Eindruck davon, wie die Verteilung der Frames im Bearbeitungsfenster in etwa ausfallen wird.

In der dargestellten Vorgabenliste haben wir versucht, häufig verwendete Typen von Framesets zusammenzustellen und einfach aufzubereiten. Die Liste ist jedoch keinesfalls vollständig noch zeigt sie alle Möglichkeiten auf, die Frames bieten.

Einige der angebotenen Framesets enthalten zusätzlich Angaben für eine automatische Benennung der entstehenden Frames. Die dort angegebenen Namen sind natürlich nur als Vorschläge anzusehen und können jederzeit durch Ändern der Frameset-Optionen manipuliert werden. Allerdings ist es sehr zweckmäßig, die Namen der Frames frühzeitig festzulegen, denn wenn Sie später - z.B. kurz vor der Fertigstellung und Veröffentlichung - noch einen Framename ändern wollen, müssen alle Referenzen, Hyperlinks und Dokumente, die auf diesen Frame zielen, auch geändert werden, denn sonst weisen die Referenzen ja auf ein nicht mehr existierendes Frame.

Bemerkung: Wenn eine Referenz einmal auf einen ungültigen Frames verweist, erzeugt der Browser normalerweise ein vollkommen neues Browserfenster, er verhält sich also so, als hätte die Zielframeangabe "_blank" geheißen.

Zusätzlich sollten Sie bei der Benennung kurze und prägnante Namen verwenden. Es gibt zwar keinerlei Beschränkungen bei der Namenswahl (so sind auch Leerzeichen etc. erlaubt), doch wird dadurch die Übersicht ernorm erschwert. Auch Sonderzeichen wie z.B. Umlaute sollten besser nicht verwendet werden.

Außerdem ist zu beachten, dass wenn mehrere FrameSet verschachtelt werden (s. dazu Beispiel) kann es passieren, dass mehrere Frames gleiche Namen bekommen. Das ist an sich auch kein Problem, jedoch werden die Browser und auch NetJet immer nur dasjenige Frame finden, das am weitesten links oben liegt.


Das Dialogfeld "Frameset-Optionen"

Dieses Dialogfeld ermöglich die Bearbeitung der Größenangaben für die einzelnen Frames. Dieser kleine Umweg ist leider erforderlich, da Frames selbst keine Größenangaben besitzen, sondern nur die vom Frameset vorgegebene Fläche ausfüllen können.

Die Darstellung:

In dem oberen Bereich des Dialogfeldes erscheint die gesamte Frameset-Umgebung mit den voreingestellten Namen und Größen, die Eingabefelder am unteren Rand zeigen die aktuellen Werte des ausgewählten Frames. Den gerade ausgewählten Frame erkennt man leicht an dem Rahmen um die Names- und Größenangabe.

Eine Änderung der Größenangabe erreicht man nun sehr leicht durch Verschieben eines Rahmenelements. Nach jeder Änderung (Loslassen der linken Maustaste) wird sofort die gesamte Ausgabe aktualisiert um den momentanen Zustand widerzuspiegeln. Sollten die Änderungen doch nicht gewünscht sein, kann der Dialog wie üblich jederzeit mit der Abbrechen-Taste verlassen werden, die Darstellung im Hauptbearbeitungsfenster bleibt dann unverändert. Wird der Dialog jedoch per OK-Taste verlassen, werden alle Änderungen auch in das Hauptfenster übernommen.

Weiterhin ist es jederzeit möglich per Doppelklick auf ein Frame die zugehörigen Frame-Eigenschaften des zugrundeliegenden Frames zu bearbeiten - die Änderungen werden allerdings auch erst nach einem Betätigen der OK-Taste in das Frameset-Dokument übernommen.

In den Eingabefeldern kann zusätzlich jederzeit eine exaktere Angabe erfolgen - das Verschieben der Rahmenelemente ist aus Darstellungsgründen leider nicht sehr genau. Bei der Eingaben von Zahlen bzw. Ber der Umstellung zwischen Prozenten und Pixeln werden die Größen der Frame immer sofort aktualisiert.

Hinweis: Gerade wenn in einem Frameset-Dokument mehrere Framesets ineinander verschachtelt sind, erscheinen u.U. Wertangaben bei einzelnen Frames, die der Darstellung scheinbar überhaupt nicht entsprechen (können). Das liegt daran, dass ein Frameset, das an die Stelle eines Frames eingesetzt wird, denn Platz zu 100 Prozent belegt und demzufolge auch 100 Prozent des ihm zur Verfügung stehenden Freiraums im zugehörigen Frameset zu vergeben hat. So belegt das Frame namens "Main" 100 Prozent in beiden Richtungen, obwohl rein rechnerisch natürlich wesentlich weniger Platz vorhanden ist.

Sehr ersichtlich ist hier auch das Problem mit der mehrfachen Vergabe von gleichen Namen an verschiedene Frames. So existieren hier zwei Frames mit der Bezeichnung "Left" bzw. "Right". Wenn jedoch eine Referenz auf eines dieser beiden Frames zielt, wird immer nur der Frame ganz links oben angesprochen und verwendet werden.


Das Dialogfeld "Frame-Optionen - Referenz"

Der Aufbau dieses Dialogfelds entspricht in etwa dem einer normalen Referenz. Um die Frame-Startseite festzulegen, muß eine einfache Referenz angegeben werden. Im einfachsten Fall geschieht dieses z.B. innerhalb eines Projekts durch die "Im Projekt..."-Taste oder auch mit der Taste "Durchsuchen…". In beiden Fällen werden in die jeweiligen Eingabefelder die entsprechenden URL-Teile eingesetzt.

Eine Besonderheit dieses Dialogfelds ist die Eingabemöglichkeit des Zielframes. Hier kann angegeben werden, wohin diejenigen Referenzen in dem oben angegebenen Dokument normalerweise verzweigen sollen. Eine hier gemachte Angabe finden Sie z.B. in den Dokumentenoptionen wieder. Verwendet wird die Angabe immer dann, wenn bei einer Referenz keine anderslautende Zielframe-Angabe erfolgt. Unbedingt nicht zu verwechseln ist diese Angabe mit dem Namen des Frames selbst! Der Name des Frames wird in dem anderen Dialogfeld Frame-Optionen - Darstellung festgelegt.

Vorgegeben sind in dem Eingabeelement bereits die reservierten Namen "_blank", "_parent", "_top" und "_self", die die folgenden speziellen Bedeutungen haben:

_blank | Das Verweisziel wird in einem neuen Fenster angezeigt.
_parent | Das Verweisziel wird im übergeordneten Fenster angezeigt. Falls es kein übergeordnetes Fenster gibt, wird das Verweisziel im gleichen Fenster angezeigt wie der Verweis selbst.
_top | Das Verweisziel wird im ersten Fenster einer Fensterhierarchie angezeigt. Falls es kein übergeordnetes Fenster gibt, wird das Verweisziel im gleichen Fenster angezeigt wie der Verweis selbst.
_self | Das Verweisziel wird im gleichen Fenster angezeigt wie der Verweis.

Weitere Informationen:

Das Dialogfeld "Frame-Optionen - Darstellung"


Das Dialogfeld "Frame-Optionen - Darstellung"

Dieses Dialogfeld ermöglicht die Manipulation der Darstellungseigenschaften sowie des Frame-Namens.

Name

Geben Sie hier dem Frame einen Namen. Wenn ein Frame keinen Namen bekommt, kann der Frame auch kein Sprungziel werden, es sind dann nur Verweise innerhalb des Frames möglich.

Bildlaufleisten

Diese Option kann drei verschiedene Werte annehmen:

Ja | Die Bildlaufleisten werden immer eingeblendet, auch wenn diese von der Länge des angezeigten HTML-Dokuments nicht notwendig ist.
Nein | Die Bildlaufleisten werden nicht eingeblendet, auch dann nicht, wenn das Dokument länger als der darstellbare Bereich ist.
Autom. | Die Bildlaufleisten werden eingeblendet, wenn das Dokument mehr Platz benötigt als im darstellbaren Bereich vorhanden ist. Automatisch ist die Grundeinstellung.

Horiz. Freiraum

Wenn möglich versucht der Browser rings um die HTML-Darstellung den angegebenen horizontalen Freiraum zu lassen.

Vert. Freiraum

Wenn möglich versucht der Browser rings um die HTML-Darstellung den angegebenen vertikalen Freiraum zu lassen.

Rahmen

Hier kann die Breite des Rahmenelements eingestellt werden. Üblich sind die Werte 0 für nicht sichtbar (s.u.) und 1 für sichtbar. Andere Werte werden meistens ignoriert oder als 1 (sichtbar) interpretiert.

Hinweis: Nur dann, wenn alle Frames, die an das unsichtbar zu machende Rahmenelement grenzen den Wert Rahmen gleich 0 bekommen, wird das Rahmenelement erst unsichtbar. Es reicht nicht aus, diese Option nur in einem Frame zu ändern!

Rahmenfarbe

Auswahl der Rahmenfarbe. Beinahe alle Browser ignorieren diese Angabe jedoch.

Größenänderung
unterbinden

Wenn diese Option aktiviert ist, erlaubt es der Browser nicht mehr, die Größe des Frames zu ändern.

Bemerkung: Innerhalb von NetJet wird diese Angabe nicht verwendet, die Größen der Frames (oder besser der Framesets) können beliebig verändert werden.

Weitere Informationen:

Das Dialogfeld "Frame-Optionen - Referenz"


Allgemeines zu Skripten

Um die eigenen Seiten und Dokumente aufzuwerten, bieten sich inzwischen einige Möglichkeiten an: Skriptsprachen, Applets, ActiveX, Flash und bestimmt noch andere feine Sachen, die hier gar nicht alle aufgezählt werden können.

NetJet kennt momentan Skripte und Applets, ist jedoch nicht in der Lage, diese auch auszuführen. Das bedeutet, dass beim Erstellen der Dokumente die entsprechenden Elemente eingesetzt und bearbeitet werden können, die Ausführung jedoch durch z.B. einen skriptfähigen Browser geschehen muss.

Weiterhin unterscheidet NetJet zwei Arten von Skripten:

Skriptblöcke und

direkt ausführbare Skripte

Als Skriptblöcke werden im folgenden diejenigen Elemente bezeichnet, in denen der Programmierer Definitionen unterbringen kann, die dann beim "Programmablauf" von den direkt ausführbaren Skripten verwendet werden. Die Skriptblöcke befinden sich immer vor dem eigentlichen Dokument in der sogenannten Kopfsektion.

Die direkt ausführbaren Skripte befinden sich mitten im Dokument und werden durch das spezielle Symbol [image] gekennzeichnet. Diese Skripte führt ein skriptfähiger Browser immer dann aus, denn das betreffende HTML-Element formatiert und/oder dargestellt werden soll.

Zusätzlich existiert noch das Symbol NoScript [image] in der Skript-Symbolleiste. In diesem Bereich angegebene Texte und Darstellungen werden von Browsern immer dann angezeigt, wenn die Möglichkeit zur Ausführung von Skripten nicht erlaubt oder aber nicht vorhanden ist.

Weitere Informationen:

Das Dialogfeld "Skript definieren"

Das Dialogfeld "Skripte bearbeiten"


Das Dialogfeld "Skript definieren"

Mittels dieses Dialogs kann auf einfache und bequeme Weise ein direkt ausführbares Skript in einem HTML-Dokument definiert werden.

An der Definitionsstelle im Dokument erscheint dann das folgende Symbol. Der nach unten zeigende blaue Pfeil deutet an, dass das hier definierte Skript sofort (direkt) vom Browser ausgeführt werden soll.

Dieses Dialogfeld ist im Gegensatz zu den meisten anderen Dialogfeldern in der Größe variabel! Wie bei normalen Fenstern erscheinen die Größenveränderungsanzeigen, wenn der Mauszeiger den Rand des Dialogfeldes berührt. Beim Beenden des Dialogs merkt sich NetJet die zuletzt eingestellte Größe.

Innerhalb dieses Dialogs stehen mehrere Möglichkeiten zur Skripteingabe zur Verfügung. Entweder kann ein Skript direkt per Tastatur oder Kopieren von der Zwischenablage eingegeben werden oder aber es wird eine frei wählbare Datei importiert.

Natürlich ist auch möglich, ein Skript zu exportieren, d.h. alle Zeilen des Programmcodes werden in eine Datei auf der Festplatte geschrieben.

Typ

Spezifizieren Sie hier den Typ der verwendeten Skriptsprache. Die Angabe muss in der sogenannten Internet Medien Typ-Schreibweise erfolgen, also z.B. text/javascript oder text/vbscript.

Sprache

Ältere Browserversionen kennen die Typ-Angabe nicht und verlassen sich auf die einfachere Sprachangabenform, also z.B. nur javascript oder vbscript.

URL

Anstatt das Skript direkt einzugeben, kann der Browser dazu aufgefordert werden, das Skript in einer separaten Datei zu suchen und dann normal weiterzuarbeiten.

Die URL-Angabe erfolgt wie gewohnt und muss auf eine bestehende Datei zeigen. Dabei hilft die Suchen-Schaltfläche.

Allerdings sollte die Skriptdatei bereits in dem Verzeichnis innerhalb der Sitestruktur liegen, denn NetJet kopiert die Datei nicht in das Projektverzeichnis.

Natürlich kann die URL auch auf externe Skripts, deren URL z.B. mit http:// beginnt verweisen. Zum Holen und zur Ausführung des Skripts muss dann jedoch eine reguläre IP-Verbindung zum angesprochenen Server bestehen.

WICHTIG: Die Netscape Browser der Versionen 3.0 und davor beherrschen anscheinend nicht alle diese Angaben. Trifft Netscape 3.0 z.B. auf eine solche URL, lädt es die Scriptdatei und zeigt sie an - führt sie aber nicht aus! Die Versionen 4.0 und höher beherrschen jedoch diese Option.

Programmcode

Geben Sie hier direkt das Skript ein. Erlaubt sind alle Zeichen die Windows zu bieten hat. Allerdings sollten Sie sehr vorsichtig mit Sonderzeichen wie z.B. den deutschen Umlauten sein, denn NetJet kann Ihr Programmskript weder analysieren noch umwandeln.

Wenn Sie also z.B. ein Ä in einer Zeichenkette eingeben wollen, können Sie dieses direkt tun, besser ist es aber, &Auml; einzugeben, da dann auch Nicht-Windows-Systeme ein Ä ausgeben.

Zusätzlich gilt, dass so mancher Browser mit Skripten nichts anfangen kann und das Programm als auszugebende Zeichenkette auffasst und versucht darzustellen. Um dieses zu vermeiden, verpackt man den Programmcode in einen HTML-Kommentar. Wie der Kommentar jedoch konkret auszusehen hat, hängt von der verwendeten Skriptsprache ab!

Importieren

Importieren einer Datei an die aktuelle Einfügeposition im Programmcode-Fenster. Eine eventuell bestehende Selektierung wird durch die importierten Zeichen ersetzt.Die angewählte Datei sollte nur reinen ASCII-Text enthalten, da der Programmcode direkt in das Dokument aufgenommen wird.

Exportieren

Exportieren des gesamten Eingabefeldinhalts in eine Datei.

Skripte bearbeiten

Einfügen/Bearbeiten der Skriptblöcke dieses Dokuments.

Immer dann, wenn der Programmcode geändert wurde und das Dialogfeld verlassen werden soll, fragt NetJet zur Sicherheit nach, ob die gemachten Änderungen wirklich in das Dokument übernommen werden sollen. Wenn Sie dabei auf Nein klicken, sind alle gemachten Änderungen unwiderruflich verloren.


Das Dialogfeld "Skripte bearbeiten"

Dieses Dialogfeld bietet die Möglichkeit Skriptblöcke zu definieren. Wie schon unter Skripte erwähnt, werden die sogenannten Skriptblöcke an Anfang des Dokuments abgelegt und kommen erst dann zur Ausführung, wenn z.B. ein Ereignis oder ein anderes Skript Funktionen oder Methoden verwendet.

Dieses Dialogfeld ist im Gegensatz zu den meisten anderen Dialogfeldern in der Größe variabel! Wie bei normalen Fenstern erscheinen die Größenveränderungsanzeigen, wenn der Mauszeiger den Rand des Dialogfeldes berührt. Beim Beenden des Dialogs merkt sich NetJet die zuletzt eingestellte Größe.

Skriptblock auswählen

Wählen Sie hier aus, welchen der bestehenden Skriptblöcke Sie bearbeiten wollen. Natürlich können jederzeit neue Blöcke erzeugt werden. Auch das Verschieben oder Entfernen ist möglich.

Bevor ein Block tatsächlich entfernt wird, fragt NetJet zur Sicherheit nach, ob der Block wirklich (und unwiderruflich!) entfernt werden soll. Wird diese Nachfrage bejaht, kann auch das Abbrechen dieses Dialogs den Block nicht mehr restaurieren und spätestens nach dem nächsten Abspeichern ist das Skript dann auch in der Dokumentendatei entfernt.

Typ

Spezifizieren Sie hier den Typ der verwendeten Skriptsprache. Die Angabe muss in der sogenannten Internet Medien Typ-Schreibweise erfolgen, also z.B. "text/javascript" oder "text/vbscript".

Sprache

Ältere Browserversionen kennen die Typ-Angabe nicht und verlassen sich auf die einfachere Sprachangabenform, also z.B. nur javascript oder vbscript.

URL

Anstatt das Skript direkt einzugeben, kann der Browser dazu aufgefordert werden, das Skript in einer separaten Datei zu suchen und dann normal weiterzuarbeiten.

Die URL-Angabe erfolgt wie gewohnt und muss auf eine bestehende Datei zeigen. Dabei hilft die Suchen-Schaltfläche.

Allerdings sollte die Skriptdatei bereits in dem Verzeichnis innerhalb der Sitestruktur liegen, denn NetJet kopiert die Datei nicht in das Projektverzeichnis.

Natürlich kann die URL auch auf externe Skripts, deren URL z.B. mit "http://" beginnt verweisen. Zum Holen und zur Ausführung des Skripts muss dann jedoch eine reguläre IP-Verbindung zum angesprochenen Server bestehen.

Programmcode

Geben Sie hier direkt das Skript ein. Erlaubt sind alle Zeichen die Windows zu bieten hat. Allerdings sollten Sie sehr vorsichtig mit Sonderzeichen wie z.B. den deutschen Umlauten sein, denn NetJet kann Ihr Programmskript weder analysieren noch umwandeln.

Wenn Sie also z.B. ein Ä in einer Zeichenkette eingeben wollen, können Sie dieses direkt tun, besser ist es aber, &Auml; einzugeben, da dann auch Nicht-Windows-Systeme ein Ä ausgeben.

Zusätzlich gilt, dass so mancher Browser mit Skripten nichts anfangen kann und das Programm als auszugebende Zeichenkette auffasst und versucht darzustellen. Um dieses zu vermeiden, verpackt man den Programmcode in einen HTML-Kommentar. Wie der Kommentar jedoch konkret auszusehen hat, hängt auch von der verwendeten Skriptsprache ab!

Importieren

Importieren einer Datei an die aktuelle Einfügeposition im Programmcode-Fenster. Eine eventuell bestehende Selektierung wird durch die importierten Zeichen ersetzt. Die angewählte Datei sollte nur reinen ASCII-Text enthalten, da der Programmcode direkt in das Dokument aufgenommen wird.

Exportieren

Exportieren des gesamten Eingabefeldinhalts in eine Datei.

Immer dann, wenn der Programmcode geändert wurde und das Dialogfeld verlassen werden soll, fragt NetJet zur Sicherheit nach, ob die gemachten Änderungen wirklich in das Dokument übernommen werden sollen. Wenn Sie dabei auf "Nein" klicken, sind alle gemachten Änderungen unwiderruflich verloren.


Allgemeines zu den Applets

Applets bieten im Gegensatz zu Skripten eine wesentlich mächtigere Erweiterung von HTML-Dokumenten. Applets sind kleine (manchmal auch größere) Programme, die in ein Dokument eingebunden und mit einem javafähigen Browser ausgeführt werden.

So findet man inzwischen auf sehr vielen Seiten im Internet Java Applets z.B. den News-Ticker, der ähnlich der Laufschrift (Marquee) recht viele Informationen sehr kompakt darstellen kann. Da Marquees jedoch nicht von allen Browsern ausgeführt werden, kommt so mancher Surfer nicht in den vollen Genuss der Informationen. In diesem Fall können Java-Applets etwas bewirken, so denn der Browser javafähig und die Ausführung erlaubt ist.

Nun will diese Onlinehilfe keine Anleitung sein, wie Applets funktionieren oder gar programmiert werden; auf den folgenden Seiten wird kurz erläutert, wie Sie Applets in Ihre HTML-Dokumente aufnehmen können und in wieweit NetJet Sie dabei unterstützen kann.

Weitere Informationen:

Applet - Darstellung

Applet - Parameter

Java User Group Deutschland

Java-Net


Das Dialogfeld "Applet - Parameter"

Wie bei anderen Programmen kann man Applets Parameter übermitteln. Diese Werte können dann im Programm verwendet werden, um den Programmablauf zu ändern.

Dieses Dialogfeld ermöglicht es auf einfache Art und Weise, die Parameter zu bearbeiten:

Name

Dieses Attribut definiert den Namen eines Laufzeitparameters für das Applet. Der Name sollte dem Applet allerdings vorher bekannt sein, ansonsten hat der Parameter keinerlei Einfluss auf die Programmausführung.

Wert

Dieses Attribute gibt den Wert des Parameters an. Die Wertangabe kann nur von dem Applet selbst ausgewertet werden.

Ist bei Werttyp Referenz eingestellt, wird hier eine URL angegeben, die auf entsprechende Ressourcen verweist.

Werttyp

Dieses Attribute spezifiziert den Typ der Wertangabe. Mögliche Typen sind:

Daten | Die Angabe des Wertes wird direkt an das Applet weitergeleitet. Die Übergabe erfolgt durch Zeichenketten, nachdem sämtliche Umwandlungen vorgenommen wurden. Umwandlungen erfolgen z.B. für Entities (aus M&uuml;nchen wird München). Wenn keine Angabe erfolgt, ist dieses die Standardangabe.
Objekt | Die Wertangabe wird als Teil einer URL aufgefasst, die ein anderes Objekt innerhalb dieses Objekts betrifft.
Referenz der Art | Die Wertangabe enthält eine URL auf Ressourcen, die zur Laufzeit des Applets geladen werden. Die URL wird ohne Umwandlung direkt an das Programm weitergeleitet.

Art

Wenn der Werttyp die Angabe auf "Referenz der Art" gestellt ist, enthält dieses Attribut eine Internet Medien Typ Angabe. Die Angabe selbst dient dem Browser als Hinweis, welchen Typ die Ressource hat, auf die die bei Wert angegebene URL zeigt.

Hinweis: Werttyp und Art der Referenz sind erstmals in der HTML-Version 4.0 erwähnt und daher nicht in allen Browsern zu finden. NetJet lässt jedoch jetzt schon deren Eingabe zu, um für die Zukunft gerüstet zu sein.

Weitere Informationen:

Allgemeines zu den Applets

Applet - Darstellung


Das Dialogfeld "Applet - Darstellung"

Jedes Applet beansprucht bei der Darstellung einen rechteckigen Bereich, dessen Größe Sie vollkommen frei festlegen können. Natürlich können auch Werte wie z.B. Breite=0 Pixel angegeben werden. Da Applets jedoch im allgemeinen Informationen darstellen sollen, sind etwas größere Werte schon angebracht. Bei negativen Werten ist das Verhalten sowohl der Browser als auch des NetJets undefiniert - alles Mögliche kann passieren!

Klassendatei

Die Angabe der Klassendatei muss unbedingt erfolgen und bezeichnet das Applet, das vom Browser geladen werden soll. Die Klassendateien haben immer die Endung .class.

Basis-URL

Mit dieser Option kann eine URL angegeben werden, von der die Klassendatei geladen werden soll und die dann das aktuelle Verzeichnis für das Applet wird. Manche Applets bestehen aus mehr als nur einer Klassendatei, diese zusätzlichen Dateien müssen über den Dialog Zusatzdateien dem Projekt bekannt gemacht werden. Beachten Sie in diesem Zusammenhang auch den Hinweis am Ende dieser Seite!

Archiv

Dieses Attribut kann eine Liste von Archiven mit Klassen und/oder Ressourcen enthalten, die der Browser vor der eigentlichen Programmausführung lädt. Die Archivnamen werden durch Komma getrennt angegeben und dürfen keine Pfadangaben enthalten.

Geladen werden die Klassen durch eine Instanz von AppletClassLoader, als Basisverzeichnis dient die o.a. Basis-URL. Sinn und Zweck dieser Option ist eine erhebliche Beschleunigung der Applets.

Objektdatei

Dieses Attribut enthält den Namen einer Ressourcendatei mit einer serialisierten Version eines Applets. Das Applet wird vom Browser geladen und dann "deserialisiert". Anschließend wird die start()-Methode des Applet aufgerufen, die init()-Methode jedoch nicht!

Alternativtext

Ist der verwendete Browser zwar in der Lage, den Applet-Eintrag in dem Dokument zu verstehen, kann aber momentan oder generell keine Applets ausführen, wird dieser Text anstelle des Applets angezeigt.

Name

Mit diesem Parameter erhält das Applet neben seinem Klassennamen noch einen individuellen. Damit kann man Applet unterscheiden, wenn mehrere von ihnen in einem Dokument laufen. Verwendet werden kann der Name z.B. um von einem Applet auf ein anderes im selben Dokument zuzugreifen.

Breite

Breite des Applet-Fensters in Pixel festlegen. Die Breite kann allerdings während des Programmablaufs geändert werden.

Höhe

Höhe des Applet-Fensters in Pixel festlegen. Die Höhe kann allerdings während des Programmablaufs geändert werden.

Horiz. Freiraum

Mit dieser Option wird der obere und untere Abstand des Applets zu den umgebenden Elementen festgelegt. Die Angabe erfolgt immer in Pixel.

Vert. Freiraum

Mit dieser Option wird der linke und rechte Abstand des Applets zu den umgebenden Elementen festgelegt. Die Angabe erfolgt immer in Pixel.

Ausrichtung

Ausrichtung des Applets. Möglich sind: Oben, Mitte, Unten, Links, Rechts, Basiszeile, Texthöhe, Absolute Mitte, Absolut Unten.

Beispiel: Ein Applet wird neben eine Überschrift eingesetzt und erhält die Ausrichtung "Basiszeile". In diesem Fall liegt die Unterkante des Applets genau auf der Höhe der Unterkante der Schrift. Wird dagegen "Absolut Unten" gewählt, stimmt die Unterkante des Applets mit der Unterkante der Unterlängen des Schriftzuges überein. Allerdings nehmen manche Browser es mit der Darstellung nicht so genau und Ausprobieren ist angesagt.

Hinweis: Wie bereits bei der Option "Basis-URL" erwähnt, können Applets durchaus aus mehreren Klassendateien bestehen. Da NetJet jedoch nicht in der Lage ist, die Klassendateien zu analysieren, welche Klassen das Applet zur Laufzeit anfordert, kennt NetJet diese Dateien auch nicht. Aus diesem Grund können die vom Applet referenzierten Klassendateien nicht automatisch per FTP übertragen werden. Damit NetJet diese aber per FTP überträgt, müssen Sie alle zusätzlichen Dateien über die Seite Zusatzdateien dem Projekt bekannt machen.

Weitere Informationen:

Allgemeines zu den Applets

Applet - Parameter


Allgemeines zu den Dokumentoptionen

Auf den folgenden Seiten können verschiedene Optionen für die Dokumente eingegeben werden. Diese Optionen betreffen im Allgemeinen z.B. Titel des Dokumentes, Autor und Bearbeitungsdatum. Im Darstellungsteil kann die Farbgebung des Dokumentes und Hintergrundbilder bestimmt werden.

Hinweis: Hintergrundbilder können zwar sehr gut aussehen, jedoch benötigen sie einen recht hohen Anteil der Rechenzeit und verlangsamen somit die Bearbeitungsgeschwindigkeit erheblich. Aus diesem Grund ist es möglich, während der Bearbeitung eines Dokuments die Darstellung der Hintergrundbilder auszuschalten.

Weitere Informationen:

Allgemein

Dokument-Ereignisse

Maus-Ereignisse

Tastatur-Ereignisse

Darstellung

Automatische Weiterleitung

Zwischenspeicherung

Suchmaschine


Das Dialogfeld "Allgemein"

Auf dieser ersten Seite der Dokumentoptionen können Informationen über das aktuelle Dokument abgelegt werden. Verwendung finden die hier angegebenen Einträge im Allgemeinen bei den sogenannten Suchmaschinen und Web-Robots, die permanent das gesamte Internet durchkämmen, über die gewonnen Angaben Indizes aufbauen, und für Anfragen (Suchen) bereitstellen.

Dokument

Hier ist angegeben, welches Dokument gerade bearbeitet wird. Die Angabe kann hier nicht geändert werden, sondern nur durch Verwendung des Menüpunkts "Datei | Speichern unter…".

Titel

Der Titel (die Überschrift) des Dokuments. Der Inhalt dieses Eintrags erscheint bei vielen Browsern in der Titelzeile der Anwendung.

Obwohl dieses Feld auch leer bleiben kann, ist es doch sehr sinnvoll, hier eine beschreibende Überschrift zum Dokument anzugeben, denn sehr viele Suchmaschinen verwenden auch diese Angabe zur Indexbildung.

Autor

Der Name derjenigen Person, die das Dokument erstellt. Auch diese Information wird oft von Suchmaschinen verwendet.

Bearbeitungsdatum

Hier sollte das letzte Bearbeitungsdatum eingetragen werden. Anhand dieser Daten kann dann z.B. leicht entschieden werden, ob die Informationen des Dokuments noch aktuell sind oder nicht.

Die Angabe sollte immer in dem Format "Thu, 23 Aug 2001 08:37:18 GMT" erfolgen, damit auch Suchmaschinen, die diese Angabe verwenden, eine korrekte Information erhalten.

Kurzbeschreibung

Hier sollte eine Kurzbeschreibung des gesamten Dokuments und seines Inhalts eingetragen werden. Solche kurzen Beschreibungen helfen sehr oft denjenigen Lesern, die auf der Suche nach bestimmten Informationen sind und nicht jedes in Frage kommende Dokument vollständig durcharbeiten können und/oder wollen.

Schlüsselwörter

Schlüsselwörter sind eine weitere Hilfe für Suchmaschinen, um Dokumente sinnvoll einordnen zu können. Schlüsselwörter werden durch Komma getrennt.

Klassifizierung

Hier kann eine Klassifizierung des Dokuments erfolgen. Der Verwendungszweck ist dem der Schlüsselwörter recht ähnlich.

Name des hauptsächlich angesprungenen Rahmens

Hier wird von NetJet der Name des Frame-Fensters eingetragen, der bei den Links automatisch aufgerufen werden soll. Wenn Sie keine Frames verwenden, ist diese Option leer.

Hinweis: Bitte beachten Sie die Groß- und Kleinschreibung beim Frame-Namen. So werden die Frames "main" und "Main" unterschiedlich behandelt.

Weitere Informationen zu Suchmaschinen und der Datumsangabe befinden sich im Kapitel über die Meta-Elemente.

Weitere Informationen:

Allgemeines zu den Dokumentoptionen

Dokument-Ereignisse

Maus-Ereignisse

Tastatur-Ereignisse

Darstellung

Automatische Weiterleitung

Zwischenspeicherung

Suchmaschine


Das Dialogfeld "Darstellung"

Die zweite Seite des Dialogs enthält Darstellungsoptionen für das gesamte Dokument.

Dokument

Hier ist angegeben, welches Dokument gerade bearbeitet wird. Die Angabe kann hier nicht geändert werden, sondern nur durch den Menüpunkt "Datei | Speichern unter..."

Farbschema

NetJet bringt einige mit, die z.B. im WWW recht häufig verwendet werden.

Text, Verweise, Selektierter Verweis, Besuchter Verweis

Hier können die Farben angegeben werden, die in dem Dokument für die verschiedenen Textarten verwendet werden sollen.

In dem Kasten rechts neben den Schaltflächen kann das Ergebnis vorab besichtigt werden. Zum Erstellen und Bearbeiten neuer Farbschemata klicken Sie einfach auf die Taste "Bearbeiten...".

Hintergrundfarbe

Jedes Dokument kann eine Hintergrundfarbe besitzen. Ist keine Farbe angegeben, verwendet NetJet (und später auch der Browser) die jeweils im Programm eingestellte Standardfarbe.

Hinweis: Wenn für den Hintergrund sowohl eine Farbe als auch ein Bild angewählt wird, hat das Bild bei der Darstellung immer Vorrang. Nur dann, wenn das Bild transparent ist oder das Bild aus irgendeinem Grund nicht verfügbar ist, wird die Hintergrundfarbe zur Darstellung verwendet.

Hintergrundbild

Hier kann das Hintergrundbild eingestellt werden. Prinzipiell kann jedes Bild als Hintergrund dienen. Es ist jedoch ratsam, nur solche Bilder als Hintergrund zu verwenden, die die Textdarstellung des gesamten Dokuments hervorhebt und keinesfalls verschlechtert, d.h. es sollten nur einigermaßen dezente Bilder mit relativ wenig Kontrast verwendet werden.

Wenn Sie die Option "Unbewegliches Hintergrundbild" aktivieren, werden Hintergrundbilder zentriert im Dokument dargestellt. Wenn die Option deaktiviert ist, werden Hintergrundbilder immer so oft wiederholt und nahtlos aneinandergereiht, bis der gesamte Fensterhintergrund abgedeckt ist.
Achtung: NetJet stellt die Optionen "Unbewegliches Hintergrundbild" nicht dar, da der Rechenaufwand während dem Gestalten einer WebSite um ein vielfaches höher ist, als bei der Ansicht.

Hinweis: In NetJet ist es möglich, die Darstellung des Hintergrundbildes während der Dokumentbearbeitung abzustellen, denn die Darstellung benötigt doch einen recht großen Teil der Systemleistung.

Die anderen Optionen (Bildinformation, Kopie anlegen) entsprechen denen der normalen Bildauswahl.

Abstände

Hier können Sie den Abstand für den oberen und den linken Rand angeben. Das Dokument erhält dann eine Art durchsichtigen Rahmen.

Zeichensatz

Aus der Auswahlliste können Sie den in Ihrem Dokument verwendeten Zeichensatz auswählen. Vorgegeben ist der Zeichensatz "ISO-8559-1". Diese Option brauchen Sie nur ändern, wenn Sie zum Beispiel einen Text in Türkisch oder Chinesisch schreiben möchten.

Mehr zu Zeichensätzen finden Sie hier.

Weitere Informationen:

Allgemeines zu den Dokumentoptionen

Allgemein

Farbschema bearbeiten

Dokument-Ereignisse

Maus-Ereignisse

Tastatur-Ereignisse

Automatische Weiterleitung

Zwischenspeicherung

Suchmaschine

ISO-Zeichensätze


Die ISO-Zeichensätze

Die ISO-8559-Familie wurde vom European Computer Manufacturer's Association (ECMA) entwickelt. Es handelt sich um eine Zusammenstellung von standardisierten Zeichensätzen für alphabetische Schriften. Dazu gehören die lateinischen Schriften, auf denen die meisten Sprachen Westeuropas und Amerikas beruhen, oder etwa die kyrillischen Schriften.

Alle Zeichensätze dieser Familie basieren auf der 1-Byte-Abbildung eines Zeichens. Das heißt, alle Zeichensätze enthalten 256 mögliche Zeichen. Bei allen Zeichensätzen sind die ersten 128 Zeichen, also die Zeichen mit den Werten 0 bis 127, identisch mit dem ASCII-Zeichensatz. Das hat den Vorteil, dass die üblichen lateinischen Groß- und Kleinbuchstaben, die arabischen Ziffern und die üblichen Sonderzeichen wie Satzzeichen oder kaufmännische Zeichen in all diesen Zeichensätzen immer zur Verfügung stehen.

So wie im ASCII-Zeichensatz die ersten 32 Zeichen (Zeichenwerte 0 bis 31) für Steuerzeichen reserviert sind, sparen auch die erweiterten Zeichensätze der ISO-Familie einen Bereich von Zeichen aus. Es handelt sich um die ersten 32 Zeichen oberhalb des ASCII-Bereichs, also um die Zeichenwerte 128 bis 159. Die Tabellen zu den einzelnen Zeichensätzen weiter unten bilden daher die verbleibenden Zeichenwerte 160 bis 255 ab. Das Zeichen mit dem Wert 160 ist in allen diesen Zeichensätzen ein erzwungenes Leerzeichen.

Viele der Zeichensätze der ISO-8559-Familie überlappen sich. Das ist Absicht. Die Zeichensätze sind so optimiert, dass sich mit je einem Zeichensatz möglichst viele Schriften möglichst vollständig abdecken lassen. Zeichen, die in mehreren Zeichensätzen der ISO-8559-Familie vorkommen, haben in der Regel immer den gleichen Wert, d.h. sie befinden sich in den unterschiedlichen Zeichensätzen an der gleichen Stelle.

Sechs der ISO-8559-Zeichensätze beziehen sich auf Schriften, die im Kern auf der lateinischen Schrift basieren. Diese Zeichensätze haben daher noch die Beinamen Latin-1 bis Latin-6.

Die folgende Liste erläutert kurz die einzelnen Zeichensätze der ISO-8559-Familie.

ISO-8559-1 ("Latin-1")

Dieser Zeichensatz enthält die schriftspezifischen Zeichen für westeuropäische und amerikanische Sprachen. Der Zeichensatz deckt die Sprachen Albanisch, Dänisch, Deutsch, Englisch, Faraörisch, Finnisch, Französisch, Galizisch, Irisch, Isländisch, Italienisch, Katalanisch, Niederländisch, Norwegisch, Portugiesisch, Schwedisch und Spanisch ab.

ISO-8559-2 ("Latin-2")

Dieser Zeichensatz enthält die schriftspezifischen Zeichen für die meisten mitteleuropäischen und slawischen Sprachen. Der Zeichensatz deckt die Sprachen Kroatisch, Polnisch, Rumänisch, Slowaisch, Slowenisch, Tschechisch und Ungarisch ab.

ISO-8559-3 ("Latin-3")

Dieser Zeichensatz deckt die Sprachen Esperanto, Galizisch, Maltesisch und Türkisch ab.

ISO-8559-4 ("Latin-4")

Dieser Zeichensatz enthält einige Zeichen der Sprachen Estonisch, Lättisch und Litauisch. Vergleichen Sie diesen Zeichensatz auch mit iso 8559-10, der sehr ähnlich ist.

ISO-8559-5

Dieser Zeichensatz enthält kyrillische Zeichen. Er deckt weitgehend die Sprachen Bulgarisch, Mazedonisch, Russisch, Serbisch und Ukrainisch ab.

ISO-8559-6

Dieser Zeichensatz enthält Zeichen arabischer Schrift. Die Darstellung der Zeichen in der folgenden Tabelle ist jedoch "abstrakt", da die Zeichen in der Schriftpraxis variieren, je nachdem, ob sie am Anfang, in der Mitte oder am Ende eines Wortes oder einzeln stehen. Arabisch benötigt spezielle Computer-Software zur Darstellung, da die Schriftrichtung (von rechts nach links) auf heutigen Rechnern normalerweise nicht abbildbar ist.

ISO-8559-7

Dieser Zeichensatz enthält die Zeichen der neugriechischen Schrift.

ISO-8559-8

Dieser Zeichensatz enthält die Zeichen der hebräischen Schrift. Wie bei der arabischen Schrift ist zur Darstellung dieser Schrift zusätzliche Computer-Software erfoderlich, da die Schriftrichtung (von rechts nach links) auf heutigen Rechnern normalerweise nicht abbildbar ist.

ISO-8559-9 ("Latin-5")

Dieser Zeichensatz ist speziell für Türkisch gedacht. Er basiert auf iso 8559-1, enthält jedoch anstelle der isländischen Sonderzeichen türkische Zeichen.

ISO-8559-10 ("Latin-6")

Dieser Zeichensatz enthält speziell Zeichen für die Sprachen Grönländisch (Inuit) und Läppisch (Sami).

Weitere Informationen:

Das Dialogfeld "Darstellung"


Das Dialogfeld "Automatische Weiterleitung"

Auf dieser Seite können Sie festlegen, ob der Besucher nach einer festgesetzten Zeit automatisch auf eine neue Seite weitergeleitet werden soll. Dazu aktivieren Sie einfach die Option "Nach XXX Sekunden zur gegebenen URL" und tragen die gewünschte Verweildauer ein. Die Ziel-URL wird in die weiteren Felder eingetragen. Die Eingabe entspricht der des Dialogs "Verweisoptionen".

Weitere Informationen:

Allgemeines zu den Dokumentoptionen

Allgemein

Dokument-Ereignisse

Maus-Ereignisse

Tastatur-Ereignisse

Darstellung

Zwischenspeicherung

Suchmaschine


Das Dialogfeld "Zwischenspeicherung"

Die auf diesen Seiten zur Verfügung stehenden Optionen dienen vor allem der Beeinflussung von Proxy-Servern und des Browser-Caches.

Keine Angabe | Es wird keine Angabe in das Dokument geschrieben. Wenn diese Option aktiviert ist, wird es den Browsern und Proxy-Servern überlassen, wie lange sie das aktuelle Dokument im Zwischenspeicher halten.
Sekunden | Hier können Sie die Anzahl der Sekunden angeben, die das Dokument im Speicher gehalten werden soll.
Tage | Hier können Sie die Anzahl der Tage angeben, die das Dokument im Speicher gehalten werden soll.
Bis Datum | Hier können Sie das Datum angeben, bis wann das Dokument im Speicher gehalten werden soll. Danach wird das Dokument aus dem Browser-Cache und vom Proxy-Server gelöscht. Die Angabe erfolgt in dem Format "Thu, 23 Aug 2001 08:37:18 GMT". Nur solche Angaben werden von den bearbeitenden Maschinen und Programmen verstanden.
Darf das Dokument zwischengespeichert werden | Nur wenn Sie diese Option auf "Ja" schalten, wird das Dokument zwischengespeichert und die obigen Optionen finden Bedeutung.

Hinweis: Sie sollten die Zeitangaben an Ihren Aktualisierungs-Zeitraum anpassen. Wenn Sie Ihre Homepage nur alle 3 Monate ändern, macht es wenig Sinn, wenn Sie für die Zwischenspeicherung einen Wert von 10 Sekunden oder 5 Tagen verwenden. Vielmehr sollten Sie in diesem Fall die Option Tage verwenden und einen Wert von 90 Tagen eintragen.

Weitere Informationen:

Allgemeines zu den Dokumentoptionen

Allgemein

Dokument-Ereignisse

Maus-Ereignisse

Tastatur-Ereignisse

Darstellung

Automatische Weiterleitung

Suchmaschine


Das Dialogfeld "Suchmaschinen"

Hier können Sie Ihr Listing in den Suchmaschinen beeinflussen.

Dürfen Suchmaschinen dieses Dokument indizieren | Wenn Sie die Option auf Ja oder auf "Keine Angabe" stellen, werden die Suchmaschinen diese Seite in den Index (in die Datenbank) aufnehmen.
Dürfen Suchmaschinen den Referenzen folgen | Wenn Sie hier die Option Ja auswählen, folgt die Suchmaschine allen Links, die auf der Seite verwendet werden.
Nach wievielen Tagen sollen die Suchmaschinen des Dokument erneut aufsuchen? | Hier können Sie die Anzahl der Tage eintragen, nach denen die Suchmaschinen erneut diese Seite "untersuchen" soll.

Hinweis: Die Angaben auf diesem Dialog ersetzen nicht eine gute Auswahl an Meta-Tags und Inhalten für Ihre Homepage. Vielmehr steuern Sie nur das Verhalten der Roboter der einzelnen Suchmaschinen. Bei den Robotern handelt es sich um kleine eigenständige Programme, die die ganze Zeit das Internet durchsuchen. Dabei wird der Inhalt einer Seite analysiert, die Meta-Tags ausgewertet und die URLs in die Datenbanken aufgenommen.

Damit allerdings die Roboter auch auf Ihre Homepage kommen, müssen Sie diese bei den Suchmaschinen bekannt machen. Das geht einfacher als Sie vielleicht denken. Besuchen Sie doch einfach mal eine der größten Suchmaschinen und halten Sie Ausschau nach einem Link "URL hinzufügen" oder "Site melden". Über solche Links können Sie dann Ihre Homepage der Suchmaschine bekannt machen. Viele Suchmaschinen bieten dazu spezielle Hilfeseiten an.

Wenn Sie diese Hürde genommen haben, brauchen Sie nur noch ein wenig - oder auch ein bisschen mehr - Geduld. Es kann nämlich bis zu 6 Monaten dauern bis Ihre Homepage im Index einer Suchmaschine gelistet wird.

Weitere Informationen:

Allgemeines zu den Dokumentoptionen

Allgemein

Dokument-Ereignisse

Maus-Ereignisse

Tastatur-Ereignisse

Darstellung

Automatische Weiterleitung

Zwischenspeicherung


Das Dialogfeld "Dokument-Ereignisse"

OnLoad | Aktion, wenn das Dokument geladen und dargestellt wird. Achtung: Manche Browser führen diese Aktion auch bei einer Größenänderung des Browserfensters aus!
OnUnload | Aktion, kurz bevor das Dokument aus dem Speicher entfernt wird, um ein anderes Dokument zu laden.
Skript bearbeiten | Lässt ein weiteres Dialogfeld erscheinen. In diesem neuen Dialog können beliebig viele Skriptblöcke definiert werden.

Weitere Informationen:

Allgemeines zu den Dokumentoptionen

Allgemein

Maus-Ereignisse

Tastatur-Ereignisse

Darstellung

Automatische Weiterleitung

Zwischenspeicherung

Suchmaschine


Das Dialogfeld "Tastatur-Ereignisse"

OnKeyPress | Aktion, wenn eine Taste betätigt wird.
OnKeyUp | Aktion, gerade wenn die Taste losgelassen wird.
OnKeyDown | Aktion, gerade wenn die Taste gedrückt wird.
Skripte bearbeiten | Lässt ein weiteres Dialogfeld erscheinen. In diesem neuen Dialog können beliebig viele Skriptblöcke definiert werden.

Weitere Informationen:

Allgemeines zu den Dokumentoptionen

Allgemein

Dokument-Ereignisse

Maus-Ereignisse

Darstellung

Automatische Weiterleitung

Zwischenspeicherung

Suchmaschine


Das Dialogfeld "Maus-Ereignisse"

In diesem Dialogfeld können die Maus-Ereignisse definiert werden. HTML (und NetJet) bietet die folgenden sieben Typen an:

OnClick | Aktion, wenn der Benutzer genau auf dem Element die linke Maustaste einfach drückt.
OnDblClick | Aktion, wenn der Benutzer genau auf dem Element die linke Maustaste doppelt drückt.
OnMouseUp | Aktion, wenn der Benutzer genau auf dem Element die linke Maustaste loslässt.
OnMouseDown | Aktion, wenn der Benutzer genau auf dem Element die linke Maustaste drückt. Dieses Ereignis folgt normalerweise den OnClick-Ereignissen.
OnMouseOver | Aktion, wenn der Benutzer die Maus in den Bereich des Elements bewegt.
OnMouseOut | Aktion, wenn der Benutzer die Maus aus dem Bereich des Elements herausbewegt.
Skripte bearbeiten | Lässt ein weiteres Dialogfeld erscheinen. In diesem neuen Dialog können beliebig viele Skriptblöcke definiert werden.

Weitere Informationen:

Allgemeines zu den Dokumentoptionen

Allgemein

Dokument-Ereignisse

Tastatur-Ereignisse

Darstellung

Automatische Weiterleitung

Zwischenspeicherung

Suchmaschine


Das Dialogfeld "Farbschema"

Durch dieses Dialogfeld können leicht eigene Farbschemata erzeugt, bearbeitet und auch wieder entfernt werden.

Einzig der allererste Eintrag in der Liste besitzt eine besondere Bedeutung: Dieses Schema wird immer als Grundeinstellung (Default) angesehen! Egal, welche Farben dieses Schema auch angibt, die Farben werden zwar so angezeigt, die Werte aber nicht in das HTML-Dokument übernommen. Dieses Verhalten von NetJet dient der Simulation der Darstellung, wenn in einem Dokument keinerlei Angaben erfolgt sind und der Browser selbst entscheiden darf/kann, wie das Dokument dargestellt werden soll. Zusätzlich ist es nicht erlaubt, den ersten Eintrag zu löschen - der Eintrag muß also immer vorhanden sein.

Bemerkung: In der von NetJet vorgegebenen Liste der Farbschemata entspricht der Eintrag "Grundeinstellung/Default" farbenmäßig dem Schema "Schwarz auf Weiß".

Hinweis: Eine Änderung der Grundeinstellung wirkt immer nur auf neue Dokumente! Bereits im Speicher geladenene Dokumente werden weiterhin mit denjenigen Farben angezeigt, die bei der Erstellung als Grundeinstellung gültig waren.

Neue Farbschemata bekommen als Vorgabe immer die gerade angezeigten Farben. Ein weitergehende Bearbeitung erfolgt wie gewohnt durch die Tasten "Text...", "Verweise..." u.s.w.

Solange dieser Dialog angezeigt wird, erfolgen alle Änderungen nur im Speicher. Erst wenn das Dialogfeld mit "OK" verlassen wird, führt NetJet die Änderungen wirklich durch.


Das Dialogfeld "Farbschema benennen"

Farbschemata dürfen beliebig benannt werden, auch dürfen zwei vollkommen verschiedene Schemata den gleichen Namen besitzen. Eine Unterscheidung muß dann vom Benutzer anhand der tatsächlich angezeigten Farben vorgenommen werden. Leere Namen sind allerdings nicht erlaubt!


Das Dialogfeld "Zusatzdateien"

Bei einigen HTML-Elementen ist es möglich, zur Laufzeit - also bei der Anzeige der Seite beim "Surfer" - verschiedene Dateien nachzuladen. Sehr häufig wird dieses Verfahren z.B. bei Applets verwendet. Applets bestehen normalerweise aus einer Basisklasse, die bei Bedarf weitere Java-Klassen von einem Server nachladen kann. Da das Applet-Element selbst nicht weiß, ob und wann und unter welchen Umständen das Applet von dieser Möglichkeit Gebrauch macht, muß schon beim Design der Seite angegeben werden, welche Dateien das Element eventuell nachlädt.

Die Angabe dieser nachzuladenden Zusatzdateien kann in diesem Dialog erfolgen und nur wenn die Dateien hier angegeben werden, ist NetJet in der Lage, auch diese Dateien bei einem FTP-Transfer zu berücksichtigen.

Zur Neueingabe und zum Bearbeiten bereits bestehender Dateiangaben scheint der Dialog "Zusatzdatei angeben".


Das Dialogfeld "Zusatzdateien angeben"

Hier können Dateien angegeben werden, die sonst an keiner anderen Stelle referenziert werden. Das ist z.B. bei Skripten notwendig, die Nicht-HTML-Dokumente benötigen.

Alle Dateien, die hiermit dem Projekt hinzugefügt werden, werden von der Projektverwaltung bei der Übertragung zum Server berücksichtigt und brauchen somit nicht von Hand zum Server übertragen werden.


Das Dialogfeld "Suchen"

Über diesen Dialog können Sie Ihr aktuell geöffnetes Dokument durchsuchen. Dazu geben Sie einfach das gesuchte Wort in das Eingabefeld "Suchen nach" ein. Durch einen Klick auf den Button "Weitersuchen" starten Sie die Suche.

Mit Hilfe der Option "Groß-/Kleinschreibung beachten", weisen Sie den Suchalgorithmus an, dass genau nach der Schreibweise des Wortes gesucht werden soll.

Wenn Sie die Option "Regulärer Ausdruck" aktivieren, können Sie im Suchfeld reguläre Ausdrücke verwenden. Damit ist es Ihnen zum Beispiel möglich, nach Wortteilen und -fragmenten zu suchen. Sollten Sie sich nicht mit regulären Ausdrücken auskennen, können Sie über die Schaltfläche [image] vorgefertigte Ausdrücke in Ihre Suchanfrage einfügen.

Weitere Informationen:

Ersetzen


Das Dialogfeld "Ersetzen"

Über diesen Dialog können Sie in Ihrem aktuell geöffneten Dokument Ersetzungen vornehmen. Dazu geben Sie einfach den zu ersetzenden Wert in das Eingabefeld "Suchen nach" und den neuen Wert in das Eingabefeld "Ersetzen durch" ein. Durch einen Klick auf die Taste "Suchen" bzw. "Weitersuchen" starten Sie die Suche.

Sobald eine Übereinstimmung gefunden wurde, hält NetJet die Suche an und Sie können über den Button "Ersetzen" den Suchtreffer durch die Vorgabe ersetzen. Damit Sie diese Prozedur nicht bei allen Treffern wiederholen müssen, können Sie mit Hilfe des Buttons "Alle ersetzen" eine automatische Ersetzung durchführen.

Mit Hilfe der Option "Groß-/Kleinschreibung beachten", weisen Sie den Suchalgorithmus an, dass genau nach der Schreibweise des Wortes gesucht werden soll.

Wenn Sie die Option "Regulärer Ausdruck" aktivieren, können Sie im Suchfeld reguläre Ausdrücke verwenden. Damit ist es Ihnen zum Beispiel möglich, nach Wortteilen und -fragmenten zu suchen. Sollten Sie sich nicht mit regulären Ausdrücken auskennen, können Sie über die Schaltfläche [image] vorgefertigte Ausdrücke in Ihre Suchanfrage einfügen.

Weitere Informationen:

Suchen


Allgemeines zu den Effekten

NetJet stellt eine Reihe von frei verwendbaren Effekten auf JavaScript-Basis bereit. Zur Zeit sind die folgenden Effekte verfügbar:

RollOver-Bild

Datum der letzte Bearbeitung

Statuszeilen-Laufschrift

Hintergrundfarbe (Eingang)

Hintergrundfarbe (Ausgang)

Rechter Mausklick


Der Effekt "RollOver-Bild"

RollOver-Bilder werden gerne dazu verwendet, um beim Berühren eines Bildes mit der Maus ein anderes Bild statt dessen anzuzeigen. Durch Verwendung dieses Dialogs erfasst und übernimmt NetJet alle für diesen Effekt notwendigen Schritte und Eingaben.

Weiterhin ist später jederzeit eine Bearbeitung vorhandener RollOver-Bilder möglich (sofern der Effekt über diese Funktion eingefügt wurde).

1. Bildquelle

Hier wird das "normale" Erscheinungsbild des RollOver-Bildes festgelegt, d.h. dieses Bild zeigt der Browser im Normalfall an.

2. Bildquelle

Hier wird das Bild festgelegt, das der Browser anzeigen soll, wenn die Maus sich über dem Bild befindet. Verlässt die Maus den Bereich des Bildes, wird wieder das erste Bild angezeigt.

Verweis

Falls beim Anklicken des RollOver-Bildes ein anderes HTML-Dokument angezeigt werden soll, kann hier die Eingabe der zugehörigen URL erfolgen.

Bildname

Jedes RollOver-Bild muss einen für dieses Dokument eindeutigen Bildnamen bekommen. NetJet überprüft bei der Eingabe, ob dieser Name bereits von einem anderen RollOver-Bild verwendet wird.

Alternativtext

Der Text, der vom Browser angezeigt werden soll, falls das Bild nicht dargestellt werden kann, weil z.B. der Browser das entsprechende Bildformat nicht kennt oder das Bild nicht gefunden werden konnte.

Ausrichtung

Ausrichtung des RollOver-Bildes. Möglich sind: Oben, Mitte, Unten, Links, Rechts, Basiszeile, Texthöhe, Absolute Mitte, Absolut Unten.

Beispiel: Ein Bild wird neben eine Überschrift eingesetzt und erhält die Ausrichtung "Basiszeile". In diesem Fall liegt die Unterkante des Bildes genau auf der Höhe der Unterkante der Schrift. Wird dagegen "Absolut Unten" gewählt, stimmt die Unterkante des Bildes mit der Unterkante der Unterlängen des Schriftzuges überein.

Kopie anlegen

Ist diese Option angeklickt, wird eine Kopie im jeweiligen Arbeitsverzeichnis angelegt. Angenommen, im Projekt wurde ein Verzeichnis angegeben, in das die Bilder kopiert werden sollen (z.B. "images"), dann werden die Bilder hierhin kopiert. Diese Funktion ist besonders nützlich, wenn ein komplettes Projekt hinterher auf den Server geladen werden soll. Dann liegen diese Bilder immer richtig relativ zum Pfade der HTML-Datei, d.h., der Fall, dass Bilder nicht gefunden werden können, tritt erst gar nicht auf.

Weitere Effekte:

Allgemeines zu den Effekten

Datum der letzte Bearbeitung

Statuszeilen-Laufschrift

Hintergrundfarbe (Eingang)

Hintergrundfarbe (Ausgang)

Rechter Mausklick


Der Effekt "Datum der letzte Bearbeitung"

Diese Option fügt an der aktuellen Position im Dokument ein kleines JavaScript ein, das zur Laufzeit im Browser das Datum der letzen Bearbeitung ausgibt.

Auf das Format der Ausgabe kann leider kein Einfluss genommen werden, da dieses Browser-abhängig ist.

Weitere Effekte:

Allgemeines zu den Effekten

RollOver-Bild

Statuszeilen-Laufschrift

Hintergrundfarbe (Eingang)

Hintergrundfarbe (Ausgang)

Rechter Mausklick


Der Effekt "Hintergrundfarbe (Eingang)"

Dieser Effekt ermöglicht die Erstellung und Verwendung eines Einblend-Effekts. Angegeben wird einfach die Startfarbe (z.B. Schwarz) und die Zielfarbe (z.B. Weiß) sowie die Anzahl der Schritte für den Farbwechsel.

Beim Laden bzw. Anzeigen des Dokuments wird der Effekt dann ausgeführt. In diesem Beispiel wird in 256 Schritten von der Hintergrundfarbe Schwarz auf Weiß über geblendet.

Wenn im Dokument bisher eine andere Hintergrundfarbe als die jetzt gewählte Zielfarbe angegeben ist, fragt NetJet nach, ob die Farbe des Dokuments angepaßt werden soll.

Hinweis: Die Option "Effekt entfernen" ist nur dann aktiviert, wenn NetJet eine passende Angabe im HTML-Dokument finden kann.

Weitere Effekte:

Allgemeines zu den Effekten

RollOver

Datum der letzten Bearbeitung

Statuszeilen-Laufschrift

Hintergrundfarbe (Ausgang)

Rechter Mausklick


Der Effekt "Hintergrundfarbe (Ausgang)"

Dieser Effekt ermöglicht die Erstellung und Verwendung eines Ausblend-Effekts. Angegeben wird einfach die Startfarbe (z.B. Weiß) und die Zielfarbe (z.B. Schwarz) sowie die Anzahl der Schritte für den Farbwechsel.

Beim Verlassen des aktuellen Dokuments (aber auch z.B. beim Aktualisieren) wird der Effekt ausgeführt. In diesem Beispiel wird dann in 256 Schritten von der Hintergrundfarbe Weiß auf Schwarz über geblendet.

Wenn im Dokument bisher eine andere Hintergrundfarbe als die jetzt gewählte Startfarbe angegeben ist, fragt NetJet nach, ob die Farbe des Dokuments angepasst werden soll.

Hinweis: Die Option "Effekt entfernen" ist nur dann aktiviert, wenn NetJet eine passende Angabe im HTML-Dokument finden kann.

Weitere Effekte:

Allgemeines zu den Effekten

RollOver

Datum der letzten Bearbeitung

Statuszeilen-Laufschrift

Hintergrundfarbe (Eingang)

Rechter Mausklick


Der Effekt "Rechter Mausklick"

Durch die Verwendung dieses Effekts kann ein gewisser Schutz vor der Einsichtnahme in den HTML-Quelltext erreicht werden: Der Browser zeigt beim Betätigen der rechten Maustaste in dem Dokument eine Dialogbox an, die anschließend per OK beendet werden muß. Das sonst übliche Kontextmenü erscheint nicht.

Hinweis: Dieser Effekt funktioniert bei allen denjenigen Browsern, die JavaScript richtig unterstützen (z.B. MS Internet Explorer und NetScape Navigator ab Version 3). Opera gehört nicht zu dieser Gruppe, das Skript wird einfach ignoriert.

Bei dem MSIE 5.0 z.B. ergibt ein rechter Mausklick im Dokument den folgenden Hinweis:

Weitere Effekte:

Allgemeines zu den Effekten

RollOver

Datum der letzten Bearbeitung

Statuszeilen-Laufschrift

Hintergrundfarbe (Eingang)

Hintergrundfarbe (Ausgang)


Der Effekt "Statuszeilen-Laufschrift"

Immer wieder gerne werden Laufschriften jeglicher Art verwendet. Dieser Effekt zeigt eine Laufschrift in der Statuszeile des Browserfensters an. Die Laufschrift startet, sobald das Dokument geladen wird.

Hinweis: Wenn das Eingabefeld leer bleibt, entfernt NetJet automatisch alle für die Laufschrift notwendigen Angaben und JavaScripte aus dem Dokument.

Weitere Effekte:

Allgemeines zu den Effekten

RollOver

Datum der letzten Bearbeitung

Hintergrundfarbe (Eingang)

Hintergrundfarbe (Ausgang)

Rechter Mausklick


Allgemeines zu den Schriftgruppen

Allgemeines zu Schriftgruppen

Um eine Seite (oder besser: eine Site) ansprechend gestalten zu können, ist es unerlässlich, mehrere Schriften zur Verfügung zu haben und natürlich auch zu verwenden. Doch auch hier gilt: Weniger ist mehr!

Für die einfachere Bearbeitung von Dokumenten besitzt NetJet das Konzept der Schriftgruppen. Doch was ist denn eine Schriftgruppe? Kurz gesagt: Eine Schriftgruppe ist eine Zusammenfassung mehrerer Schriftarten zu einer Gruppe. Diese Gruppe kann dann als eigenständige Schrift in HTML verwendet werden.

Um dieses Konzept genauer zu beschreiben, muss etwas weiter ausgeholt werden: In HTML ist es möglich, z.B. einem Wort, Satz oder sogar einem Absatz eine Schriftart zuzuweisen, als Beispiel nehmen wir "Arial". Sehr häufig passiert es jedoch, dass der Leser des Dokuments genau diese Schriftart nicht besitzt und somit den Absatz nicht wie gewünscht dargestellt bekommt.

Und an dieser Stelle setzen die Schriftgruppen an. In einer Schriftgruppe kann der Autor des Dokuments bestimmte Schriftarten - die sich ähneln - zusammenfassen, die dann alle im Dokument vermerkt werden. Der Leser des Dokument hat dann eine sehr viel größere Chance, das Dokument so wie es geplant war, angezeigt zu bekommen.

Weitere Informationen:

Das Dialogfeld "Schriftartenassistent"

Das Dialogfeld "Schriftgruppen"


Das Dialogfeld "Schriftartenassistent"

Durch Verwendung des Schriftartenassistenten ist es möglich, nicht vorhandene Schriftarten innerhalb von NetJet zu simulieren. So ist z.B. die Schriftart "Helvetica" auf PC-Systemen normalerweise nicht installiert.

Um nun so zu tun als ob die Schriftart doch verfügbar wäre, kann hier angegeben werden, dass zur Darstellung von Helvetica die Windows-Schriftart Arial verwendet werden soll. Im HTML-Dokument trägt NetJet dann Helvetica als Schriftart ein, verwendet zur Darstellung jedoch Arial.

Um ein Schriftartenalias wieder zu entfernen, wählen Sie unter "Name der Schriftart" den betreffenden Alias aus. Unter "Darstellung durch" wählen Sie den letzten Eintrag ("-- Keinen Zeichensatz verwenden -- Schriftart entfernen"). Jetzt klicken Sie auf "Fertig stellen". Sie werden nochmal gefragt, ob Sie den Alias wirklich löschen möchten.

Weitere Informationen:

Allgemeines zu den Schriftgruppen"

Das Dialogfeld "Schriftgruppen"


Das Dialogfeld "Schriftgruppen"

Schriftgruppen | Dieses Feld zeigt die Liste aller bestehenden Schriftgruppen an. Die Liste kann leicht durch die vorhandenen Schaltflächen bearbeitet werden. Zusätzlich ist es vorgesehen, dass die Reihenfolge der Gruppen beliebig geändert werden kann; die hier angezeigte Reihenfolge wird auch in der ausklappbaren Liste der Schrift-Symbolleiste verwendet. Dadurch wird es möglich, häufig verwendete Gruppen weit oben in der Liste zu führen.
Enthaltene Schriftarten | Diese Liste zeigt alle in der aktuellen Gruppe enthaltenen Schriftarten auf. Durch die Schaltflächen hinzufügen/entfernen oder aber per Doppelklick kann die Liste leicht bearbeitet werden.
Vorhandene Schriftarten | Diese Liste zeigt alle im vorhandenen Schriftarten auf. Durch die Schaltflächen hinzufügen/entfernen oder aber per Doppelklick kann die Liste leicht bearbeitet werden.
Schriftbeispiel | Die wichtigsten Zeichen der gerade ausgewählten Schriftart werden hier dargestellt, damit die Auswahl etwas leichter fällt (die Namen alleine sind keine große Hilfe)...

Als Gruppenbezeichner (Gruppenname) kann eine beliebige Zeichenkette verwendet werden, also auch ein bestehender Schriftartenname. Allerdings dürfen keine zwei Schriftgruppen einen gleichen Namen bekommen.

Um eine Gruppe als solche zu identifizieren und die benötigte Schriftart zu finden, vergleicht NetJet immer zuerst mit den Namen der bestehenden Schriftgruppen und erst dann mit den bekannten Schriftartennamen.

Aus der Liste der bestehenden Gruppen kann zur Bearbeitung immer genau eine Schriftgruppe ausgewählt werden; neue Gruppen werden automatisch an das Ende der Liste angehangen. Die Bearbeitung einer Gruppe erfolgt durch Hinzufügen oder Entfernen von Schriftarten aus der Liste der enthaltenen Schriftarten.

Die Liste der in einer Gruppe enthaltenen Schriftarten besitzt auch eine gewisse Hierarchie: Je weiter oben eine Schriftart geführt wird, desto größer ist die Wahrscheinlichkeit, dass die Schriftart verwendet wird, denn wenn auf dem Zielsystem die erste Schriftart nicht vorhanden ist, wird versucht, die zweite zu verwenden. Immer dann, wenn überhaupt keine der Schriftarten vorhanden ist, verwendet der Browser die lokal eingestellten Standardschriftarten.

Hinweis: Selbst wenn auf Ihrem System Dutzende von Schriftarten installiert sind, so muß dieses auf dem Zielsystem noch lange nicht der Fall sein. Aus diesem Grund sollten HTML-Dokumente nur wenige Schriftarten verwenden und für eine gleichmäßige Darstellung auch nur die (eigentlich immer) vorhandenen Schriftarten wie z.B. Times und Arial bzw. Helvetica angegeben werden.

Und noch ein Hinweis: Microsoft installiert mit seinem Browser (Internet Explorer) neuerdings die Schriftart Verdana automatisch mit. Somit ist auch diese Schriftart auf sehr vielen Windows-Systemen vorhanden. Die Darstellung ist ähnlich der von Arial, jedoch wirkt diese Schrift etwas moderner und übersichtlicher.

Beim Bestätigen der Schriftgruppen durch Drücken der OK-Schaltfläche werden die Eingaben und Änderungen sofort aktiv. Das bedeutet, dass Änderungen bestehender Gruppen sofort im Dokument durchgeführt werden. Wird eine der Gruppen entfernt, bekommt ein Absatz, der die Gruppe zur Darstellung verwendete, nur die gerade verwendete Schriftart zugewiesen.

Bemerkung: Änderungen an den Gruppen gelten immer für den gesamten NetJet, also in allen Projekten und einzelnen Dokumenten.

Weitere Informationen:

Allgemeines zu den Schriftgruppen"

Das Dialogfeld "Schriftartenassistent"


Die FTP-Übertragung

Auf den folgenden Seiten finden Informationen zur FTP-Übertragung und beigeordneten Dialogen.

Das Dialogfeld "Prüfen"

Das Dialogfeld "FTP-Assistent"

Das Dialogfeld "Protokoll ansehen"

Das Dialogfeld "Exportieren"


Der FTP-Assistent - Schritt 1/10

Der FTP-Assistent hilft Ihnen bei der Übertragung Ihrer Site bzw. Ihres Projekts zu einem Server im Internet.

Bitte lesen Sie sich die in den Dialogen enthaltenen Informationen sorgfältig durch und folgen Sie einfach den Anweisungen des Assistenten.

Eine Besonderheit stellt die Option "Letzte bekannte Konfiguration sofort verwenden" dar. Wenn Sie diese Option einschalten, gelangen Sie bei einem Klick auf die Taste "Weiter" sofort zum Schritt 5 und können dort gleich mit der Übertragung beginnen. Eine (erneute) Eingabe der Daten wird dabei übersprungen.

Wenn Sie diese Option nicht verwenden, bietet der Assistent Ihnen die Eingabe der für die Übertragung notwendigen Daten an. Diese Vorgehensweise kann recht sinnvoll sein, wenn Sie sich nicht sicher sind, welche Angaben Sie bei der letzten Übertragung verwendet haben.

Die Taste "Online-Protokoll" ermöglicht es Ihnen, die aktuellen Befehle, die der Assistent an den FTP-Server sendet, mitzuverfolgen. Dazu wird der Dialog des Assistenten entsprechend etwas vergrößert und das Protokoll angezeigt.

Weitere Informationen:

Allgemeines zum FTP-Assistenten

FTP-Assistent Schritt 2/10

FTP-Assistent Schritt 3/10

FTP-Assistent Schritt 4/10

FTP-Assistent Schritt 5/10

FTP-Assistent Schritt 5/10

FTP-Assistent Schritt 7/10

FTP-Assistent Schritt 8/10

FTP-Assistent Schritt 9/10

FTP-Assistent Schritt 10/10


Der FTP-Assistent - Schritt 2/10

In diesem zweiten Schritt erfolge die Eingabe der wesentlichen Server-Angaben.

Servername/
IP-Adresse

Geben Sie hier entweder den Namen des Servers an (z.B. "ftp.muster-gmbh.de" oder - falls der Name nicht gegeben sein sollte - die zugehörige IP-Adresse. Bitte geben Sie nur diese Angaben an und verzichten Sie auf evtl. Protokoll- und/oder verzeichnisangaben:

FALSCH | http://ftp.muster-gmbh.de/dokumente/
RICHTIG | ftp.muster-gmbh.de

Port

Tragen Sie hier die Port-Nummer ein. In der Regel ist diese die vorgegebene 21. Sollte Ihr Provider einen anderen Port verlangen, tragen Sie bitte hier den numerischen Wert ein.

Benutzer
(-kennung)

Hier geben Sie Ihre Benutzerkennung ein, um sich auf dem Server einzuwählen. Diese Angabe erhalten Sie normalerweise von dem Betreiber des Servers in einem extra Schreiben per eMail oder hin und wieder auch per Post.

Kennwort

Zu jeder Benutzerkennung gehört i.d.R. auch ein Kennwort, mit dem Sie den Zugang zum Server autorisieren. Bei einigen Systemen wie z.B. T-Online entfällt diese Angabe, da Sie sich ja schon über die Einwahl ins T-Online-System authentisiert haben.

Arbeitsverzeichnis

Angabe eines evtl. benötigten Arbeitsverzeichnisses auf dem FTP-Server. Die Angabe dabei ist beliebig, muss jedoch den normalen Konventionen für Verzeichnisnamen entsprechen. Daher gilt wie üblich, dass weder Leerzeichen noch Sonderzeichen verwendet werden sollten.

Jedoch werden Sie ein solches Arbeitsverzeichnis nur in den seltensten Fällen benötigen!

Arbeitsverzeichnis
anlegen

Wenn Sie in dem Eingabefeld für das Arbeitsverzeichnis eine Eingabe gemacht haben, haben Sie mit dieser Option die Möglichkeit, das Arbeitsverzeichnis auf dem Server sofort anlegen zu lassen.

Wenn das Arbeitsverzeichnis bereits existiert, wird diese Angabe ignoriert.

Passiv-Modus

Wenn diese Option aktiviert ist, wird die Übertragung im Passiv-Modus durchgeführt. D.h., dass gesamte Handling der FTP-Übertragung wird dann vom Server gesteuert.

Hinweis: Einige Firewalls setzend diese Option zwingend voraus.

Server-Daten speichern

Wenn diese Option aktiviert ist, speichert der Assistent die Server-Angaben in den Projektoptionen. Bei einer späteren erneuten Übertragung des Projekts bzw. der Site brauchen Sie dann die Angaben nicht erneut zu tätigen.

Kennwörter speichern

Unter Verwendung dieser Option speichert der Assistent auch die Kennwörter in den Projektoptionen. Passwörter werden - wenn angegeben - selbstverständlich verschlüsselt abgelegt.

Die Zugangsdaten für viele deutsche Provider finden Sie immer aktuell in unserer Supportdatenbank auf der Homepage [image] www.xynx.de.

Weitere Informationen:

Allgemeines zum FTP-Assistenten

FTP-Assistent Schritt 1/10

FTP-Assistent Schritt 3/10

FTP-Assistent Schritt 4/10

FTP-Assistent Schritt 5/10

FTP-Assistent Schritt 6/10

FTP-Assistent Schritt 7/10

FTP-Assistent Schritt 8/10

FTP-Assistent Schritt 9/10

FTP-Assistent Schritt 10/10


Der FTP-Assistent - Schritt 3/10

In diesem dritten Schritt erfolgt die Eingabe der Angaben zu Proxy-Servern bzw. für Firewalls.

Direkte Verbindung

Wählen Sie diese Option, wenn Sie eine direkte Verbindung (z.B. per DFÜ-Netzwerk oder LAN) ins Internet haben. Es sind dann keine weiteren Angaben mehr notwendig, die Übertragung kann beginnen...

Verbindung über
Proxy-Server

Wählen Sie diese Option, wenn Sie in das Internet über einen Proxy-Server gehen müssen. Die dafür notwendigen Angaben erhalten Sie bei Ihrem für den Server zuständigen Administrator.

Adresse des
Proxy-Servers

Tragen Sie hier bei Bedarf die Adresse des Proxy-Servers ein. Die Port-Nummer für den Proxy-Server tragen Sie bitte in das Port-Eingabefeld im Schritt 2 ein.

Verbindung über
SOCKS-Proxy-Server

Wählen Sie diese Option, wenn Sie in das Internet über einen SOCKS-Proxy-Server gehen müssen. Die dafür notwendigen Angaben erhalten Sie bei Ihrem für den Server zuständigen Administrator.

Adresse

Tragen Sie hier bei Bedarf die Adresse des SOCKS-Servers ein.

Port

Tragen Sie hier bei Bedarf die Port-Nummer des SOCKS-Servers ein.

Benutzer

Tragen Sie hier bei Bedarf Ihre Benutzerkennung für den SOCKS-Servers ein.

Kennwort

Tragen Sie hier bei Bedarf Ihre Kennwort für die o.a. Benutzerkennung für den SOCKS-Servers ein.

Version

Wählen Sie hier die Version des SOCKS-Servers aus. Zur Verfügung stehen die folgenden Angaben:

Socks 4
Socks 4a
Socks 5

Weitere Informationen:

Allgemeines zum FTP-Assistenten

FTP-Assistent Schritt 1/10

FTP-Assistent Schritt 2/10

FTP-Assistent Schritt 4/10

FTP-Assistent Schritt 5/10

FTP-Assistent Schritt 6/10

FTP-Assistent Schritt 7/10

FTP-Assistent Schritt 8/10

FTP-Assistent Schritt 9/10

FTP-Assistent Schritt 10/10


Der FTP-Assistent - Schritt 4/10

In diesem vierten Schritt wählen Sie aus, wie der Assistent die Daten übertragen soll. Die folgenden Optionen stehen zur Verfügung:

Normal mit Verzeichnisabgleich

Es werden zuerst alle Verzeichnisstrukturen vom Server eingelesen. Anschließend werden Vergleiche durchgeführt um festzustellen, welche Dateien übertragen werden müssen.

Normal und nicht mehr benötigte Daten entfernen

Wie bei der ersten Option werden zuerst alle Verzeichnisstrukturen vom Server eingelesen und anschließend ein Vergleich durchgeführt um festzustellen, welche Dateien übertragen werden müssen. Vor der Übertragung werden jedoch alle diejenigen Dateien und Verzeichnisse auf dem Server entfernt, die von Seiten des Projekts nicht mehr benötigt bzw. referenziert werden.

Verzeichnisabgleich überspringen

Das Einlesen der Verzeichnisstruktur vom Server wird ausgelassen und es wird sofort mit der Übertragung der Daten begonnen. Welche Dateien übertragen werden müssen, erkennt der Assistent an den FTP-Daten der letzten Übertragung. Nur diejenigen Dateien, die ein neueres Datum als das der letzten Übertragung ausweisen, werden auf den Server kopiert.

Weitere Informationen:

Allgemeines zum FTP-Assistenten

FTP-Assistent Schritt 1/10

FTP-Assistent Schritt 2/10

FTP-Assistent Schritt 3/10

FTP-Assistent Schritt 5/10

FTP-Assistent Schritt 6/10

FTP-Assistent Schritt 7/10

FTP-Assistent Schritt 8/10

FTP-Assistent Schritt 9/10

FTP-Assistent Schritt 10/10


Der FTP-Assistent - Schritt 5/10

Dieser fünfte Schritt informiert Sie über darüber, dass die Übertragung nun beginnen kann. Wenn Sie nun auf "Weiter" klicken, beginnt die Übertragung per FTP zum angegebenen Server.

Die TimeOut-Angabe in Sekunden für den Verbindungsaufbau kann dazu verwendet werden, z.B. bei schlechten Verbindungen per Modem die Fehlerrate bis zu einem Abbruch des Übertragungsversuch herabzusetzen. Je mehr Sekunden Sie dem Assistenten Zeit geben, desto größer ist die Chance, dass die Verbindung zustande kommt. Allerdings sollten Sie den Wert auch nicht zu hoch setzen, denn dann kann es z.B. bei einem Tippfehler in dem Servernamen lange dauern, bis der Assistent wieder Eingaben entgegennehmen kann.

Wenn Sie im Schritt 1 die Option "Letzte bekannte Konfiguration verwenden" aktivert haben, werden Sie von dort direkt zu diesem Schritt geführt. Wenn Sie jetzt auf "Zurück" klicken, gelangen Sie daher auch sofort zum Schritt 1 zurück.

Weitere Informationen:

Allgemeines zum FTP-Assistenten

FTP-Assistent Schritt 1/10

FTP-Assistent Schritt 2/10

FTP-Assistent Schritt 3/10

FTP-Assistent Schritt 4/10

FTP-Assistent Schritt 6/10

FTP-Assistent Schritt 7/10

FTP-Assistent Schritt 8/10

FTP-Assistent Schritt 9/10

FTP-Assistent Schritt 10/10


Der FTP-Assistent - Schritt 6/10

Ab diesem Schritt beginnt die eigentliche Übertragung der Site zum Server. Der Assistent hat alle benötigten Informationen erfasst und stellt die Verbindung zum Server her. Daher unterrichtet der Assistent Sie - den Benutzer - ständig, was gerade bei der Verbindung passiert.

In der Statuszeile können Sie bei einem erfolgreichen Verbindungsaufbau sehen, mit welchem Server zur Zeit wirklich besteht.

Während der Übertragung haben Sie nicht allzu viele Möglichkeiten auf den Assistenten Einfluss zu nehmen: Sie können eigentlich nur den gesamten Vorgang abbrechen oder das Online-Protokoll ein-/auszublenden.

Weitere Informationen:

Allgemeines zum FTP-Assistenten

FTP-Assistent Schritt 1/10

FTP-Assistent Schritt 2/10

FTP-Assistent Schritt 3/10

FTP-Assistent Schritt 4/10

FTP-Assistent Schritt 5/10

FTP-Assistent Schritt 7/10

FTP-Assistent Schritt 8/10

FTP-Assistent Schritt 9/10

FTP-Assistent Schritt 10/10


Der FTP-Assistent - Schritt 7/10

In diesem Schritt liest der Assistent die Verzeichnisstruktur vom Server ein. Wenn Sie im Schritt 4 die Option "Verzeichnisabgleich überspringen" gewählt haben, geht der Assistent sofort zum übernächsten Schritt weiter.

In der Statuszeile können Sie bei einem erfolgreichen Verbindungsaufbau sehen, mit welchem Server zur Zeit wirklich besteht.

Während der Übertragung haben Sie nicht allzu viele Möglichkeiten auf den Assistenten Einfluss zu nehmen: Sie können eigentlich nur den gesamten Vorgang abbrechen oder das Online-Protokoll ein-/ausblenden.

Weitere Informationen:

Allgemeines zum FTP-Assistenten

FTP-Assistent Schritt 1/10

FTP-Assistent Schritt 2/10

FTP-Assistent Schritt 3/10

FTP-Assistent Schritt 4/10

FTP-Assistent Schritt 5/10

FTP-Assistent Schritt 6/10

FTP-Assistent Schritt 8/10

FTP-Assistent Schritt 9/10

FTP-Assistent Schritt 10/10


Der FTP-Assistent - Schritt 8/10

Nun erfolgt der Abgleich zwischen den vom Server eingelesenen Verzeichnisdaten und den Daten aus dem Projekt. Am Ende dieses Schrittes wird kurz festgehalten, wie viele Dateien im nächsten Schritt tatsächlich zu übertragen sind.

In der Statuszeile können Sie bei einem erfolgreichen Verbindungsaufbau sehen, mit welchem Server zur Zeit wirklich besteht.

Während der Übertragung haben Sie nicht allzu viele Möglichkeiten auf den Assistenten Einfluss zu nehmen: Sie können eigentlich nur den gesamten Vorgang abbrechen oder das Online-Protokoll ein-/ausblenden.

Weitere Informationen:

Allgemeines zum FTP-Assistenten

FTP-Assistent Schritt 1/10

FTP-Assistent Schritt 2/10

FTP-Assistent Schritt 3/10

FTP-Assistent Schritt 4/10

FTP-Assistent Schritt 5/10

FTP-Assistent Schritt 6/10

FTP-Assistent Schritt 7/10

FTP-Assistent Schritt 9/10

FTP-Assistent Schritt 10/10


Der FTP-Assistent - Schritt 9/10

In diesem Schritt erfolgt die eigentliche Übertragung der Dateien zum Server. Dabei aktualisiert der Assistent ständig die bisherige sowie die wahrscheinlich noch benötigte Übertragungszeit und natürlich die bisher übertragenen Datenmengen.

In der Statuszeile können Sie bei einem erfolgreichen Verbindungsaufbau sehen, mit welchem Server zur Zeit wirklich besteht.

Während der Übertragung haben Sie nicht allzu viele Möglichkeiten auf den Assistenten Einfluss zu nehmen: Sie können eigentlich nur den gesamten Vorgang abbrechen oder das Online-Protokoll ein-/ausblenden.

Weitere Informationen:

Allgemeines zum FTP-Assistenten

FTP-Assistent Schritt 1/10

FTP-Assistent Schritt 2/10

FTP-Assistent Schritt 3/10

FTP-Assistent Schritt 4/10

FTP-Assistent Schritt 5/10

FTP-Assistent Schritt 6/10

FTP-Assistent Schritt 7/10

FTP-Assistent Schritt 8/10

FTP-Assistent Schritt 10/10


Der FTP-Assistent - Schritt 10/10

Der letzte Schritt - die Übertragung ist erfolgreich abgeschlossen worden.

Es besteht nun die Möglichkeit, den Assistenten mit "OK" zu beenden oder aber sich das Online-Protokoll genauer anzusehen.

Weitere Informationen:

Allgemeines zum FTP-Assistenten

FTP-Assistent Schritt 1/10

FTP-Assistent Schritt 2/10

FTP-Assistent Schritt 3/10

FTP-Assistent Schritt 4/10

FTP-Assistent Schritt 5/10

FTP-Assistent Schritt 6/10

FTP-Assistent Schritt 7/10

FTP-Assistent Schritt 8/10

FTP-Assistent Schritt 9/10


Was ist ein Bildverweis

Bildverweise entsprechen in der HTML-Syntax den Imagemaps, genauer sogar den Client-Side-Imagemaps. Das bedeutet, dass gewissen Bereichen eines Bildes ein Verweis zugeordnet werden kann.

Der wesentliche Vorteil der Bildverweise gegenüber den Hotspots normaler Bilder ist eine geringere Belastung des Servers, da der Browser selbst entscheidet, welche Aktion vorzunehmen ist.

Bei Hotspots wird immer eine Anfrage an z.B. einen HTTP-Server formuliert, die die angeklickten Koordinaten enthält. Der Server muss anschließend diese Anfrage auswerten und entsprechend der Koordinaten reagieren. Für diese Art von Hotspots ist also normalerweise wesentlich mehr Aufwand - sowohl bei der Erstellung als auch bei der Datenübermittlung - notwendig als z.B. bei den Imagemaps. Zudem sind Imagemaps flexibler als Hotspots.

Für die Erstellung und Bearbeitung von Imagemaps bietet NetJet eine eigene Bildverweise-Symbolleiste, auf die im folgenden Abschnitt genauer eingegangen werden soll.

Weitere Informationen:

Bearbeiten der Bildverweise


Bearbeiten der Bildverweise

Bildverweise können nur dann bearbeitet werden, wenn NetJet genau ein Bild selektiert hat. Erkennen kann man den sogenannten ImageMap-Modus daran, dass automatisch die Tasten der Bildverweise-Symbolleiste eingeschaltet und aktiviert werden.

Die Symbolleiste bietet die folgenden Befehle:

Auswählen eines Bereiches zur weiteren Bearbeitung

Neuen rechteckigen Bereich erzeugen

Neuen kreisförmigen Bereich erzeugen

Neuen polygonalen Bereich erzeugen

Bild ausblenden, alle Bereiche hervorheben

Definition eines Verweises für den selektierten Bereich

Für die Bearbeitung stehen also drei geometrische Figuren zur Verfügung: Rechteck, Kreis und Polygon.

Mit dem Mauszeiger-Symbol [image] können bereits vorhandene Elemente ausgewählt und anschließend weiter bearbeitet werden. Beim Anwählen des Symbols [image] kann dann einem Bereich ein Verweis zugeordnet werden. Es erscheint das Dialogfeld Bildverweise, dessen Aufbau dem Dialogfeld der einfachen Verweise recht ähnlich ist.

Hinweis: Zusätzlich ist es möglich, per Doppelklick auf eine Fläche oder auch durch Drücken der Eingabetaste Verweise zuzuordnen.

Ein Doppelklick auf das Bild an nicht bedeckten Bereichen lässt wie gewohnt das Bildoptionen-Dialogfeld erscheinen. Um dem Bild einen Standard-Verweis zuzuordnen muss das Bild per einfachem Klicken selektiert werden und anschließend das Verweis-Symbol [image] betätigt werden.

Weiterhin können die Figuren sowohl mit der Maus als auch mit den Pfeiltasten verschoben und in der Größe geändert werden. Entfernt werden überflüssige Elemente durch Anwählen mit anschließendem Druck auf die Entfernen-Taste.

Und falls einmal keine Maus zur Verfügung stehen sollte, lassen sich die einzelnen Elemente auch mit der Tabulator-Taste in der aktuellen Reihenfolge durchgehen und bearbeiten.

Weitere Informationen:

Was ist ein Bildverweis?


Die Bildbearbeitung in NetJet

Das Bildbearbeitungsprogramm von NetJet ähnelt den bekannten Programmen wie Paintshop und Photoshop.

Auf der linken Bildschirmhälfte finden Sie die Arbeitsfläche mit dem ausgewählten Bild. Die Leiste mit den einzelnen Bearbeitungsmöglichkeiten finden Sie auf der rechten Seite.

Bilddatei öffnen

Bilddatei speichern

Helligkeit

Kontrast

Tonwertkorrekturen rot

Tonwertkorrekturen grün

Tonwertkorrekturen blau

Weichzeichnen

Schärfen

Schwarzweiss

Negativ

Solarisierung

3D-Rahmen

Bild vergrößern / verkleinern

Copyrighteinblendung

Rückgängig / Wiederherstellen

Bild übernehmen

Abbrechen


Das Dialogfeld "3D - Rahmen"

Dieser Dialog unterstützt Sie bei der Erstellung eines dreidimensionalen Rahmens um ein Bild. Somit können Sie ganz schnell auf einfache Art und Weise aus bestehenden Bilder Buttons generieren.

Rahmenbreite | Hier können Sie die Breite des Rahmens festlegen. Die Änderungen werden gleichzeitig im Vorschaufenster angezeigt.
Farbe Links/Oben | Durch klicken auf diesen Eintrag, können Sie die entsprechende Farbe für den linken und den oberen Rahmen auswählen.
Farbe Rechts/Unten | Durch klicken auf diesen Eintrag, können Sie die entsprechende Farbe für den rechten und den unteren Rahmen auswählen.


Das Dialogfeld "Bildgröße ändern"

Pixel Größe | Geben Sie hier die neue Breite und Höhe des Bildes ein.
Prozent des Originals | Alternativ zur Größenangabe in Pixeln, können Sie hier auch die neue Größe prozentual zum Originalbild eintragen.
Seitenverhältnis | Wenn Sie diese Option aktivieren, achtet das Bildbearbeitungsprogramm darauf, dass die Seitenverhältnisse bei der neuen Größe beibehalten.


Das Dialogfeld "Bild übernehmen"

Speichern | Die Änderungen im Bild werden gespeichert und die Bildbearbeitung wird geschlossen.
Speichern unter | Sie können das Bild unter einem neuen Namen abspeichern.
Abbrechen | Dieser Dialog wird geschlossen.
Beenden - nicht speichern | Die Bildbearbeitng wird geschlossen und die Änderungen am Bild werden verworfen.


Das Dialogfeld "JPEG-Komprimierung"

Über diesen Dialog können Sie die Qualität des Bildes bei einer Speicherung im JPEG-Format festlegen. Das linke Zeigt Ihnen die Originalfassung des Bildes. Auf der rechten Seite können Sie die Wirkung Ihrer Änderungen betrachten. Außerdem wird Ihnen unter dem rechten Bild, die neue Dateigröße angezeigt.

Hinweis: Je besser die Qualität eines JPEG-Bildes ist, um so größer ist auch die entsprechende Datei. Für den normalen "Hausgebrauch" reicht eine mittlere Qualität vollkommen aus. Nur wenn Sie über Ihre Homepage Bilder verkaufen möchten, sollten Sie eine bessere bzw. die beste Qualität auswählen.


Das Dialogfeld "Copyright"

Über diesen Dialog können Sie in Ihr Bild einen Copyright - Hinweis einfügen.

Schrift | Hier können Sie die Schriftart und die Schriftgröße auswählen. Mit den Optionen Fett, Kursiv, Unterstrichen und Durchgestrichen werden die üblichen Schriftformatierungen eingestellt.
Texteingabe | In dieses Feld tragen Sie bitte Ihren Copyright-Hinweis ein.
Schriftmuster | Dieses Feld zeigt Ihnen eine Vorschau Ihres Copyright-Hinweis in der von Ihnen gewählten Schriftformatierung.
Farbe | Durch einen Klick auf den Button Farbe, haben Sie die Möglichkeit eine Schriftfarbe auszuwählen. Auch diese Änderung wird im Feld Schriftmuster angezeigt.
Ausrichtung | Hier wählen Sie die Ausrichtung für den Text aus. Bei der Auswahl 90° nach link, wird der Text auf der linken Bildseite angezeigt.
Platzierung | Mit den Optionen Oben und Unten können Sie festlegen, ob der Text im oberen oder im unteren Bereich des Bildes plaziert werden soll.


Der Webseiten-Assistent - Allgemeines

Eine der zahlreichen Neuerungen von NetJet 3.0 ist der Assistent zum Erstellen eines neuen Web-Projektes. Mit Hilfe dieses Assistenten erzeugen Sie im Handumdrehen ein komplettes, funktionierendes NetJet-Projekt. Beantworten Sie einfach die Fragen, die Ihnen der Assistent Schritt für Schritt stellt.

Von Zeit zu Zeit werden Sie neue Vorlagen zum Erstellen auf unsere WebSite finden. Diese Vorlagen werden dann zu sogenannten "DesignPacks" zusammengefasst, und lassen sich einfach zu Ihrem jetzigen Bestand hinzufügen.

Weitere Informationen:

Schritt 1 - Thema auswählen

Schritt 2 - Design festlegen

Schritt 3 - Seiten erstellen

Schritt 4 - Daten vorgeben

Schritt 5 - Schaltflächen bearbeiten

Schritt 6 - Projektoptionen

Schritt 7 - Projekt erzeugen

Seite hinzufügen

Seite bearbeiten

Weitere DesignPacks finden Sie auf www.xynx.de


Der WebSeiten-Assistent - Schritt 1

Schritt 1 des Assistenten

Im 1. Schritt entscheiden Sie sich für ein Thema, das auf Ihrer WebSite behandelt werden soll. Möchten Sie eine persönliche WebSite erstellen, dann wählen Sie "Private WebSite". Für einen geschäftlichen Web-Auftritt nehmen Sie die "Geschäftliche WebSite". Wenn Sie sich für ein Thema entschieden haben, klicken Sie auf "Weiter".

Thema

Legen Sie hier das Thema Ihrer WebSite fest. Je nachdem welche "DesignPacks" Sie installiert haben, finden Sie die unterschiedlichsten Themen in der Liste.

Weitere Informationen:

Allgemeines zum Assistenten

Schritt 2 - Design festlegen

Schritt 3 - Seiten erstellen

Schritt 4 - Daten vorgeben

Schritt 5 - Schaltflächen bearbeiten

Schritt 6 - Projektoptionen

Schritt 7 - Projekt erzeugen

Weitere DesignPacks auf www.xynx.de


Der WebSeiten-Assistent - Schritt 2

Schritt 2 des Assistenten

Auf dieser Seite wählen Sie ein passendes Design für Ihr Thema. Alle Seiten erhalten den selben Grund-Stil, den Sie der Vorschau entnehmen können. Auch hier hängt die Anzahl der Designs von der Anzahl der installierten "DesignPacks" ab. Haben Sie sich für ein Design entschieden, dann klicken Sie auf "Weiter" um den Assistenten fortzusetzen.

Design | Hier werden alle verfügbaren Designs des gewählten Themas aufgelistet.
Beschreibung | In diesem Feld erhalten Sie eine kurze Beschreibung zum gewählten Design.
Vorschau | Hier sehen Sie bereits eine kleine Vorschau des endgültigen Projektes.

Weitere Informationen:

Allgemeines zum Assistenten

Schritt 1 - Thema auswählen

Schritt 3 - Seiten erstellen

Schritt 4 - Daten vorgeben

Schritt 5 - Schaltflächen bearbeiten

Schritt 6 - Projektoptionen

Schritt 7 - Projekt erzeugen

Weitere DesignPacks auf www.xynx.de


Der WebSeiten-Assistent - Schritt 3

Schritt 3 des Assistenten

Legen Sie in diesem Schritt fest, welche Einträge auf Ihrer WebSite erscheinen sollen. Für jeden Eintrag legt der Assistent eine Seite und einen Menüpunkt an. Seiten, die auf einer Vorlage basieren, erhalten das [image] Symbol. Leere Seiten, die nur das Grundlayout enthalten werden mit dem Symbol [image] versehen. Sind Sie mit der Auswahl der Seiten zufrieden, dann klicken Sie auf "Weiter" um den Assistenten fortzusetzen.

Menü-Einträge | In dieser Liste werden alle Seiten angezeigt, die sich in Ihrem Web-Projekt befinden. Diese können ganz einfach mit den folgenden Funktionen hinzugefügt, bearbeitet oder gelöscht werden.
 | Seite nach oben bewegen Verschiebt die markierte Seite um eins nach oben im Menü
 | Seite nach unten bewegen Verschiebt die markierte Seite um eins nach unten im Menü
 | Neue Seite hinzufügen Fügt eine neue Seite hinzu. Sie können aus verschiedenen vorgegebenen Seiten wählen, oder einfach eine leere Seite, die nur das Grundlayout enthält, einfügen.
 | Seite bearbeiten Bearbeiten Sie nachträglich den Seitentitel der ausgewählten Seite.
 | Seite löschen Löscht die Seite komplett aus Ihrem Web-Projekt. Sie werden vorher nochmal gefragt, ob Sie dies wirklich tun möchten.

Weitere Informationen:

Allgemeines zum Assistenten

Schritt 1 - Thema auswählen

Schritt 2 - Design festlegen

Schritt 4 - Daten vorgeben

Schritt 5 - Schaltflächen bearbeiten

Schritt 6 - Projektoptionen

Schritt 7 - Projekt erzeugen

Weitere DesignPacks auf www.xynx.de


Der WebSeiten-Assistent - Schritt 4

Schritt 4 des Assistenten

Geben Sie hier Ihre persönlichen Daten an, um einige Stellen in Ihrem Web-Projekt bereits auszufüllen. Füllen Sie bitte alle Felder aus, auch wenn Sie vermutlich nicht gebraucht werden. Geben Sie eine richtige eMail-Adresse an, da diese für das Impressum benötigt wird. Wenn Sie alle Angaben gemacht haben, klicken Sie auf "Weiter" um den Assistenten fortzusetzen.

Vor- und Zuname | Geben Sie hier Ihren vollen Namen ein. (z.B.: Max Mustermann)
Organisation oder Familienname | Wenn Sie eine geschäftliche WebSite erstellen geben Sie hier den Namen der Firma an. Für alle anderen Seiten geben Sie bitte nochmals Ihren Nachnamen an.
eMail-Adresse | Tragen Sie in diesem Feld bitte eine gültige eMail-Adresse ein.
Copyright-Hinweis | Ihr Web-Projekt ist urheberrechtlich von Ihnen geschützt. Lassen Sie die Angaben in diesem Feld stehen, oder schreiben Sie noch eine Jahreszahl dazu.
Copyright auf jeder Seite zeigen | Aktivieren Sie diese Option, wenn Sie möchten, dass auf jeder Seite(meist am Ende der Seite) der Copyright-Hinweis + eMail-Adresse erscheint.
Text-Menü am Ende jeder Seite zeigen | Wenn diese Option aktiviert wird, erscheinen am Ende jeder Seite nochmals die Menü-Einträge als Textverweise.

Weitere Informationen:

Allgemeines zum Assistenten

Schritt 1 - Thema auswählen

Schritt 2 - Design festlegen

Schritt 3 - Seiten erstellen

Schritt 5 - Schaltflächen bearbeiten

Schritt 6 - Projektoptionen

Schritt 7 - Projekt erzeugen

Weitere DesignPacks auf www.xynx.de


Der WebSeiten-Assistent - Schritt 5

Schritt 5 des Assistenten

Jetzt können Sie das Aussehen der Schaltflächen, die im Menü erscheinen, festlegen. Sie haben vielfältige Möglichkeiten, die Beschriftung der Schaltfläche zu verändern. Wählen Sie keinen zu großen Schriftgrad, da sonst einige Menü-Einträge nicht auf die Schaltfläche passen. Wenn Sie alle Angaben gemacht haben, klicken Sie auf "Weiter" um den Assistenten fortzusetzen.

Achtung: Im Unterverzeichnis "images" des erzeugten Projektes liegt dann eine Datei "button.jpg". Diese kann als Grundlage für neue Schaltflächen genutzt werden.

Vorschau | Hier wird am Beispiel der Schaltfläche "Startseite" die gewählte Schriftart und Formatierung demonstriert.
Schriftart | Wählen Sie hier eine Schriftart aus allen im System verfügbaren Schriftarten.
Schriftfarbe | Klicken Sie auf den Pfeil, der nach unten zeigt, um eine Farbe auszuwählen.
Schriftgröße | Benutzen Sie die Pfeile an der rechten Seite, um die Schriftgröße zu erhöhen oder zu verringern. Wenn Sie eine Schriftgröße wählen bei der ein Menü-Eintrag nicht ganz auf die Schaltfläche passt, erscheint rechts neben der Schaltfläche ein roter Warn-Text. Wenn Sie den Warntext ignorieren, werden einige Schaltflächen wahrscheinlich nicht korrekt angezeigt.
Ausrichtung | Ändern sie hier die Ausrichtung des Menü-Textes. Zur Auswahl stehen Links, Zentriert und Rechts.
Abstand | Diese Option ist nur verfügbar, wenn Sie den Text Links oder Rechts ausrichten. Mit Hilfe der Option geben Sie an, wie viel Pixel Platz gelassen werden soll, bevor die Schrift gezeichnet wird. Für einige Schaltflächen-Arten ist diese Option sehr sinnvoll.
Schriftattribute | Formatieren Sie hiermit den Schaltflächentext Fett oder Kursiv.

Weitere Informationen:

Allgemeines zum Assistenten

Schritt 1 - Thema auswählen

Schritt 2 - Design festlegen

Schritt 3 - Seiten erstellen

Schritt 4 - Daten vorgeben

Schritt 6 - Projektoptionen

Schritt 7 - Projekt erzeugen

Weitere DesignPacks auf www.xynx.de


Der WebSeiten-Assistent - Schritt 6

Schritt 6 des Assistenten

Im vorletzten Schritt legen Sie nur noch einige Optionen zum Projekt fest. Wenn Sie alle Angaben gemacht haben, klicken Sie auf "Weiter" um den Assistenten fortzusetzen.

Projektdateiname | Geben Sie den Dateinamen des Projektes an, das erzeugt werden soll.
Projekt-Titel | Geben Sie Ihrem Projekt auch einen Titel. Diese Information ist nur für NetJet relevant.
Verzeichnis | Hier legen Sie Ihr Projekt-Verzeichnis fest. Standardmäßig trägt NetJet bereits einen Pfad ein. Wenn Sie Ihr Projekt nicht in diesem Ordner speichern möchten, dann wählen Sie mit Hilfe von "Durchsuchen" einen anderen Pfad aus.

Weitere Informationen:

Allgemeines zum Assistenten

Schritt 1 - Thema auswählen

Schritt 2 - Design festlegen

Schritt 3 - Seiten erstellen

Schritt 4 - Daten vorgeben

Schritt 5 - Schaltflächen bearbeiten

Schritt 7 - Projekt erzeugen

Weitere DesignPacks auf www.xynx.de


Der WebSeiten-Assistent - Schritt 7

Schritt 7 des Assistenten

Im letzten Schritt erzeugt der Assistent nach Ihren Vorgaben das Projekt. Wenn alles geklappt hat, brauchen Sie nur noch auf "Beenden" klicken, und schon können Sie Ihr Projekt in NetJet direkt weiterbearbeiten. Falls ein Fehler aufgetreten ist, klicken Sie auf "Zurück" und ändern die Projektoptionen entsprechend.

Weitere Informationen:

Allgemeines zum Assistenten

Schritt 1 - Thema auswählen

Schritt 2 - Design festlegen

Schritt 3 - Seiten erstellen

Schritt 4 - Daten vorgeben

Schritt 5 - Schaltflächen bearbeiten

Schritt 6 - Projektoptionen

Weitere DesignPacks auf www.xynx.de


Der WebSeiten-Assistent - Seite hinzufügen

Seite hinzufügen

Mit Hilfe dieses Dialoges können Sie Vorlagen zu Ihrem Projekt hinzufügen. Wählen Sie eine vordefinierte Seite, oder eine leere Seite. Die leere Seite enthält bereits das Grund-Layout des von Ihnen gewählten Designs.

Wenn Sie sich für eine Seite entschieden haben, dann klicken Sie auf "OK".

Weitere Informationen:

Allgemeines zum Assistenten


Der WebSeiten-Assistent - Seite bearbeiten

Seite bearbeiten

Ändern Sie hier den Namen des Menü-Eintrages sowie des Seitentitels. In der Vorschau sehen Sie nochmal eine verkleinerte Darstellung der gerade bearbeiteten Seite.

Wenn Sie sich für einen Seitentitel entschieden haben, dann klicken Sie auf "OK".

Weitere Informationen:

Allgemeines zum Assistenten


Allgemeines zu Projekten

Projekte sollen dem Bearbeiter dazu dienen, nicht so schnell die Übersicht über das Projekt - und somit die Site - zu verlieren. Und aus diesem Grund verwaltet NetJet die wichtigsten Daten für die Erstellung und das Veröffentlichen einer Site.

Die Erstellung eines neuen Projekts erfolgt dialoggesteuert in fünf Schritten, die auf den nächsten Seiten einzeln vorgestellt werden.

Schritt 1

Schritt 2

Schritt 3

Schritt 4

Schritt 5

Falls Sie aus einer bestehenden Homepage ein NetJet Projekt erstellen möchten, sehen Sie bitte im Abschnitt Site als Projekt nach.


Neues Projekt erstellen - Schritt 1 von 5

Die wesentlichen Angaben für die Erstellung eines neuen Projekts sind der Name der Projektdatei und natürlich die Pfadangabe. Um den Aufbau einer Site möglichst einfach zu gestalten, legt NetJet beim Wechsel zur nächsten Seite automatisch die benötigten Verzeichnisse an.

Projektdateiname

Der Dateiname des Projektes kann beliebig gewählt werden und dient ausschließlich dazu, das Projekt eindeutig zu kennzeichnen.

Verzeichnis:

Die Pfadangabe spielt jedoch eine wesentliche Rolle: In dem Hauptverzeichnis, in dem sich die Projektdatei selbst befindet, werden auch alle von Ihnen erzeugten HTML-Dokumente als Voreinstellung abgelegt. Dieses geschieht aus dem Grund, weil die Dateien eines Projekts (oder besser: einer Site) möglichst immer zusammenliegen und nicht wahllos auf den Datenträgern verstreut sein sollten.

Zusätzlich legt NetJet noch die Unterverzeichnisse "files", "images" und "classes" an. Diese Verzeichnisangaben können jederzeit über die Projektoptionen geändert werden.

Hinweis: Die beiden Pfadangaben müssen natürlich nicht auf unterschiedliche Verzeichnisse zeigen, aber der besseren Übersichtlichkeit halber wird dieses dringend empfohlen. Nach dem Festlegen der Pfadangaben fragt NetJet nach, ober evtl. nicht existente Verzeichnisse angelegt werden sollen.

Titel des Projekts

Der Titel des Projekt erscheint nur innerhalb von NetJet und sollte nicht mit dem Titel der einzelnen HTML-Dokumente verwechselt werden.

Bearbeiter des Projekts

Auch diese Angabe wird nur im Projekt verwendet.

Flache Sitestruktur

Sollte Ihr Provider keine Unterverzeichnisse zulassen, aktivieren Sie bitte diese Option. NetJet erstellt dann keine weiteren Unterverzeichnisse mehr.

Diese Option wird zum Beispiel für die privaten Homepages bei T-Online benötigt.

Weitere Informationen:

Allgemeines zu Projekten

Schritt 2

Schritt 3

Schritt 4

Schritt 5


Neues Projekt erstellen - Schritt 2 von 5

In diesem zweiten Schritt wird der Name der Startseite festgelegt. Prinzipiell kann der Name frei gewählt werden, jedoch ist hier nicht Ihr persönlicher Geschmack entscheidend, sondern der des HTTP-Server-Entwicklers! Normalerweise heißen die Startseiten auf WWW-Servern immer index.htm, default.htm oder auch index.html. Wenn Sie die Datei wie vorgeschlagen index.htm benennen, sollten Sie jedoch in der Praxis keine Probleme bekommen.

Mit der Taste "..." kann leicht ein Dateiname z.B. einer bestehenden Site als Startseite ausgewählt werden. Es gilt jedoch, dass die Datei innerhalb des im Schritt 1 angegebenen Dokumentenverzeichnis liegen muß! In diesem Eingabefeld darf nur ein Dateiname plus Erweiterung eingestellt werden und die Groß-/Kleinschreibung ist relevant!

Hinweis für T-Online-Anwender: T-Online verwendet als Vorgabenamen homepage.htm. Wenn dieser Dokumentenname verwendet wird, kann Homepage einfach per http://home.t-online.de/home/<eMail-Alias> aufgerufen werden.

Die Basis-URL (für Fachleute: gemeint ist hier die HREF-Angabe innerhalb des BASE-Tags) wird nur von sehr wenigen HTTP-Servern benötigt. Ein Vertreter dieser kleinen Gruppe ist der Server von Netscape.

Ob Sie hier eine Angabe tätigen müssen oder nicht, kann Ihnen nur Ihr Provider verraten. Die Angabe muß eine vollständige URL enthalten, die auf das Hauptverzeichnis Ihrer Site zeigt. Wichtig ist auch der abschließende Schrägstrich! Er zeigt an, dass es sich um ein Verzeichnis handelt, mit dem der Server später relative in absolute Pfadangaben umwandelt.

99% der heutigen Internetserver benötigen diese Angabe nicht!

Weitere Informationen:

Allgemeines zu Projekten

Schritt 1

Schritt 3

Schritt 4

Schritt 5


Neues Projekt erstellen - Schritt 3 von 5

Die hier getätigten Angaben können später über die Projektoptionen geändert werden.

Referenzierte Dateien automatisch in Projekt aufnehmen

Wann immer Sie in einem Dokument eine andere Datei referenzieren, die noch nicht in der Verwaltung enthalten ist, wir automatisch ein neuer Eintrag erzeugt. Da die Datei aber natürlich noch nicht auf dem System vorhanden ist, bekommt der Eintrag eine Fehlermarkierung.

Mit einem Doppelklick auf diesen neuen Eintrag können Sie dann leicht das neue Dokument erzeugen und öffnen.

Entstehende Waisen automatisch aus dem Projekt entfernen

Wenn Dateien oder andere Angaben von keiner Seite mehr referenziert werden, nennen wir sie Waisen. Diese Elemente kann NetJet automatisch aus der Verwaltung entfernen. Aber Achtung: Die Dateien bleiben auf der Festplatte erhalten!

Zuletzt bearbeitete Dokumente automatisch öffnen

Alle diejenigen Dokumente, die beim letzten Speichern des Projekts geladen waren, werden beim nächsten Öffnen automatisch wieder geöffnet.

XynX!-Referenz anhängen

In der Testphase ist diese Option immer angewählt und kann vom Anwender auch nicht ausgeschaltet werden. Erst wenn NetJet mit einer gültigen Lizenznummer versehen wurde, ist die Option änderbar!

Groß-/Kleinschreibung ignorieren

Wichtiger Hinweis: Wenn Sie diese Option aktivieren, werden viele Dokumente in NetJet und beim Surfen auf der lokalen Festplatte auch im Browser korrekt angezeigt.

Nach dem Publizieren können allerdings, bedingt durch das Server-Betriebssystem UNIX/Linux, zu Fehlern kommen. Aus diesem Grund sollte Sie diese Option nur aktivieren, wenn Sie sich sicher sind, dass die Daten auf einen NT-Server übertragen werden.

Weitere Informationen:

Allgemeines zu Projekten

Schritt 1

Schritt 2

Schritt 4

Schritt 5


Neues Projekt erstellen - Schritt 4 von 5

Die Daten aus diesem Dialog werden für den Verbindungsaufbau und die Übertragung Ihrer Homepage zum Server Ihres Providers benötigt.Auch diese Angaben können später über die Projektoptionen geändert werden.

Servername

Hier tragen Sie den Namen des Servers ein, zu dem eine Verbindung aufgebaut werden soll. Normalerweise ist dies der Name Ihrer Domain.

Bitte tragen Sie hier keine Protokoll und Verzeichnisangaben ein.

FALSCH | http://www.musterman.de/meineHP/
RICHTIG | www.mustermann.de

Benutzerkennung

Hier tragen Sie Ihren Benutzernamen ein. Diesen entnehmen Sie bitte den Zugangsdaten Ihres Providers.

Kennwort

Das Paßwort für Ihren Internetauftritt. Wenn Sie hier kein Paßwort eingeben, fragt NetJet vor jeder FTP-Verbindung nach dem Paßwort. Das Paßwort wird - wenn angegeben - selbstverständlich verschlüsselt abgelegt.

Arbeitsverzeichnis auf dem FTP-Server

Geben Sie hier das Arbeitsverzeichnis an, in welches NetJet automatisch nach dem Verbindungsaufbau gehen soll. Diese Angabe ist nur notwendig, wenn NetJet nicht automatisch - beim LogIn - in das richtigen Verzeichnis für den Upload kommt.

Weitere Informationen:

Allgemeines zu Projekten

Schritt 1

Schritt 2

Schritt 3

Schritt 5


Neues Projekt erstellen - Schritt 5 von 5

Kurz vor dem Anlegen der Projektdatei enthält dieses Dialogfeld noch einmal alle von Ihnen gemachten Angaben in einer Zusammenfassung. Wenn Sie jetzt noch merken, dass etwas falsch angegeben wurde, kann einfach zurückgegangen werden. Nicht rückgängig zu machen ist allerdings das Anlegen der Verzeichnisse.

Nach dem Bestätigen des Dialogfeldes werden alle Informationen in die angegebene Projektdatei eingetragen und NetJet blendet die Projektverwaltung in das Hauptfenster ein.

Wenn später noch Änderungen an den Projekteinstellungen und -optionen notwendig sind, verwenden Sie den Menüpunkt "Optionen | Projekt".

Weitere Informationen:

Allgemeines zu Projekten

Schritt 1

Schritt 2

Schritt 3

Schritt 4


Allgemeines zu "Site als neues Projekt"

NetJet bietet die Ihnen Möglichkeit, eine bereits auf der lokalen Festplatte vorhandene Site als neues NetJet-Projekt zusammenzufassen. NetJet enthält dazu einen Assistenten, der durch fünf Schritte alle dafür notwendigen Angaben erfragt und anschliessend als neues Projekt zur Verfügung stellt.

Die Erstellung dieses Projekts erfolgt dialoggesteuert in fünf Schritten, die auf den nächsten Seiten einzeln vorgestellt werden.

Schritt 1

Schritt 2

Schritt 3

Schritt 4

Schritt 5


Site als neues Projekt - Schritt 1 von 5

In diesem Schritt werden die Daten erfasst, welche als Grundlage für das neue Projekt dienen.

Projektdateiname

Der Dateiname des Projektes kann beliebig gewählt werden und dient ausschließlich dazu, das Projekt eindeutig zu kennzeichnen.

Der Name kann weitgehend frei gewählt werden, sollte jedoch keine Sonderzeichen wie z.B. <,> und z.B. | enthalten. Die für NetJet notwendige Kennung .xdp setzt NetJet selbständig an den Namen.

Homepage

Wählen Sie über den Button "Durchsuchen..." die Startseite Ihrer bestehenden Site aus. Das Verzeichnis der Startseite wird gleichzeitig als Projektverzeichnis festgelegt.

Titel des Projekts

Der Titel des Projekts erscheint nur innerhalb von NetJet und sollte nicht mit dem Titel der einzelnen HTML-Dokumente verwechselt werden.

Bearbeiter des Projekts

Auch diese Angabe wird nur im Projekt verwendet.

Weitere Informationen:

Allgemeines zu "Site als neues Projekten"

Schritt 2

Schritt 3

Schritt 4

Schritt 5


Site als neues Projekt - Schritt 2 von 5

Auf dieser Seite können Sie die Unterverzeichnisse für das neue Projekt festlegen. Die Option HTML-Dokumente sollte Sie nach Möglichkeit nicht ändern.

HTML-Dokumente | Verzeichnis, in welches die HTML-Dateien abgelegt werden. Normalerweise ist dies das Hauptverzeichnis für das Projekt. Alle weiteren Dateien und Verzeichnisse werden unterhalb dieses Verzeichnisses angelegt.
Bilddateien | In dieses Verzeichnis kopiert NetJet automatisch - bei eingeschalteter Option - die Bilddateien.
Downloaddateien | In dieses Verzeichnis werden Dateien für den Download (z.B. EXE-Dateien) gelegt.
Java-Klassendateien | In diesem Verzeichnis werden die Java-Dateien abgelegt.

Weitere Informationen:

Allgemeines zu "Site als neues Projekten"

Schritt 1

Schritt 3

Schritt 4

Schritt 5


Site als neues Projekt - Schritt 3 von 5

Die hier getätigten Angaben können später über die Projektoptionen geändert werden.

Referenzierte Dateien automatisch in Projekt aufnehmen

Wann immer Sie in einem Dokument eine andere Datei referenzieren, die noch nicht in der Verwaltung enthalten ist, wird automatisch ein neuer Eintrag erzeugt. Da die Datei aber natürlich noch nicht auf dem System vorhanden ist, bekommt der Eintrag eine Fehlermarkierung.

Mit einem Doppelklick auf diesen neuen Eintrag können Sie dann leicht das neue Dokument erzeugen und öffnen.

Entstehende Waisen automatisch aus dem Projekt entfernen

Wenn Dateien oder andere Angaben von keiner Seite mehr referenziert werden, nennen wir sie Waisen. Diese Elemente kann NetJet automatisch aus der Verwaltung entfernen. Aber Achtung: Die Dateien bleiben auf der Festplatte erhalten!

Zuletzt bearbeitete Dokumente automatisch öffnen

Alle diejenigen Dokumente, die beim letzten Speichern des Projekts geladen waren, werden beim nächsten Öffnen automatisch wieder geöffnet.

XynX!-Referenz anhängen

In der Testphase ist diese Option immer angewählt und kann vom Anwender auch nicht ausgeschaltet werden. Erst wenn NetJet mit einer gültigen Lizenznummer versehen wurde, ist die Option änderbar!

Groß-/Kleinschreibung ignorieren

Wichtiger Hinweis: Wenn Sie diese Option aktivieren, werden viele Dokumente in NetJet und beim Surfen auf der lokalen Festplatte auch im Browser korrekt angezeigt.

Nach dem Publizieren kann es allerdings, bedingt durch das Server-Betriebssystem UNIX/Linux, zu Fehlern kommen. Aus diesem Grund sollte Sie diese Option nur aktivieren, wenn Sie sich sicher sind, dass die Daten auf einen NT-Server übertragen werden.

Weitere Informationen:

Allgemeines zu "Site als neues Projekten"

Schritt 1

Schritt 2

Schritt 4

Schritt 5


Site als neues Projekt - Schritt 4 von 5

Die Daten aus diesem Dialog werden für den Verbindungsaufbau und die Übertragung Ihrer Homepage zum Server Ihres Providers benötigt. Auch diese Angaben können später über die Projektoptionen geändert werden.

Servername

Hier tragen Sie den Namen des Servers ein, zu dem eine Verbindung aufgebaut werden soll. Normalerweise ist dies der Name Ihrer Domain.

Bitte geben Sie hier keine Protokoll- und Verzeichnisangaben ein.

FALSCH | http://www.musterman.de/meineHP/
RICHTIG | www.mustermann.de

Benutzerkennung

Hier tragen Sie Ihren Benutzernamen ein. Diesen entnehmen Sie bitte den Zugangsdaten Ihres Providers.

Kennwort

Das Paßwort für Ihren Internetauftritt. Wenn Sie hier kein Paßwort eingeben, fragt NetJet vor jeder FTP-Verbindung nach dem Paßwort. Das Paßwort wird - wenn angegeben - selbstverständlich verschlüsselt abgelegt.

Arbeitsverzeichnis auf dem FTP-Server

Geben Sie hier das Arbeitsverzeichnis an, in welches NetJet automatisch nach dem Verbindungsaufbau gehen soll. Diese Angabe ist nur notwendig, wenn NetJet nicht automatisch - beim LogIn - in das richtigen Verzeichnis für den Upload kommt.

Weitere Informationen:

Allgemeines zu "Site als neues Projekten"

Schritt 1

Schritt 2

Schritt 3

Schritt 5


Site als neues Projekt - Schritt 5 von 5

Kurz vor dem Anlegen der Projektdatei enthält dieses Dialogfeld noch einmal alle von Ihnen gemachten Angaben in einer Zusammenfassung. Wenn Sie jetzt noch merken, dass etwas falsch angegeben wurde, kann einfach zurückgegangen werden. Nicht rückgängig zu machen ist allerdings das Anlegen der Verzeichnisse.

Nach dem Bestätigen des Dialogfeldes werden alle Informationen in die angegebene Projektdatei eingetragen und NetJet blendet die Projektverwaltung in das Hauptfenster ein.

Wenn später noch Änderungen an den Projekteinstellungen und -optionen notwendig sind, verwenden Sie den Menüpunkt "Optionen | Projekt".

Weitere Informationen:

Allgemeines zu "Site als neues Projekten"

Schritt 1

Schritt 2

Schritt 3

Schritt 4


Allgemeines zur Siteverwaltung

Die in NetJet enthaltene Projektverwaltung (nachfolgend auch Siteverwaltung genannt) soll dem Benutzer helfen, den Überblick über seine Site zu bekommen. Das Ziel dabei ist es, den Benutzer dahingehend zu unterstützen, die Site einfach aufbauen zu können und entstehende Fehler (wie z.B. Sackgassen und Waisen) schnellstmöglich zu eliminieren.

Der erste Schritt zu einer Site ist bereits getan, wenn Sie mit NetJet ein neues Projekt anlegen und die Startseite bearbeiten. Am besten, Sie probieren erstmal ein wenig herum, um die Fähigkeiten des NetJet kennenzulernen.

Weitere Informationen:

Die Darstellung

Aktualisierung

Eine Beispiel-Site


Projektverwaltung "Darstellung"

Sobald NetJet ein Projekt geladen hat, erscheint im Hauptfenster eine abgewandelte Symbolleiste. Sollte die Symbolleiste nicht erscheinen, ist vermutlich die Taste [image] nicht gedrückt. Das Projektfenster sieht anfangs etwas leer aber doch ungefähr wie folgt aus.

Die Verwaltung bietet insgesamt vier Ansichten der Site an:

Normale Darstellung

Tote Verbindungen

Sackgassen

Waisen

In der normalen Darstellung listet NetJet alle ihm bekannten Projekteinträge auf. Die Reihenfolge kann dabei vom Benutzer fast beliebig eingestellt und bearbeitet werden. Zu diesem Zweck existieren mehrere Kontextmenüs: Projekteintrag, Sprungziele, Referenzen und Referenziert von Einträge, die NetJet auch tatsächlich verwaltet, werden in einer fetten Schriftart angezeigt, Einträge, die NetJet zwar bekannt sind, aber nicht verwaltet werden, erhalten eine normale Schriftart.

Tote Verbindungen entstehen immer dann, wenn mindestens ein Verweis auf eine andere Datei nicht funktioniert, weil die Angabe z.B. einen Schreibfehler aufweist oder die Datei gar nicht existiert.

Als Sackgassen werden solche Dokumente bezeichnet, von denen kein Verweis zu einem anderen Dokument führt; Verweise auf Bilder oder Sprünge innerhalb des Dokuments werden dabei nicht beachtet.

Waisen sind diejenigen Dokumente, die von keinem anderen Dokument referenziert werden.

Alle Einträge bekommen ein Symbol vorangestellt, an dem leicht die Zugehörigkeit zu einer der folgenden Gruppen erkannt werden kann:

HTML-Dokumente. Das Haus-Symbol deutet an, das dieses Dokument die Startseite für die Site darstellt.Es kann immer nur eine Startseite in einer Site geben!

Bilder und Grafikdateien

Externe Referenzen

Sonstige Angaben (z.B. Archive)

Multimedia-Elemente (z.B. AVI-Filme und akustische Signale)

Erscheint jedoch das Symbol [image], weist NetJet Sie auf einen Fehler hin. Die Art des Fehlers können Sie z.B. für diesen Eintrag erfahren, indem Sie den fehlerhaften Eintrag selektieren, anschließend das Kontextmenü für den Projekteintrag aufrufen und dort den Befehl Informationen auswählen.

Zusätzlich können Sie über das Kontextmenü bestimmen, wieviele Informationen Sie in jeder einzelnen baumartigen Ansicht haben wollen.

Weitere Informationen:

Allgemeines zur Siteverwaltung

Aktualisierung

Eine Beispiel-Site


Projektverwaltung "Aktualisierung"

Die Siteverwaltung überwacht permanent alle verwendeten Verzeichnisse auf Änderungen. Sobald eine oder auch mehrere Datei(en) der Site gespeichert wird, aktualisiert NetJet seine interne Verwaltung. Da hierbei u.U. sehr viele Operationen notwendig sind, kann das schon mal etwas länger dauern. In der Zeit erscheint dann das berühmte Sanduhrsymbol.

Sollten Sie Ihre Projektdateien auf einem Fileserver (z.B. Samba) liegen haben, müssen Sie den Befehl Aktualisieren aus dem Kontextmenu der Projektverwaltung von Hand aufrufen.

WICHTIGER HINWEIS: Während Sie ein Dokument im Speicher ändern und bearbeiten, passiert in der Projektverwaltung erstmal überhaupt nichts! Erst wenn die bearbeitete Datei tatsächlich gespeichert wird, kann NetJet seine Verwaltung aktualisieren.

Weitere Informationen:

Allgemeines zur Siteverwaltung

Darstellung

Eine Beispiel-Site


Eine Beispiel-Site

Diese Mini-Site enthält insgesamt vier Dateien, zwei Dokumente (index.htm, hobby.htm) und zwei Bilder (Mustermann.jpg und Surfing.jpg). Die Seiten sind sich einfache Verweise miteinander verbunden und enthalten jeweils genau ein Bild. Wie von der Projektverwaltung beim Erstellen eines neuen Projekts vorgeschlagen, lautet der Name der Startseite index.htm.

Das Kontextmenü für den Projekteintrag sieht momentan ungefähr wie folgt aus:

Die Aufgaben der einzelnen Befehle können Sie der Beschreibung des Projekteintrag-Kontextmenüs entnehmen.

Weitere Informationen:

Allgemeines zur Siteverwaltung

Darstellung

Aktualisierung


Allgemeines zur Informationsanzeige

Je nachdem, welche Art der gerade selektierte Eintrag in der Projektverwaltung aufweist, erscheint eine etwas unterschiedliche Informationsanzeige. Insgesamt gibt es fünf verschiedene Arten, die auf den folgenden Seiten kurz vorgestellt werden.

Weitere Informationen:

Information - "Projekt"

Information - "Projekteintrag"

Information - "Sprungziel"

Information - "Referenz"

Information - "Wird referenziert von"


Information - "Projekt"

Die Informationen zum Projekt sind auf insgesamt 3 einzelne Seiten verteilt. Die erste Seite (Allgemein) listet die Daten auf, die auch bei den Projektoptionen angegeben werden.

Die zweite Seite (Verzeichnisse) stellt noch einmal zusammen, welche Verzeichnisse in dem Projekt vorgegeben sind. Nur diese Verzeichnisse verwendet NetJet selbständig, wenn z.B. Dateien in das Bilderarbeitsverzeichnis kopiert werden sollen.

In der dritten Seite befindet sich eine kleine Statistik über die gesamte Site. Hier können Sie in kompakter Form sehen, wieviele Dokumente, Bilder etc. von der Site wirklich verwendet werden. Natürlich sind in dieser Zusammenfassung keine doppelten Einträge o.ä. vorhanden, jede Datei wird genau einmal erfaßt.

Nicht eingerechnet werden können natürlich die externen Referenzen.

Auf der letzten Seite wird die Zeit angezeigt, die benötigt wird um das gesamte Projekt von einem Server herunterzuladen. Auch hier werden keine externen Referenzen eingerechnet.

Weitere Informationen

Allgemeines zur Informationsanzeige

Information - "Projekteintrag"

Information - "Sprungziel"

Information - "Referenz"

Information - "Wird referenziert von"


Information - "Projekteintrag"

Die Informationen zu einem einzelnen Projekteintrag finden auf insgesamt fünf Unterseiten Platz.

Zu den bekannten Daten gehören die Dateiangaben der Datei, sofern es sich um eine reguläre Datei auf der lokalen Festplatte handelt. Zusätzlich wird noch der Titel ausgegeben wenn es sich um ein HTML-Dokument handelt.

Auf der zweiten Seite befindet sich eine Statistik für diesen einen Projekteintrag, aus der ersehen werden kann, wieviele fremde Dokumente etc. von diesem Eintrag selbst referenziert werden. Schlußendlich gibt das Dialogfeld noch an, wie viele Bytes von den referenzierten Elementen insgesamt belegt werden.

Bemerkung: In diese Größenstatistik können natürlich nur diejenigen Elemente eingerechnet werden, deren Dateigröße bekannt ist.

Die restlichen Seiten enthalten im Wesentlichen dieselben Angaben, die sie schon in der baumartigen Darstellung/Anzeige zu finden sind.

Weitere Informationen

Allgemeines zur Informationsanzeige

Information - "Projekt"

Information - "Sprungziel"

Information - "Referenz"

Information - "Wird referenziert von"


Information - "Sprungziel"

Dieses Dialogfeld zeigt alle bekannten Daten zu einem Sprungziel auf.

Dazu gehören der Name des Sprungziels so wie er in dem Dokument definiert wurde und natürlich, in welchem Dokument die Definition zu finden ist. In der Liste darunter stehen alle Verweise, die sich auf dieses Sprungziel beziehen.

Weitere Informationen

Allgemeines zur Informationsanzeige

Information - "Projekt"

Information - "Projekteintrag"

Information - "Referenz"

Information - "Wird referenziert von"


Information - "Referenz"

Hier sind alle bekannten Daten der Referenz zusammengefaßt. Dazu gehören der Name und Titel des referenzierten Eintrags sowie - falls bekannt - die Dateisystemangaben zur Datei.

Weitere Informationen

Allgemeines zur Informationsanzeige

Information - "Projekt"

Information - "Projekteintrag"

Information - "Sprungziel"

Information - "Wird referenziert von"


Information - "Wird referenziert von"

Kurz und bündig stehen hier alle bekannten Informationen des "Wird referenziert von"-Eintrags. Dazu gehören - wie unten zu sehen - Name und Titel des Dokuments sowie die Daten den Dateisystems falls bekannt.

Weitere Informationen

Allgemeines zur Informationsanzeige

Information - "Projekt"

Information - "Projekteintrag"

Information - "Sprungziel"

Information - "Referenz"


Projektoptionen - Allgemein

In diesem Dialogfeld können nachträglich der Titel und der Bearbeitername geändert werden.

Zusätzlich liefert das Dialogfeld Informationen, wann z.B. die letzte Speicherung des Projekts und der letzte FTP-Transfer stattgefunden hat.

Weitere Informationen

Allgemeines zu den Projektoptionen

Projektoptionen - Verzeichnisse

Projektoptionen - Basis-URL

Projektoptionen - Optionen

Projektoptionen - FTP-Daten

Projektoptionen - Proxy


Projektoptionen - Verzeichnisse

Auf dieser Seite können Sie die Verzeichnisse für das aktuelle Projekt ändern. Bei einer Verzeichnisänderung werden die darin enthaltenen Dateien und Unterverzeichnisse nicht mit kopiert.

Projektdatei | Hier finden Sie den kompletten Pfad der Projektdatei. Diese Option ist nicht änderbar.
Projektdateiname | Projektdateiname ohne Pfad und Dateiendung. Auch diese Option ist nicht änderbar.
HTML-Dokumente | Verzeichnis, in welches die HTML-Dateien abgelegt werden. Normalerweise ist dies das Hauptverzeichnis für das Projekt. Alle weiteren Dateien und Verzeichnisse werden unterhalb dieses Verzeichnisses angelegt.
Bilddateien | In dieses Verzeichnis kopiert NetJet automatisch - bei eingeschalteter Option - die Bilddateien.
Downloaddateien | In dieses Verzeichnis werden Dateien für den Download (z.B. EXE-Dateien) gelegt.
Java-Klassendateien | In diesem Verzeichnis werden die Java-Dateien abgelegt.

Weitere Informationen

Allgemeines zu den Projektoptionen

Projektoptionen - Allgemein

Projektoptionen - Basis-URL

Projektoptionen - Optionen

Projektoptionen - FTP-Daten

Projektoptionen - Proxy


Projektoptionen - Basis-URL

In diesem Dialogfeld kann jederzeit eine neue Basis-URL eingetragen werden. Wie auch unter Neues Projekt - Schritt 2 beschrieben, müssen Sie sich bei Ihrem Provider erkundigen, ob eine solche Angabe notwendig ist und wenn ja, wie sie erfolgen muß.

Weitere Informationen

Allgemeines zu den Projektoptionen

Projektoptionen - Allgemein

Projektoptionen - Verzeichnisse

Projektoptionen - Optionen

Projektoptionen - FTP-Daten

Projektoptionen - Proxy


Projektoptionen - FTP-Daten

Auf diesen Dialog können Sie die Einstellungen für die FTP-Übertragung vornehmen. Wenn Sie über einen Firewall ins Internet gehen, müssen Sie noch weitere Einstellungen auf der Seite Proxy vornehmen.

Servername

Hier tragen Sie den Namen des Servers ein, zu dem eine Verbindung aufgebaut werden soll. Normalerweise ist dies der Name Ihrer Domain.

Bitte geben Sie hier keine Protokoll- und Verzeichnisangaben ein.

FALSCH | http://www.muster-gmbh.de/meineHP/
RICHTIG | www.muster-gmbh.de

Port

Der Standardport für FTP ist 21. Sollten Ihr Povider einen anderen Port verlangen, können Sie diesen hier eintragen.

Benutzerkennung

Hier tragen Sie Ihren Benutzernamen ein. Diesen entnehmen Sie bitte den Zugangsdaten Ihres Providers.

Kennwort

Das Paßwort für Ihren Internetauftritt. Wenn Sie hier kein Paßwort eingeben, fragt NetJet vor jeder FTP-Verbindung nach dem Paßwort. Das Paßwort wird - wenn angegeben - selbstverständlich verschlüsselt abgelegt.

Arbeitsverzeichnis auf dem FTP-Server

Geben Sie hier das Arbeitsverzeichnis an, in welches NetJet automatisch nach dem Verbindungsaufbau gehen soll. Diese Angabe ist nur notwendig, wenn NetJet nicht automatisch - beim LogIn - in das richtige Verzeichnis für den Upload kommt.

Arbeitsverzeichnis bei Bedarf erstellen

Wenn Sie in der vorhergehenden Option ein Arbeitsverzeichnis eingetragen haben und dieses nicht auf dem Server vorhanden ist, erstellt NetJet automatisch das entsprechende Verzeichnis für Sie.

Passiv Modus

Wenn diese Option aktiviert ist, wird die Übertragung im Passiv-Modus durchgeführt. D.h., dass das gesamte Handling der FTP-Übertragung dann vom Server gesteuert wird.

Hinweis: Einige Firewalls setzend diese Option zwingend voraus.

Die Zugangsdaten für den Großteil der deutschen Provider finden Sie immer aktuell in unserer Supportdatenbank auf der Homepage [image] www.xynx.de.

Weitere Informationen

Allgemeines zu den Projektoptionen

Projektoptionen - Allgemein

Projektoptionen - Verzeichnisse

Projektoptionen - Basis-URL

Projektoptionen - Optionen

Projektoptionen - Proxy


Projektoptionen - Optionen

Hier können nachträglich - und immer wieder - einige Optionen für die Verwaltung des Projekts angegeben werden.

Referenzierte Dateien automatisch in Projekt aufnehmen

Wann immer Sie in einem Dokument eine andere Datei referenzieren, die noch nicht in der Verwaltung enthalten ist, wird automatisch ein neuer Eintrag erzeugt. Da die Datei aber natürlich noch nicht auf dem System vorhanden ist, bekommt der Eintrag eine Fehlermarkierung.

Mit einem Doppelklick auf diesen neuen Eintrag können Sie dann leicht das neue Dokument erzeugen und öffnen.

Entstehende Waisen automatisch aus dem Projekt entfernen

Wenn Dateien oder andere Angaben von keiner Seite mehr referenziert werden, nennen wir sie Waisen. Diese Elemente kann NetJet automatisch aus der Verwaltung entfernen. Aber Achtung: Die Dateien bleiben auf der Festplatte erhalten!

Zuletzt bearbeitete Dokumente automatisch öffnen

Alle diejenigen Dokumente, die beim letzten Speichern des Projekts geladen waren, werden beim nächsten Öffnen automatisch wieder geöffnet.

XynX!-Referenz anhängen

In der Testphase ist diese Option immer angewählt und kann vom Anwender auch nicht ausgeschaltet werden. Erst wenn NetJet mit einer gültigen Lizenznummer versehen wurde, ist die Option änderbar!

Erneute Übertragung aller Dateien

Wenn diese Option aktiv ist, werden bei der nächsten FTP-Sitzung alle Dateien des Projektes erneut auf den Webserver übertragen. Nach dem Upload wird diese Option wieder deaktiviert.

Groß-/Kleinschreibung ignorieren

Wichtiger Hinweis: Wenn Sie diese Option aktivieren, werden viele Dokumente in NetJet und beim Surfen auf der lokalen Festplatte auch im Browser korrekt angezeigt.

Nach dem Publizieren kann es allerdings, bedingt durch das Server-Betriebssystem UNIX/Linux, zu Fehlern kommen. Aus diesem Grund sollten Sie diese Option nur aktivieren, wenn Sie sich sicher sind, dass die Daten auf einen NT-Server übertragen werden.

Weitere Informationen

Allgemeines zu den Projektoptionen

Projektoptionen - Allgemein

Projektoptionen - Verzeichnisse

Projektoptionen - Basis-URL

Projektoptionen - FTP-Daten

Projektoptionen - Proxy


Projektoptionen - Proxy

Falls Ihr PC an einem Proxy angeschlossen ist oder sich hinter einer Firewall befindet, können Sie hier die entsprechenden Einstellungen vornehmen.

Direkte Verbindung zum Internet | Wenn Sie keine Firewall oder keinen Proxy-Server verwenden, wählen Sie bitte diese Option aus. NetJet baut dann die Verbindung direkt zum Server auf. Sollte dies fehlschlagen und die FTP-Daten alle richtig sein, müssen Sie eventuell eine der folgenden Optionen auswählen.
Verbindung über einen Proxy-Server | Hier brauchen Sie nur die Adresse Ihres Proxy-Servers eintragen. Hinweis: Proxy-Server ist nicht gleich Proxy-Server. Es kann durchaus sein, dass der Ihnen bekannte Proxy-Server für den Browser bei FTP nicht funktioniert. Sollten Sie Fragen zu diesem Thema haben, wenden Sie sich bitte an Ihren Administrator oder Provider.
Verbindung über einen SOCKS-Server | Sollten Sie als Firewall einen SOCKS-Server verwenden, aktivieren Sie bitte diese Option. Die Adresse des Servers, den Port, den Benutzernamen, das Kennwort und den Typ des Servers erfahren Sie bei Ihrem Administrator.

Weitere Informationen

Allgemeines zu den Projektoptionen

Projektoptionen - Allgemein

Projektoptionen - Verzeichnisse

Projektoptionen - Basis-URL

Projektoptionen - Optionen

Projektoptionen - FTP-Daten


Das Dialogfeld "Projekt prüfen"

Nach der Anwahl des Menüpunkts "Publizieren | Prüfen" erscheint dieser Dialog. In dem Dialog werden diejenigen Fehler-Informationen bereitgestellt, die NetJet bei der Überprüfung des aktuellen Projekt gefunden hat.


Das Dialogfeld "Projekt exportieren"

Das Exportieren eines Projekts (oder genauer gesagt: einer Site) kann dazu verwendet werden, um genau die benötigten Dokumente und Dateien in einem separaten Verzeichnis zusammenzustellen. Das wird z.B. dann benötigt, wenn die Site auf eine Diskette oder CD-R kopiert werden soll - und zwar ohne den Ballast, der sich beim Erstellen der Site angesammelt hat.

Der erste Schritt besteht darin, das Zielverzeichnis auszuwählen. Falls das angegebene Verzeichnis noch nicht existiert, fragt NetJet nach, ob das Verzeichnis angelegt werden soll.

Die folgenden drei Optionen dienen zur Einstellung, wie sich NetJet beim Kopiervorgang verhalten soll:

  • Basis-URL einfügen: Ist diese Option aktiviert, setzt NetJet in das Startdokument der Site (meist index.htm) die Basis-URL aus den Projektoptionen wie auch bei einem FTP-Transfer ein.

  • Dateien verschieben: Alle vom Projekt verwendeten Dateien werden nicht kopiert, sondern verschoben! Werden die so verschobenen Dateien zusätzlich von anderen Projekten verwendet, weisen diese jetzt demzufolge Fehler auf, denn die Dateien sind ja nicht mehr an der vorigen Position zu finden.

  • Projektdatei kopieren/verschieben: Durch diese Option wird es leicht möglich, ein komplettes Projekt in ein anderes Verzeichnis (z.B. auf einem anderen Laufwerk) weiterzubearbeiten, da NetJet jetzt auch die Projektdatei mit kopiert/verschiebt.

Während der Export-Aktion erscheint das Dialogfeld "Exportiere Projekt".

Hinweis: NetJet merkt sich alle in diesem Dialog vorgenommenen Angaben und bietet sie beim nächsten Exportieren wieder an.


Das Dialogfeld "Exportiere Projekt"

Dieses Dialogfeld erscheint während des gesamten Exportieren-Vorgangs. In der ersten Zeile befindet sich die Angabe, welche Datei gerade kopiert wird, in der zweiten Zeile, wo die Kopie erstellt wird. An der Grafik darunter kann abgelesen werden, wie weit der Export-Vorgang bereits fortgeschritten ist.

In der letzten Zeile befindet sich eine Angabe zum letzten aufgetreten Fehler. Meist steht hier im Fehlerfall, dass die "Von"-Datei nicht kopiert/verschoben werden kann, weil eine Pfadangabe auf eine Datei oberhalb des ursprünglichen Projektsverzeichnisses zeigt.

Läuft die Aktion dagegen störungfrei ab, ändert sich die "Abbrechen"-Taste in eine "Fertig!"-Taste.


Das Dialogfeld "Protokoll ansehen/bearbeiten"

In diesem Dialogfeld wird die aktuelle Protokolldatei angezeigt. Kann NetJet die Protokolldatei nicht lesen oder aber ist sie (noch) nicht angelegt worden, erscheint ein diesbezüglicher Hinweis. Der Name der Protokolldatei wird unter "Optionen | FTP-Protokoll" festgelegt.

Das Dialogfeld bietet ferner die Möglichkeit, das Protokoll ein wenig zu bearbeiten und so z.B. zu kürzen oder sogar ganz zu löschen.

Bemerkung: In NetJet ist fest eingestellt, dass eine Protokolldatei nicht größer als 1 MB sein kann. Das sollte auch für die Übertragung sehr großer Sites ausreichen.


Das Dialogfeld "Darstellung"

Elemente blinken

Alle Elemente mit dem Attribut blinkend werden regelmäßig neu gezeichnet. Dadurch entsteht der Eindruck, dass das Element "blinkt".

Marquee-bewegungen

Alle Marquee-Elemente (Laufschriften) werden gemäß ihrer eingestellten Optionen regelmäßig aktualisiert.

Grafik-animationen

Wenn diese Option aktiviert ist, wird bei animierten GIF-Bildern die Animation abgespielt.

Schriftdarstellung

Hier werden die Standardeinstellungen für die Fest- und Proportionalschrift vorgenommen. Diese Angaben sollten mit den Einstellungen Ihres Browsers übereinstimmen.

Die Vergrößerungsstufe ändert die Vergrößerung der aktuellen Textdarstellung und hat somit direkten Einfluss auf die Ausgabe und das Erscheinungsbild des Dokuments. Gedacht ist diese Option hauptsächlich für Personen mit Sehschwächen, denn gerade die kleinen Schriftarten können bei vielen Dokumente oft nur sehr schwer gelesen werden. Als Voreinstellung wird bei der Installation Stufe zwei gewählt.

Hinweise:

Die Darstellung von Animationen kostet einen nicht unerheblichen Anteil der zur Verfügung stehenden Rechenzeit und sollte deshalb während der normalen Bearbeitung eines Dokuments nicht aktiviert sein. Wenn die Laufschriftoption "Schrittabstand in ms" recht groß gewählt ist, wird zwar weniger Rechenzeit verbraucht, jedoch wirkt die Darstellung dann insgesamt sehr unruhig.

Eine Änderung der Vergrößerungsstufe lässt sich sowohl durch dieses Dialogfeld als auch durch [image] (Schrift-Symbolleiste) oder aber durch die Tastenkombinationen Strg + '+' / Strg + '-' erreichen.

Die in diesem Dialogfeld gemachten Änderungen an den Einstellungen werden sofort abgespeichert und gelten somit auch für die folgenden Programmstarts. Allerdings werden die hier eingestellten Schriften nicht im Dokument selbst vermerkt. Das bedeutet, dass ein anderer Benutzer das Dokument mit den dort verwendeten Schriften zu sehen bekommt und nicht unbedingt mit den von Ihnen gewünschten Schriften.

Weitere Informationen:

Das Dialogfeld "Speichern"

Das Dialogfeld "Meta-Angaben"

Das Dialogfeld "Bilder-Vorgaben"

Das Dialogfeld "Farbschema"

Das Dialogfeld "Neues Projekt"

Das Dialogfeld "FTP-Protokoll"

Das Dialogfeld "Rechtschreibung"

Das Dialogfeld "Seiteneinrichtung"

Das Dialogfeld "Allgemein"


Das Dialogfeld "Speichern"

Automatisches Speichern

Alle geöffneten und geänderten Dokumente werden automatisch alle x Minuten gespeichert. Es können Werte von 1 Minute bis hin zu 120 Minuten angegeben werden. Ist keine automatische Speicherung gewünscht, darf die Option nicht angewählt sein.

Hinweis: Wenn mehrere Dokumente gleichzeitig bearbeitet werden, kann ein zu häufiges automatisches Speichern recht lange dauern, da jedes mal alle Dokumente des Projekts überprüft und ggf. bearbeitet werden müssen.

Farbnamen verwenden

Wenn diese Option aktiviert ist, gibt NetJet beim Sichern eines HTML-Dokuments die Farbangaben als Namen aus. Aus der RGB-Angabe "#FFFFFF" wird dann "WHITE". Welche Namen NetJet dabei zur Verfügung stehen, kann z.B. in dem Farbendialog eingesehen werden. Alle dort aufgeführten Farben besitzen einen eigenen Farbnamen.

Hinweis: Die Verwendung von Namen für Farben macht ein Dokument im Quelltext etwas lesbarer, hat aber keinen direkten Einfluss auf die Darstellung an sich. Allerdings passiert es immer wieder mal, dass einige Browser mit den Namen nichts anfangen können und dann eine falsche Farbe dargestellt wird.

Formatieren mit

Durch diese Auswahlliste kann entschieden werden, wie NetJet den ausgegebenen HTML-Quelltext formatieren soll und welche bzw. wie viele Leerzeichen dazu verwendet werden sollen.

Hinweis: Wenn sehr viele Leerzeichen angegeben ist, vergrößert sich die u.U. die Ladezeit für das HTML-Dokument erheblich.

Dateierweiterungs-vorgabe

Hier kann gewählt werden, welche Dateierweiterung neue HTML-Dokumente automatisch bekommen sollen. Zur Verfügung stehen die üblichen Erweiterungen für HTML-Dokumente.

HTML-Zeilenschaltung

Hier erfolgt die Angabe, mit welchen Zeilenschaltungen NetJet das die HTML-Dokumente versehen soll. Zur Wahl stehen Unix und DOS.Hinweis: Wenn Unix angegeben ist, kann das HTML-Dokument mit den Windows-Editor NotePad von Menschen nur sehr schwer gelesen werden. Diese schwere Lesbarkeit ist für den Browser jedoch uninteressant - im Gegenteil: Das HTML-Dokument wird etwas kompakter und kann vom Browser sogar schneller bearbeitet werden.

Weitere Informationen:

Das Dialogfeld "Darstellung"

Das Dialogfeld "Meta-Angaben"

Das Dialogfeld "Bilder-Vorgaben"

Das Dialogfeld "Farbschema"

Das Dialogfeld "Neues Projekt"

Das Dialogfeld "FTP-Protokoll"

Das Dialogfeld "Rechtschreibung"

Das Dialogfeld "Seiteneinrichtung"

Das Dialogfeld "Allgemein"


Das Dialogfeld "Meta-Angaben"

Durch diese Optionen kann angegeben werden, welche META-Tags NetJet automatisch in die HTML-Dokumente eintragen soll. Die Angaben selbst können hier nicht geändert werden, da sie von NetJet generiert bzw. vorgegeben werden.

Hinweis: Während der Testphase stehen diese Optionen nicht zur Verfügung, d.h. die Werte werden von NetJet immer in die Dokumente eingetragen!

Weitere Informationen:

Das Dialogfeld "Darstellung"

Das Dialogfeld "Speichern"

Das Dialogfeld "Bilder-Vorgaben"

Das Dialogfeld "Farbschema"

Das Dialogfeld "Neues Projekt"

Das Dialogfeld "FTP-Protokoll"

Das Dialogfeld "Rechtschreibung"

Das Dialogfeld "Seiteneinrichtung"

Das Dialogfeld "Allgemein"


Das Dialogfeld "Bilder-Vorgaben"

Die Einstellungen auf dieser Seite dienen ausschließlich als Vorgabewerte für den Dialog Bilder.

Breitenangabe autom. setzen | NetJet ermittelt automatisch die Breite des Bildes und setzt diesen Wert als Vorgabe in den Bilder-Dialog ein.
Höhenangabe autom. setzen | NetJet ermittelt automatisch die Höhe des Bildes und setzt diesen Wert als Vorgabe in den Bilder-Dialog ein.
Ausrichtung | Hier legen Sie die Standardausrichtung Ihrer Bilder fest.
Rahmen | Breite des Rahmens um einem Bild. Der Rahmen wird von den Browsern erst dann angezeigt, wenn das Bild als Link fungiert.
Horizontaler Freiraum | Diese Option legt fest, wie groß der horizontale Freiraum zwischen Bild und davor stehenden bzw. nachfolgenden Objekt sein soll.
Vertikaler Freiraum | Diese Option legt fest, wie groß der vertikale Freiraum zwischen Bild und davor stehenden bzw. nachfolgenden Objekt sein soll.
Kopie(n) im Arbeits- verzeichnis anlegen | Wenn diese Option aktiviert ist, kopiert NetJet das Bild automatisch in das Arbeitsverzeichnis für die Bilder.

Weitere Informationen:

Das Dialogfeld "Darstellung"

Das Dialogfeld "Speichern"

Das Dialogfeld "Meta-Angaben"

Das Dialogfeld "Farbschema"

Das Dialogfeld "Neues Projekt"

Das Dialogfeld "FTP-Protokoll"

Das Dialogfeld "Rechtschreibung"

Das Dialogfeld "Seiteneinrichtung"

Das Dialogfeld "Allgemein"


Das Dialogfeld "Farbschema"

Durch dieses Dialogfeld können leicht eigene Farbschemata erzeugt, bearbeitet und auch wieder entfernt werden.

Einzig der allererste Eintrag in der Liste besitzt eine besondere Bedeutung: Dieses Schema wird immer als Grundeinstellung (Default) angesehen! Egal, welche Farben dieses Schema auch angibt, die Farben werden zwar so angezeigt, die Werte aber nicht in das HTML-Dokument übernommen. Dieses Verhalten von NetJet dient der Simulation der Darstellung, wenn in einem Dokument keinerlei Angaben erfolgt sind und der Browser selbst entscheiden darf/kann, wie das Dokument dargestellt werden soll. Zusätzlich ist es nicht erlaubt, den ersten Eintrag zu löschen - der Eintrag muß also immer vorhanden sein.

Bemerkung: In der von NetJet vorgegebenen Liste der Farbschemata entspricht der Eintrag "Grundeinstellung/Default" farbenmäßig dem Schema "Schwarz auf Weiß".

Hinweis: Eine Änderung der Grundeinstellung wirkt immer nur auf neue Dokumente! Bereits im Speicher geladenene Dokumente werden weiterhin mit denjenigen Farben angezeigt, die bei der Erstellung als Grundeinstellung gültig waren.

Neue Farbschemata erhalten als Vorgabe immer die gerade angezeigten Farben. Eine weitergehende Bearbeitung erfolgt wie gewohnt durch die Tasten "Text...", "Verweise..." u.s.w.

Solange dieser Dialog angezeigt wird, erfolgen alle Änderungen nur im Speicher. Erst wenn das Dialogfeld mit OK verlassen wird, führt NetJet die Änderungen wirklich durch.

Weitere Informationen:

Das Dialogfeld "Darstellung"

Das Dialogfeld "Speichern"

Das Dialogfeld "Meta-Angaben"

Das Dialogfeld "Bilder-Vorgaben"

Das Dialogfeld "Neues Projekt"

Das Dialogfeld "FTP-Protokoll"

Das Dialogfeld "Rechtschreibung"

Das Dialogfeld "Seiteneinrichtung"

Das Dialogfeld "Allgemein"


Das Dialogfeld "Neues Projekt"

In diesem Dialog werden die Standardvorgaben für neue Projekte festgesetzt. Dazu gehören z.B. die Angabe für den Bearbeiter, die Verzeichnisvorgaben und der Name der Startdatei.

Hauptsächlicher Projektbearbeiter

Festlegen des hauptsächlichen Benutzers des NetJet. Der hier angegebene Name wird bei neuen Projekten (Sites) automatisch angeboten und in Dokumenten als Autorenangabe eingetragen.

Vorgabeverzeichnis

Bei Projekt öffnen und der Erstellung eines neuen Projekts wird das hier angegebene Verzeichnis als standardmäßig angeboten.

In die weiteren Vorgabeverzeichnisse (Bilddateien, andere Dateien, Klassendateien) kopiert NetJet - auf Wunsch - die entsprechenden Objekte bzw. Dateien.

Vorgabeverzeichnis für Bilddateien

In das hier angegebenen Unterverzeichnis (Vorgabe: "images") kopiert NetJet - auf Wunsch - alle Bilddateien.

Vorgabeverzeichnis fpr andere Dateien

In das hier angegebenen Unterverzeichnis (Vorgabe: "files") kopiert NetJet - auf Wunsch - alle sonstigen Dateien.

Vorgabeverzeichnis für Applet-Klassendateien

In das hier angegebenen Unterverzeichnis (Vorgabe: "class") kopiert NetJet - auf Wunsch - alle Applet-Klassendateien.

Automatisch letztes
Projekt laden

Wenn beim Beenden von NetJet ein Projekt geöffnet ist, wird dieses beim nächsten Programmstart automatisch geladen.

Weitere Informationen:

Das Dialogfeld "Darstellung"

Das Dialogfeld "Speichern"

Das Dialogfeld "Meta-Angaben"

Das Dialogfeld "Bilder-Vorgaben"

Das Dialogfeld "Farbschema"

Das Dialogfeld "FTP-Protokoll"

Das Dialogfeld "Rechtschreibung"

Das Dialogfeld "Seiteneinrichtung"

Das Dialogfeld "Allgemein"


Das Dialogfeld "FTP-Protokoll"

Nur wenn die Protokollieren-Option gesetzt ist, führt NetJet bei der Übertragung einer Site zum Server per FTP Buch über die unternommenen Aktivitäten.

In dem Eingabefeld darunter kann eingestellt werden, in welche Datei die Protokollinformationen geschrieben werden sollen. Ist in diesem Feld keine Angabe eingetragen, ergänzt NetJet beim nächsten Programmstart automatisch den leeren Eintrag mit seiner Standardangabe. Als Standardwert wird immer angenommen, dass die Protokolldatei in demselben Verzeichnis liegen soll wie NetJet und die Dateierweiterung lautet immer ".log".

Mit der Taste "..." kann - wie üblich - leicht ein beliebiger Dateiname gewählt werden.

Weitere Informationen:

Das Dialogfeld "Darstellung"

Das Dialogfeld "Speichern"

Das Dialogfeld "Meta-Angaben"

Das Dialogfeld "Bilder-Vorgaben"

Das Dialogfeld "Farbschema"

Das Dialogfeld "Neues Projekt"

Das Dialogfeld "Rechtschreibung"

Das Dialogfeld "Seiteneinrichtung"

Das Dialogfeld "Allgemein"


Das Dialogfeld "Rechtschreibprüfung"

Durch diesen Dialog kann auf den Vorgang der Rechtschreibprüfung ein gewisser Einfluss ausgeübt werden.

Im oberen Bereich des Dialog listet NetJet alle verfügbaren Wörterbücher auf. Zur Zeit der Drucklegung sind dieses Wörterbücher für die englische und die deutsche Sprache. Ab der Version 3.0 kann NetJet auch die neue Rechtschreibung überprüfen.

Darunter sind die vorhandenen Benutzerwörterbücher ausgeführt. NetJet kann bis zu 64 Benutzerwörterbücher verwalten. Zu jedem Benutzerwörterbucher kann festgelegt werden, zu welcher Sprache dieses Wörterbuch gehören soll. In diesem Fall wird das Benutzerwörterbuch nur dann verwendet, wenn im Dokument selbst auch diese Sprache angegeben ist. Ist jedoch keine Sprache angegeben, wird das Benutzerwörterbuch bei der Rechtschreibprüfung für alle Sprachen verwendet.

Zusätzlich kann durch das Häkchen vor dem Namen für jedes Benutzerwörterbuch nochmals festgelegt werden, ob das Wörterbuch überhaupt verwendet werden darf.

Als Optionen zur Überprüfung bietet NetJet an, Wörter die ausschließlich aus Großbuchstaben bestehen oder aber Zahlen enthalten von der Überprüfung auszuschließen.

Weitere Informationen:

Das Dialogfeld "Darstellung"

Das Dialogfeld "Speichern"

Das Dialogfeld "Meta-Angaben"

Das Dialogfeld "Bilder-Vorgaben"

Das Dialogfeld "Farbschema"

Das Dialogfeld "Neues Projekt"

Das Dialogfeld "FTP-Protokoll"

Das Dialogfeld "Seiteneinrichtung"

Das Dialogfeld "Allgemein"

Rechtschreibprüfung


Das Dialogfeld "Seiteneinrichtung"

Dieses Dialogfeld ermöglicht das Einstellen einiger Parameter bei der Seitenansicht und dem Drucken eines HTML-Dokuments.

Papierränder:

Oben | Leerraum oben auf jedem Blatt.
Links | Leerraum links auf jedem Blatt.
Unten | Leerraum unten auf jedem Blatt.
Rechts | Leerraum rechts auf jedem Blatt.

Die Ränder unten und rechts können bei dem Ausdruck unter Umständen nicht immer eingehalten werden. Dieses ist z.B. dann der Fall, wenn sich eine Tabelle nicht auf die vom Papierformat abzüglich der eingestellten Ränder vorgegebenen Breite formatieren lässt und daher über den rechten bzw. unteren Rand hinausragt.

Weitere Optionen

Zeilen abschneiden | Wenn diese Option markiert ist, werden Text- bzw. Bildelemente, die nicht vollständig auf das aktuelle Blatt passen, trotzdem dargestellt und an dem eingestellten unteren Rand einfach abgeschnitten.
Text schwarz ausgeben | Ist dieses Feld markiert, werden alle Textelemente in schwarzer Schrift ausgegeben. Im anderen Fall erfolgt eine Ausgabe in der durch das HTML-Dokument vorgegebenen aktuellen Textfarbe, die dann von Druckertreiber entsprechend der Möglichkeiten des Druckers wiedergegeben wird.
Linien schwarz ausgeben | Da auch Linienelemente (z.B. Tabellenrahmen und horizontale Trennlinien) farbig dargestellt werden können, ist auch hier eine nur schwarze Ausgabe möglich. Ist das Feld nicht markiert, ist der Druckertreiber für eine farbgetreue Wiedergabe verantwortlich.

Hinweis: Bei in dem HTML-Dokument angegebenen Bildern erfolgt die Wiedergabe immer in den vorgegebenen Farben. Eine Umwandlung in die Farbmöglichkeiten des Druckers wird dem zugehörigen Druckertreiber überlassen.

Weitere Informationen:

Das Dialogfeld "Darstellung"

Das Dialogfeld "Speichern"

Das Dialogfeld "Meta-Angaben"

Das Dialogfeld "Bilder-Vorgaben"

Das Dialogfeld "Farbschema"

Das Dialogfeld "Neues Projekt"

Das Dialogfeld "FTP-Protokoll"

Das Dialogfeld "Rechtschreibprüfung"

Das Dialogfeld "Allgemein"


Das Dialogfeld "Allgemein"

Durch vier Optionen kann Einfluss auf das Verhalten von NetJet sowohl bei der Darstellung als auch beim Programmende und beim FTP genommen werden:

Programmende bestätigen lassen | NetJet fragt beim Programmende an, ob diese Aktion wirklich gewünscht wird.
Hilfslinien | Bei der Bearbeitung von HTML-Dokumenten mit Tabellen werden Hilfslinien eingeblendet, wenn die betroffenen Tabellen keine sichtbaren Ränder aufweisen.
Paragraphenzeichen | Um den Text mehr in seiner späteren Darstellung anzuzeigen, kann NetJet die Paragraphenzeichen ein-/ bzw. ausblenden. Für die Bearbeitung von Textpassagen sind die Paragraphenzeichen jedoch oft sehr hilfreich.
Signal bei FTP | Wenn der FTP-Transfer fehlschlägt, gibt NetJet immer einen Standardalarmton von sich. Bei einem erfolgreichen Transfer kann hiermit ein Musikstück abgespielt werden um das Ende des Transfers aufzuzeigen.

Weitere Informationen:

Das Dialogfeld "Darstellung"

Das Dialogfeld "Speichern"

Das Dialogfeld "Meta-Angaben"

Das Dialogfeld "Bilder-Vorgaben"

Das Dialogfeld "Farbschema"

Das Dialogfeld "Neues Projekt"

Das Dialogfeld "FTP-Protokoll"

Das Dialogfeld "Rechtschreibprüfung"

Das Dialogfeld "Seiteneinrichtung"


Das Dialogfeld "Rechtschreibung"

Dieser Dialog erscheint immer dann während der Rechtschreibprüfung, wenn z.B. ein Wort nicht im Wörterbuch gefunden werden kann. Sie haben dann die Möglichkeit, aus den Vorschlägen einen Ersatz zu wählen und automatisch an die aktuelle Position einfügen zu lassen.

Jeweils zur Situation passend werden im Dialog verschiedene Tasten aktiviert oder deaktiviert.

Beim Betätigen der Optionen-Taste erscheint der Optionen- und Vorgaben-Dialog, mit dem z.B. ein oder mehrere persönliche Wörterbücher verwaltet werden können.

Weitere Informationen:

Sprache

Optionen und Vorgaben


Das Dialogfeld "Sprache"

Für jedes einzelne HTML-Dokument kann angegeben werden, in welcher Sprache dessen Inhalt ist. NetJet kennt dabei die in der Liste aufgeführten Sprachen und trägt in das Dokument die gewählte Kennung ein.

Wenn zu einem Dokument die Sprache festgelegt wurde, verwendet NetJet bei der Rechtschreibprüfung automatisch das zugehörige Wörterbuch, sofern es installiert ist.

Hinweis: Diese Sprachenkennung darf nicht mit dem zur Verfügung stehenden Zeichensatz der jeweiligen Sprache verwechselt werden. NetJet selbst kennt nur den normalen ANSI-Zeichensatz, mit dem sich z.B. alle westeuropäischen Sprachen darstellen lassen. So ist es zwar möglich, ein Dokument z.B. als Japanisch zu kennzeichnen, die japanischen Zeichen stehen NetJet dadurch jedoch nicht zur Verfügung.

Weitere Informationen:

Rechtschreibung

Optionen und Vorgaben


Allgemeines zum Flash-Assistent

Flash-Filme gehören schon seit einiger Zeit zum alltäglichen Erscheinungsbild auf Webseiten. Ab der Version 3.0 bietet Ihnen NetJet das bequeme Einfügen und Bearbeiten eines solchen Flash-Filmes.

Weitere Informationen:

Schritt 1 - Standardeinstellungen

Schritt 2 - Flash-spezifische Einstellungen

Dialog - Dateien des Flash-Filmes

Dialog - Optionen für swRemote

Bearbeiten eines Flash-Filmes


Der Flash-Assistent - Schritt 1 von 2

In diesem Schritt können Sie Standardeinstellungen für den Flash-Film vornehmen.

Dateien... | Wählen Sie mit Hilfe des Dialoges "Dateien des Flash-Filmes" die Film-Datei aus. Geben Sie bitte auch evt. Dateien an, die der Flash-Film benötigt. Erst wenn Sie eine gültige Datei angegeben haben, kann der Assistent fortgesetzt werden.
Breite | Legen Sie hier die Breite des Filmes fest. Diese Angabe kann entweder in Pixeln (absolut) oder in Prozent (relativ) getroffen werden. Bei einer relativen Angabe entsprechen 100% der vollen Breite, die dem Flash-Film zur Verfügung stehen.
Höhe | Legen Sie hier die Höhe des Filmes fest. Diese Angabe kann entweder in Pixeln (absolut) oder in Prozent (relativ) getroffen werden. Bei einer relativen Angabe entsprechen 100% der vollen Höhe, die dem Flash-Film zur Verfügung stehen.
horiz. Freiraum | Mit dem horizontalen Freiraum können Sie festlegen, wie viele Pixel Abstand jeweils an der linken und rechten Seite des Flash-Filmes eingehalten werden sollen.
vert. Freiraum | Mit dem vertikalen Freiraum können Sie festlegen, wie viele Pixel Abstand jeweils an der oberen und unteren Seite des Flash-Filmes eingehalten werden sollen.
Ausrichtung | Legen Sie mit der Ausrichtung fest, wie der Flash-Film bezüglich des Textes ausgerichtet werden soll.
Beispiel | Hier erhalten Sie eine Vorschau für die gewählte Ausrichtung.

Weitere Informationen:

Allgemeines zum Flash-Assistent

Schritt 2 - Flash-spezifische Einstellungen

Dialog - Dateien des Flash-Filmes

Dialog - Optionen für swRemote

Bearbeiten eines Flash-Filmes


Der Flash-Assistent - Schritt 2 von 2

In diesem Schritt können Sie alle Flash-spezifischen Einstellungen vornehmen.

Name

Legen Sie hier den Namen des Flash-Objektes fest, um es eindeutig zu identifizieren.

Base

Hier können Sie angeben, zu welchem Verzeichnis oder welcher URL alle Pfadangaben des Flash-Filmes relativ sein sollen.

BGColor

Geben Sie hier die Hintergrundfarbe an, die der Film erhalten soll. Sie haben somit die Möglichkeit, den Film besser in Ihre Webseite zu integrieren.

Quality

Hiermit können Sie festlegen, wie Anti-Alias (Weich-Zeichnen) verwendet werden soll.
Bei "low" wird kein Anti-Alias verwendet.

"autolow" beginnt ohne Anti-Alias, verwendet es aber, wenn festgestellt wird, dass der Rechner schnell genug ist.

"autohigh" startet unter der Verwendung von Anti-Alias, schaltet dieses jedoch ab, sollte die Bildrate unter die angegebene absinken.

"high" verwendet immer Anti-Alias und glättet Bitmaps, wenn keine Animationen vorhanden sind.

"best" nutzt immer Anti-Alias und glättet Bitmaps, die Bildrate wird nicht berücksichtigt

Standardwert: "high"

Scale

Diese Option gibt an, wie der Flash-Film dargestellt werden soll, wenn Höhe oder Breite relativ angeben sind.

"ShowAll" bewirkt, dass das Seitenverhältnis beibehalten wird.

Mit der Einstellung "NoBorder" wird der Film derartig skaliert, dass er den gesamten Bereich füllt. Da hierbei aber das Seitenverhältnis konstant bleibt wird der Film unter Umständen an den Seiten beschnitten.

"ExactFit" passt den Film genau in den gegebenen Bereich ein, wobei das Seitenverhältnis nicht beibehalten wird.

Standardwert: "ShowAll"

SAlign

Mit dieser Option kann man festsetzen, an welchen Seiten, des durch Höhe und Breite festgelegten Bereiches, ein skalierter Flash-Film positioniert werden soll.

WMode

Hier können Sie zwischen "Window", "Opaque" und "Transparent" wählen.

"Window" bewirkt, dass der Film in einem rechteckigen Fenster auf der Webseite dargestellt wird.

Mit "Opaque" werden alle Objekte hinter dem Film verdeckt.

Bei "Transparent" kann man an allen transparenten Stellen des Filmes den Hintergrund der Webseite erkennen.

Standardwert: "Window"

Stacking

Wie der Flash-Film relativ zu anderen Elementen angeordnet werden soll, können Sie hier angeben.

swRemote...

Hiermit gelangen Sie in den Dialog "Optionen für swRemote", in dem Sie die Optionen für ShockWave angeben können.

Loop

Setzen Sie diese Option auf "True", damit der Film nach dem Ende automatisch wiederholt wird, oder auf "False", für nur einen Durchlauf.

Standardwert: "True"

Play

Hier können Sie angeben, ob der Flash-Film sofort beim Laden in dem Browser angezeigt werden soll ("True"), oder ob der Film nicht automatisch gestartet werden soll ("False").

Standardwert: "True"

Menu

Wenn Sie hier "True" wählen, wird Ihnen ein vollständiges Menü bei einem Klick mit der rechten Maustaste angezeigt. Bei "False" erhalten die nur die Option "Info über Flash...".

Standardwert: "True"

LiveConnect

Sie sollten diese Option auf "True" setzen, wenn Sie JavaScript auf der gleichen Seite verwenden, auf der sich auch der Flash-Film befindet. Dies bewirkt, dass Java gestartet wird. Das Starten von Java können Sie verhindern, indem Sie hier "False" eintragen.

Standardwert: "False"

DeviceFont

Geben Sie hier "True" an, damit Flash Systemschriftarten für jene Schriften verwendet, die im Film vorhanden sind. Es werden alle übrigen und bei "False" alle Schriften vektoriell dargestellt.

EmbedMovie

Bei "True" wird der Flash-Film im aufrufenden Programm gestartet, ansonst in einem eigenen Fenster.

Weitere Informationen:

Allgemeines zum Flash-Assistent

Schritt 1 - Standardeinstellungen

Dialog - Dateien des Flash-Filmes

Dialog - Optionen für swRemote

Bearbeiten eines Flash-Filmes


Der Flash Assistent - Bearbeiten eines Flash-Filmes

Das Bearbeiten eines Flash-Filmes gestaltet sich genauso einfach, wie das Einfügen mit Hilfe des Assistenten.

Dateien...

Mit einem Klick hierauf gelangen Sie in den Dialog "Dateien des Flash-Filmes", worin Sie eine Flash-Datei wählen müssen, um zum nächsten Schritt gelangen zu können.

Breite

Hier können Sie die Breite festlegen, die der Flash-Film einnehmen soll. Diese Angabe kann entweder absolut, in Pixeln, oder relativ, in Prozent, getroffen werden. Bei einer relativen Angabe entsprechen 100% der vollen Breite, die der Flash-Film auf einer Seite, in einer Tabelle, usw. zur Verfügung hat.

Höhe

Hier können Sie die Höhe festlegen, die der Flash-Film einnehmen soll. Diese Angabe kann entweder absolut, in Pixeln, oder relativ, in Prozent, getroffen werden. Bei einer relativen Angabe entsprechen 100% der vollen Höhe, die der Flash-Film auf einer Seite, in einer Tabelle, usw. zur Verfügung hat.

horiz. Freiraum

Mit dem horizontalen Freiraum können Sie festlegen, wie viele Pixel Abstand jeweils an der linken und rechten Seite des Flash-Filmes eingehalten werden sollen.

vert. Freiraum

Mit dem vertikalen Freiraum können Sie festlegen, wie viele Pixel Abstand jeweils an der oberen und unteren Seite des Flash-Filmes eingehalten werden sollen.

Ausrichtung

Mit der Ausrichtung können Sie festlegen, wie der Flash-Film bezüglich des Textes ausgerichtet werden soll.

Name

Hier können Sie das Flash-Objekt mit einem Name versehen.

Base

Hier können Sie angeben, zu welchem Verzeichnis oder welcher URL alle Pfadangaben des Flash-Filmes relativen sein sollen.

BGColor

Wenn Sie hier einen Farbwert angeben, können Sie die Verwendung der gewählten Farbe als Hintergrund für den Flash-Film forcieren. Somit haben Sie die Möglichkeit, den Film besser in ihre Webseite zu intergrieren.

Quality

Hiermit können Sie festlegen, wie Anti-Alias verwendet werden soll, welches die Anzeigequalität verbessert, aber mehr Rechenleistung beansprucht.

Bei "low" wird kein Anti-Alias verwendet.

"autolow" beginnt ohne Anti-Alias, verwendet es aber, wenn festgestellt wir, dass der Rechner schnell genug ist.

"autohigh" startet unter der Verwendung von Anti-Alias, schaltet dieses jedoch ab, sollte die Bildrate unter die angegebene absinken.

"high" verwendet immer Anti-Alias und glättet Bitmaps, wenn keine Animationen vorhanden sind.

"best" nutzt immer Anti-Alias und glättet Bitmaps, die Bildrate wird nicht berücksichtigt.

Standardwert: "high"

Scale

Diese Option beschreibt, wie der Flash-Film dargestellt wird, wenn Höhe, Breite oder beides in Prozent angegeben sind.

"ShowAll" bewirkt, dass das Seitenverhältnis beibehalten wird.

Mit der Einstellung "NoBorder" wird der Film derartig skaliert, dass er den gesamten Bereich füllt. Da hierbei aber das Seitenverhältnis konstant bleibt wird der Film unter Umständen an den Seiten beschnitten.

"ExactFit" passt den Film genau in den gegebenen Bereich ein, wobei das Seitenverhältnis nicht beibehalten wird.

Standardwert: "ShowAll"

SAlign

Mit dieser Option kann man festsetzen, an welchen Seiten, des durch Höhe und Breite festgelegten Bereiches, ein skalierter Flash-Film positioniert werden soll.

WMode

Hier können Sie zwischen "Window", "Opaque" und "Transparent" wählen.

"Window" bewirkt, dass der Film in einem rechteckigen Fenster auf der Webseite dargestellt wird.

Mit "Opaque" werden alle Objekte hinter dem Film verdeckt.

Bei "Transparent" kann man an allen transparenten Stellen des Filmes den Hintergrund der Webseite erkennen.

Standardwert: "Window"

Stacking

Wie der Flash-Film relativ zu anderen Elementen angeordnet werden soll, können Sie hier angeben.

swRemote...

Hiermit gelangnen Sie in den Dialog "Optionen für swRemote", wo Sie weitere Optionen für die Shockmachine angeben können.

Loop

Setzten Sie diese Option auf "True", damit der Film nach dem Ende automatisch wiederholt wird, oder auf "False", für nur einen Durchlauf.

Standardwert: "True"

Play

Hier können Sie angeben, ob der Flash-Film sofort beim Laden in den Browser angezeigt werden soll ("True"), oder ob der Film nicht automatisch gestartet werden soll ("False").

Standardwert: "True"

Menu

Wenn Sie hier "True" wählen, so wird Ihnen ein vollständiges Menü bei einem Klick mit der rechten Maustaste angezeigt. Bei "False" erhalten die nur die Option "Info über Flash...".

Standardwert: "True"

LiveConnect

Sie sollten diese Option auf "True" setzen, wenn Sie JavaScript auf der gleichen Seite verwenden, auf der sich auch der Flash-Film befindet. Dies bewirkt, dass Java gestartet wird. Das Starten von Jave können Sie verhindern, indem Sie hier "False" eintragen.

Standardwert: "False"

DeviceFont

Geben Sie hier "True" an, damit Flash Systemschriftarten für jene Schriften verwendet, die im Film vorhanden sind. Es werden alle übrigen und bei "False" alle Schriften vektoriell dargestellt.

EmbedMovie

Bei "True" wird der Flash-Film im aufrufenden Programm gestartet, ansonst in einem eigenen Fenster.

Weitere Informationen:

Allgemeines zum Flash-Assistent

Schritt 1 - Standardeinstellungen

Schritt 2 - Flash-spezifische Einstellungen

Dialog - Dateien des Flash-Filmes

Dialog - Optionen für swRemote


Der Flash Assistent - Dialog "Dateien des Flash-Filmes"

In diesem Dialog haben Sie die Möglichkeit einen Flash-Film auszuwählen, der dann in Ihr Projekt eingefügt wird. Weiterhin können Sie alle Dateien, die von diesem Film benötigt werden, angeben.

Datei

In diesem Eingabefeld können Sie die Datei festlegen, die in Ihr Dokument eingefügt werden soll.

Datei ins Arbeitsverzeichnis kopieren

Wenn diese Option aktiviert ist, wird der Film in das Arbeitsverzeichnis kopiert.

Zusätzliche Dateien

In dieser Liste werden alle Dateien angezeigt, die vom gewählten Flash-Film verwendet werden.

Sie können vor jeder Datei ein Häkchen setzen, welches bewirkt, dass die jeweilige Datei mit ins Arbeitsverzeichnis kopiert wird.

Neu...

Hier können Sie zusätzliche Dateien hinzufügen, die der Flash-Film benötigt.

Weitere Informationen:

Allgemeines zum Flash-Assistent

Schritt 1 - Standardeinstellungen

Schritt 2 - Flash-spezifische Einstellungen

Dialog - Optionen für swRemote

Bearbeiten eines Flash-Filmes


Der Flash Assistent - Dialog "Optionen für swRemote "

In diesem Dialog können Sie alle Einstellungen treffen, die dann unter der Option swRemote aufgeführt werden.

Weitere Informationen:

Allgemeines zum Flash-Assistent

Schritt 1 - Standardeinstellungen

Schritt 2 - Flash-spezifische Einstellungen

Dialog - Dateien des Flash-Filmes

Bearbeiten eines Flash-Filmes


Lizenzieren

Das Dialogfeld "Lizenzieren"

Dieses Dialogfeld zur Eingabe der Lizenznummer erscheint beim Programmstart immer dann, wenn NetJet nicht in der Lage ist, die Lizenznummer zu finden und/oder auszuwerten. Das ist z.B. beim ersten Programmstart nach der Installation der Fall.

In das Eingabefeld müssen Sie die Zeichenfolge Ihrer persönlichen Lizenznummer eintragen. Wenn Sie die Eingabe beendet haben, klicken Sie einfach auf die Taste "OK". NetJet überprüft dann die Lizenznummer und informiert Sie über evtl. Tippfehler. War die Eingabe korrekt, startet NetJet den Eingabemodus zur Gestaltung Ihrer HTML-Dokumente.

Sollten Sie (noch) keine Lizenznummer besitzen, ist es möglich, NetJet für einen gewissen Zeitraum zu testen. In diesem Fall geben Sie in das Eingabefeld einfach das Wort "TEST" ein und bestätigen den Dialog durch die Taste "OK".


Copyright

Copyright - XynX! NetJet

Copyright © 1995 - 2001 XynX! GmbH

Alle Teile dieses Handbuchs bzw. der Online-Hilfe sowie der Anwendung "NetJet" sind urheberrechtlich geschützt. Jede Wiedergabe oder Vervielfältigung gleich welcher Art, mechanisch, fotografisch, elektronisch, einschließlich der Übertragung in computerlesbare Form, oder durch sonstige Mittel ist ohne ausdrückliche und schriftliche Genehmigung der XynX! GmbH ausdrücklich untersagt. Die XynX! GmbH übernimmt keinerlei Haftung für die Richtigkeit und Vollständigkeit der gemachten Angaben. Eine Haftung gleich welcher Art für irgendwelche Schäden oder Folgeschäden, ob materiell oder immateriell, durch die Benutzung der Software "NetJet", der Begleitsoftware, der Handbücher und der Online-Hilfe wird hiermit ausdrücklich ausgeschlossen. Die XynX! GmbH behält sich ausdrücklich das Recht vor, die Software, die Online-Hilfe und die Handbücher sowie alle zugehörigen Teilanwendungen, Datenbanken und sonstigen Dateien jederzeit zu ändern, neuen technischen Standards anzupassen und weiterzuentwickeln sowie eventuelle Fehler zu beseitigen, ohne dass hieraus irgendwelche Rechte von Erwerbern früherer Versionen entstehen oder abgeleitet werden können.

Alle hierin erwähnten anderen eingetragenen Handelsnamen oder Markenzeichen sind Eigentum der jeweiligen Besitzer, Unternehmen oder Organisationen, auch wenn sie hierin nicht ausdrücklich als solche gekennzeichnet wurden.

Für den Inhalt der in dieser Onlinehilfe verwendeten externen Links (durch dieses Symbol [image] gekennzeichnet) übernimmt die XynX! GmbH keine Haftung.


Info über...

Version: | 3.00
Informationen: | info@xynx.de
Support: | support@xynx.de
Internet: | http://www.xynx.de
Copyright: | © 1995-2001 XynX!® GmbH - Deutschland NetJet™ ist ein eingetragenes Warenzeichen der XynX!® GmbH


Inhaltsübersicht

Liste aller verwendeten HTML-Dokumente:

  • Startseite index.html

  • Menüstruktur menus/menus.html

  • Toolbars toolbars/toolbars.html

  • Tastaturkomandos keyboard/keyboard.html

  • Andere Fensterelemente windows/windows.html

  • Allgemeine Dialogfelder dialogs/dialogs.html

  • HTML-Elemente html/html.html

  • Formular-Elemente formular/formular.html

  • Frames frames/frames.html

  • Skripte scripts/scripts.html

  • Effekte effects/common.html

  • Schriftgruppen fontgroup/fontgroup.html

  • Image-Maps imagemap/common.html

  • Projekt-Dialoge

  • - projekt/protocol.html
    - projekt/export.html
    - projekt/exporting.html
    - projekt/test.html
    - projekt/information/common.html
    - projekt/manager/common.html
    - projekt/new/common.html
    - projekt/new_site/common.html
    - projekt/options/common.html

  • FTP ftp/ftp.html

  • Darstellung representation/representation.html

  • Lizensieren licence/licence.html

  • Info über... info.html

  • Fontgruppe... fontgroup.html

  • Projektverwaltung... common.htm

  • zusätzliche Dateien... add...files.html

  • Farbname geben... give_name.html

  • Site-Generator site/common.html

  • Bildbearbeitung... image_editor/jpeg.html

  • Unused.html


Fehler in der Online-Hilfe

Falls Sie zu diesem Hilfepunkt geleitet wurden, ist in der Hilfedatei ein Fehler enthalten. Sie werden in wenigen Sekunden zur Hauptseite weitergeleitet.


Allgemeines zu den Projektoptionen

Wenn NetJet ein Projekt geladen hat, ist es möglich, einige Projektoptionen anzupassen. Dazu gehören u.a. der Name des Bearbeiters und der Titel des Projekts. Wie schon unter Neues Projekt anlegen erwähnt, ist es nicht möglich, die Dateiangaben nach dem Erzeugen des Projekt noch einmal zu ändern.

Weitere Informationen:

Projektoptionen - Allgemein

Projektoptionen - Verzeichnisse

Projektoptionen - Basis-URL

Projektoptionen - Optionen

Projektoptionen - FTP-Daten

Projektoptionen - Proxy